<?php
namespace App\Http\Traits;

trait HttpResponses
{

    protected function successResponse($data, $message, $code = 200) {
        return response()->json([
            'status'    =>  true,
            'message'   =>  $message,
            'data'      =>  $data
        ],$code);
    }

    protected function errorResponse($data, $message, $code) {
        return response()->json([
            'status'    =>  false,
            'message'   =>  $message,
            'data'      =>  $data
        ],$code);
    }
}
