<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ApplicationComment extends Model
{
    use HasFactory;

    protected $fillable = ['application_id','user_id','comment','attachment'];

    public function user()
    {
        return $this->belongsTo(User::class,'user_id');
    }

    public function isMyResponse()
    {
        return ($this->user_id == auth()->id());
    }
}
