<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BeneficiariesFormMapping extends Model
{
    use HasFactory;

    protected $table = 'beneficiaries_form_mapping';
    protected $fillable = ['form_id','form_fields','show_fields_on_table','added_by','updated_by'];
    protected $casts = [
        'form_fields' => 'array',
        'show_fields_on_table' => 'array',
    ];

    public function form() {
        return $this->belongsTo(Form::class,'form_id');
    }
}
