<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CasesCommentsStage extends Model
{
    use HasFactory;


    protected $table = 'cases_comments_stages';
    protected $guarded = [];

    public function complaint() {
        return $this->belongsTo(Complaint::class,'complaint_id');
    }

    public function respond() {
        return $this->belongsTo(User::class,'responder','id');
    }

    public function isMyResponse()
    {
        $my_response = false;

        if (auth()->id() == $this->responder) $my_response = true;

        return $my_response;
    }
//
//    public function lastComment() {
//        return $this->;
//    }
}
