<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class District extends Model
{
    use HasFactory;

    protected $table = 'districts';

    protected $fillable = ['name', 'country_id', 'constituency_id'];

    public function villages()
    {
        return $this->hasMany(Village::class);
    }
}
