<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use OwenIt\Auditing\Contracts\Auditable;

class HealthDetail extends Model implements Auditable
{
    use HasFactory, \OwenIt\Auditing\Auditable;
    use SoftDeletes;

    protected $table = 'health_details';

    protected $guarded = [];

    protected $casts = [
        'data'
    ];
    public function applicant()
    {
        return $this->belongsTo(Applicant::class,'regID','regID');
    }
}
