<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use OwenIt\Auditing\Contracts\Auditable;

class MaritalDetail extends Model implements Auditable
{
    use HasFactory;
    use SoftDeletes, \OwenIt\Auditing\Auditable;

     protected $guarded = [];

    public function applicant()
    {
        return $this->belongsTo(Applicant::class,'applicant_number','regID');
    }
}
