<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Module extends Model
{
    use HasFactory;

    protected $fillable = [
        'modules',
        'applicant_code',
        'menus',
        'instance',
        'active',
        'instance_id'
    ];

    protected $casts = [
        'modules'   => 'array',
        'menus'   => 'array',
        'applicant_code'   => 'array',
    ];
}
