<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PayrollHistory extends Model
{
    use HasFactory;

    protected $table = 'payroll_history';

    protected $casts = [
      'beneficiaries_data'  =>  'json'
    ];
    protected $guarded = [];

    public function benefit() {
        return $this->belongsTo('App\Models\Benefit','benefit_id');
    }

    public function payroll() {
        return $this->belongsTo('App\Models\Payroll','payroll_id');
    }
}
