<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PayrollViewLog extends Model
{
    use HasFactory;

    protected $table = 'payroll_view_logs';

    protected $guarded = [];

    public function user() {
        return $this->belongsTo('App\Models\User','user_id');
    }

    public function payroll() {
        return $this->belongsTo('App\Models\Payroll','payroll_id');
    }
}
