<?php

namespace App\Models;


use Illuminate\Support\Facades\Auth;

class ToastNotification {
	public $title;
	public $message;
	public $type;
	public $isFullWith;
	public $position;

	/**
	 * Notification constructor.
	 *
	 * @param string $title
	 * @param string $message
	 * @param string $type
	 * @param string $position
	 * @param bool $isFullWidth
	 */
	public function __construct($title, $message, $type = 'info', $position = 'right', $isFullWidth = false) {
		$this->title = $title;
		$this->message = $message;
		$this->type = $type;
		$this->isFullWith = $isFullWidth;
		$this->position = $position;

	}


}