<?php

return [
    'dashboard'                 => [
        'dashboard'
    ],
    'applications'      => [
        'benefit_registration.list',
        'benefit_registration.edit',
        'benefit_registration.view',
        'benefit_registration.create',
    ],
//    'applicants'      => [
//        'benefit_registration.list',
//        'benefit_registration.edit',
//        'benefit_registration.view',
//    ],
    'benefits'                   => [
        'benefit.list',
        'benefit.eligibility',
        'benefit.create',
        'benefit.edit',
        'benefit.details',
        'benefit.classTypes',
        'benefit.benefitTypes',
        'benefit.filterApplication',
        'benefit.typeView',
        'benefit.typeEdit',
        'benefit.activateType',
        'benefit.activateType',
        'benefit.benefitAmount',
        'benefit.amountEdit'
    ],
//    'beneficiaries'             => [
//        'beneficiaries.list',
//        'beneficiaries.formMapping',
//        'beneficiaries.formMappingDetails',
//        'beneficiaries.edit',
//        'beneficiaries.view',
//        'beneficiaries.archives',
//    ],
    'payments'                  => [
        'payment.createPaymentSchedule',
        'payment.paymentSchedule',
    ],
    'subscriptions'                  => [
        'subscription.list',
//        'payment.paymentSchedule',
    ],
    'plans'                  => [
        'plan.list',
        'plan.create',
        'plan.editPlan',
//        'payment.paymentSchedule',
    ],
    'clients'                  => [
        'clients.index',
//        'payment.paymentSchedule',
    ],
    'beneficiaries'                 => [
        'applicant.getApplicantInfo',
        'applicant.viewApplicantInfo',
        'applicant.applicantRegistration',
        'memberRecords.list'
    ],
    'my-surveys'                => ['survey.mySurveys','survey.mySurveyView'],
    'users'                     => ['account.users','account.roles','account.permissions','offices.list'],
    'announcements'             => ['announcement.list','announcement.create','announcement.edit','announcement.view'],
    'merchants'                 => ['merchants.list','merchants.merchantDetails','merchants.merchantBranchDetails'],
    'households'                => ['household.list','household.validateApplicant','household.addMember','household.view'],
    'programs'                   => ['program.list','program.create','program.edit','program.view'],
    'partners'                   => ['partner.list','partner.create','partner.edit','partner.view'],
    'surveys'                    => [
        'survey.list',
        'survey.add',
        'survey.edit',
        'survey.view',
        'survey.viewTeams',
        'survey.newEntry',
        'survey.entries',
    ],
    'teams'                     => ['team.list','team.add','team.edit','team.view',
                                    'team.teamManagement','team.addTeamManagementMember','team.editTeamManagementMember'],
    'duplicateDetection'        => ['applicant.duplicateDetection'],
    'settings'                  => [
        'settings.setConfig',
        'forms',
        'settings.lookupCode',
        'applicant.duplicateDetection',
        'settings.lookup',
        'settings.countries',
        'settings.accessLog',
        'system.audit.trail',
    ],
    'cases'                     => [
        'case.createCase',
        'case.list',
        'case.archives',
        'case.editCase',
        'case.viewCase',
    ],
    'complaints'                => [
        'complaint.list',
        'complaint.createComplaint',
        'complaint.viewComplaint',
    ],
    'reports'                    => [
        'generate.report.generalReport',
        'generate.report.allsaved',
        'generate.report.results',
        'generate.report.mainBenefit',
    ],
    'forms'                     => [
        'forms',
        'form.add',
        'form.edit',
        'form.preview',
        'form_field.edit',
    ],
    'lookup'                    => [
        'settings.lookupCode',
        'settings.lookup',
    ],
    'accounting'                    => [
        'payment.debtRecovery',
        'payment.payroll',
    ],
    'approval_process'          => [
        'settings.email_templates',
        'settings.email_templates.edit',
        'settings.email_templates.create',
        'settings.stage_emails',
    ],
    'user_management'           => [
        'user_management.users',
        'user_management.createUser',
        'user_management.editUser',
        'user_management.permissions',
        'user_management.roles',
    ],
    'report'           => [
        'report.index',
    ],
];
