<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('member_records_comments', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\RecordTracker::class,'record_tracker_id');
            $table->foreignIdFor(\App\Models\User::class,'user_id');
            $table->text('comment');
            $table->text('attachment')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('member_records_comments');
    }
};
