/******/ (() => { // webpackBootstrap
    /******/ 	"use strict";
    var __webpack_exports__ = {};

    var KTDatatablesDataSourceAjaxServer = function() {

        var application_list = function() {
            var table = $('#beneficiaries_list');

            // begin first table
            table.DataTable({
                pageLength: 50,
                // Order settings
                order: [[5, 'desc']],
                // columnDefs : [{
                //     targets: 6,
                //     searchable: true,
                //     visible: false
                // }],
                fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                    $('td:eq(0)', nRow).html(iDisplayIndexFull +1);
                },
                // "scrollY": 600,
                "scrollX": false,
                responsive: false,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX,
                columns: [
                    {data: 'id'},
                    {data: 'applicant_number',name: 'applicant_number'},
                    // {data: 'first_name',name: 'first_name'},
                    {data: 'surname',name: 'surname'},
                    {data: 'dob',name: 'dob'},
                    {data: 'type',name: 'type'},
                    {data: 'confirmed_date',name: 'confirmed_date'},
                    // {data: 'bci_account_numbers',name: 'bci_account_numbers'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "80px"},
                ],
            });
        };

        var application_archived_list = function() {
            var table = $('#beneficiaries_archived_list');

            // begin first table
            table.DataTable({
                pageLength: 50,
                // Order settings
                order: [[5, 'desc']],
                // columnDefs : [{
                //     targets: 6,
                //     searchable: true,
                //     visible: false
                // }],
                fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                    $('td:eq(0)', nRow).html(iDisplayIndexFull +1);
                },
                // "scrollY": 600,
                "scrollX": false,
                responsive: false,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX_,
                columns: [
                    {data: 'id'},
                    {data: 'applicant_number',name: 'applicant_number'},
                    // {data: 'first_name',name: 'first_name'},
                    {data: 'surname',name: 'surname'},
                    {data: 'dob',name: 'dob'},
                    {data: 'type',name: 'type'},
                    {data: 'confirmed_date',name: 'confirmed_date'},
                    // {data: 'bci_account_numbers',name: 'bci_account_numbers'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "80px"},
                ],
            });
        };

        return {

            //main function to initiate the module
            init: function() {
                application_list();
                application_archived_list();
            },

        };

    }();

    jQuery(document).ready(function() {
        KTDatatablesDataSourceAjaxServer.init();
    });

    /******/ })()
;