/******/ (() => { // webpackBootstrap
    /******/ 	"use strict";
    var __webpack_exports__ = {};

    var KTDatatablesDataSourceAjaxServer = function() {

        var application_list = function() {
            var table = $('#projects_list');

            // begin first table
            table.DataTable({
                pageLength: 50,
                // Order settings
                order: [[0, 'desc']],
                // "scrollY": 600,
                // "scrollX": true,
                responsive: true,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX,
                columns: [
                    {data: 'project_names',name: 'project_names'},
                    // {data: 'locations',name: 'locations'},
                    {data: 'project_owners',name: 'project_owners'},
                    {data: 'project_costs',name: 'project_costs'},
                    {data: 'times',name: 'times'},
                    {data: 'created_at',name: 'created_at'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "200px"},
                ],
            });
        };

        var application_list_archived = function() {
            var table = $('#projects_list_archived');

            // begin first table
            table.DataTable({
                pageLength: 50,
                // Order settings
                order: [[0, 'desc']],
                // "scrollY": 600,
                // "scrollX": true,
                responsive: true,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX_,
                columns: [
                    {data: 'project_names',name: 'project_names'},
                    {data: 'project_owners',name: 'project_owners'},
                    {data: 'project_costs',name: 'project_costs'},
                    {data: 'times',name: 'times'},
                    {data: 'created_at',name: 'created_at'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "200px"},
                ],
            });
        };

        return {

            //main function to initiate the module
            init: function() {
                application_list();
                application_list_archived();
                var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
                var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
                    return new bootstrap.Tooltip(tooltipTriggerEl)
                });
            },

        };

    }();

    jQuery(document).ready(function() {
        KTDatatablesDataSourceAjaxServer.init();
    });

    /******/ })()
;
