<form action="{{ route('name.profile.save') }}" class=" px-3" method="post">
    @csrf @method('put')
    <div class="row">
        <div class="col-md-12 mb-3">
            <h6><span class="fw-bold "> {{__('Account Details')}}</span></h6>
        </div>

        <div class="col-md-12">
            <div class="form-floating mt-2">
                <x-input id="firstname" :placeholder="__('First Name')" class="block mt-1 w-full" type="text" name="firstname" :value="auth()->user()->fname" required autofocus />
                <label for="surname" clas="required">{{__('First Name')}}</label>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-floating mt-2">
                <x-input id="surname" :placeholder="__('Surname')" class="block mt-1 w-full" type="text" name="surname" :value="auth()->user()->lname" required autofocus />
                <label for="surname" clas="required">{{__('Surname')}}</label>
            </div>
        </div>
        <div class="col-md-12">
            <!-- Email Address -->
            <div class="form-floating mt-2">
                <x-input id="email" class="block mt-1 w-full" :placeholder="__('Email')" type="email" readonly disabled :value="auth()->user()->email" required />
                <label for="surname">{{__('Email')}}</label>
            </div>
        </div>

        <div class="col-12 text-center mb-4">
            <x-button class="mt-3 rounded btn-primary btn-lg btn-block" style="width:100%">
                {{ __('Update') }}
            </x-button>
        </div>
    </div>

</form>
