<x-client-layout>
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container">
            @component('components.announcement')@endcomponent
            <div class="row align-items-center">
                <div class="col-auto mb-3">
                    <h1 class="fs-5 color-900 mt-1 mb-0">
                        {{__('Tickets')}}
                    </h1>
                    <small class="text-muted">
                        <span class="text-muted">{{__('These tickets are recorded only to this project')}}</span>
                    </small>
                </div>
            </div>
            @include('components.tickets')
        </div>
    </div>
    <!--end::Row-->
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        <script>
            $(function () {
                $('input[name="date_range"]').daterangepicker({
                    startDate: moment().subtract(30, 'day'),
                    endDate: moment()
                });
            })
            $('#case-records').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

        </script>
        {{-- <script src="{{ asset('assets/js/customjs/custom-cases-datatable.js') }}"></script> --}}

    @endpush
</x-client-layout>
