<x-client-layout>
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container">
            @component('components.announcement')@endcomponent
            <div class="row align-items-center">
                <div class="col-auto mb-3">
                    <h1 class="fs-5 color-900 mt-1 mb-0">
                        {{__('Ticket')}} <small class="text-muted fw-light">- {{__('New Ticket')}}</small>
                    </h1>
                    <small class="text-muted">
                        <span class="text-muted">{{__('You are adding a new ticket for this project')}}</span>
                    </small>
                </div>
            </div>
            <div class="card card-custom">
                <div class="card-body">
                    @include('components.ticket-form')
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')

    @endpush
    @push('scripts')
        <script src="{{asset('assets/plugins/custom/ckeditor/ckeditor-classic.bundle.js')}}"
                type="text/javascript"></script>
        <script>
            $(function () {
                ClassicEditor.create(document.querySelector('#description'));
            });
        </script>
    @endpush
</x-client-layout>
