@if(session()->has('ShowNotify'))
    <script>

        $('document').ready(function() {

            // {0} = type
            // {1} = title
            // {2} = message
            // {3} = url
            // {4} = target

            set_notification.init();
        });
        var set_notification = $.notify({
                // options
                title: "{{session('notifyTitle')}}",
                message: "{{session('notifyMessage')}}"
            },
            {
                // settings
                element: 'body',
                position: null,
                type: "{{session('notifyAlertType','info')}}",
                allow_dismiss: true,
                newest_on_top: false,
                showProgressbar: false,
                placement: {
                    from: "{{ config('notify.placement.from') }}",
                    align: "{{ config('notify.placement.align') }}"
                },
                offset: {
                    x: {{ config('notify.offset.x') }},
                    y: {{ config('notify.offset.y') }}
                },
                spacing: {{ config('notify.spacing') }},
                z_index: {{ config('notify.z_index') }},
                delay: {{ config('notify.delay') }},
                timer: {{ config('notify.timer') }},
                mouse_over: true,
                animate: {
                    enter: "{{ config('notify.animate.enter') }}",
                    exit: "{{ config('notify.animate.exit') }}"
                },

                template: '<div class="alert alert-custom alert-notice shadow alert-light-{0} fade show shadow-sm" role="alert">' +
                    '<div class="alert-text">{2}</div> ' +
                    '</div>'
            });
    </script>
    @php clearNotify(); @endphp
@endif
