<div class="d-flex flex-row align-items-center">
    @php
        $logo = asset('assets/img/image-placeholder.png');
    if(getMerchant($accountDetail->bank_id,'logo') != null) $logo = env('CONSOLE_URL').getMerchant($accountDetail->bank_id,'logo');
    @endphp
    <img src="{{$logo}}" alt="" class="rounded" width="80">
    <div class="d-flex flex-column ms-3">
        <p class="" style="margin-bottom: 3px;">
            <span class="fw-bold">{{$accountDetail->bank_name}}</span><br>
{{--            <span class="fw-bolder">{{getMerchant($accountDetail->account_type,'type')}} Account</span>--}}
            <span class="small my-2 fw-light" style="">[{{hashAccountNumber($accountDetail->account_number)}}]</span>
            @if($accountDetail->status == "Verified")
                <span class="text-success my-3 verify-tag"><i class="bi-patch-check-fill"></i> <small>Verified</small></span>
            @elseif($accountDetail->status == "Declined")
                <span class="text-danger my-3 verify-tag"><i class="bi-patch-exclamation-fill"></i> <small>Declined</small></span>
            @else
                <span class="text-muted my-3 verify-tag"><i class="bi-patch-check"></i> <small class="fw-lighter">{{$accountDetail->status}}</small></span>
            @endif
        </p>

        <span class="fw-bolder" style="font-size: 12px;">{{$accountDetail->bank_branch}}
            <span class="small my-2"> - {{date('d/m/Y',strtotime($accountDetail->created_at))}}</span>
        </span>

        <span class="text-success" style="font-size: 12px;">{{$accountDetail->description}} @if($accountDetail->default_account) - Default @endif</span>
    </div>
</div>
