<div class="card mb-3">
    <div class="card-body">
        <div class="row g-3 mb-3">
            <div class="col-6">
                <div class="d-flex justify-content-between mb-3">
                    <div class="me-2">
                        <h5 class="mb-0 text-info">Incomplete Registration</h5>
                        <small class="small">You have to complete the registration in order to fully qualify for a Benefit</small>
                    </div>
                </div>
                <div class="d-flex justify-content-between">
                    <div class="me-2">
                        <h3 class="mb-0 text-{{$completion['code']}}">{{$completion['total']}}%</h3>
                    </div>
                    <div class="text-end">
                        <small class="info">Completed</small>
                    </div>
                </div>
                <div class="progress mt-3">
                    <div class="progress-bar progress-bar-striped progress-bar-animated bg-{{$completion['code']}}" role="progressbar"
                         style="width: {{$completion['total']}}%" aria-valuenow="{{$completion['total']}}" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
            </div>
            <div class="col-6">
                <h5 class="mb-0 text-info"></h5>
                @php
                    $tabs = [
                        'personal'  =>  'Personal',
                        'familyDetails'  =>  'Next of kin',
                        'contactDetails'  =>  'Contact',
                        'idDetails'  =>  'Identity Confirmation',
                        'maritalDetails'  =>  'Marital',
                        'accountDetails'  =>  'Account',
                        'employmentDetails'  =>  'Employment',
//                        'healthDetails'  =>  'Health',
                    ];
                @endphp
                <div class="row">
                    @foreach($tabs as $tab=>$name)
                    <div class="col-6 mb-3 text-{{($completion[$tab] >= 100)?'success':'muted'}}">
                        <span class="avatar rounded-circle bg-{{($completion[$tab] >= 100)?'success':'light'}} mb-1 p-1 me-3">
                            <i class="bi-check2 fa-lg text-{{($completion[$tab] >= 100)?'white':'muted'}}"></i></span>
                        <span class="fs-6 fw-{{($completion[$tab] >= 100)?'success':'light'}}">{{$name}}</span>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>
