<div class="d-flex">
    @php
        $thumbnail = 'images/icons/Alleviate.png';;
        if (!is_null($announcement->featured_image)) {
            $thumbnail = $announcement->featured_image;
        }
    @endphp
    <img src="{{asset($thumbnail)}}" class="rounded" alt="..." style="width: 150px;height: fit-content;">
    <div class="flex-fill ms-3">
        <p>
            <a href="{{route('customer.customerAnnouncementView',[cryptThis($announcement->id)])}}"><span class="fw-bold"> {{$announcement->title}}</span></a> -
            <span class="text-muted">Last updated: {{easyDate($announcement->publish_date)}}</span><br>
            <small class="text-muted">
                @if(hasReadAnnouncement($announcement->id))
                    <i class="bi-book"></i> {{__('Read')}}
                @else
                    <i class="bi-book-fill"></i> {{__('Unread')}}
                @endif

            </small>
        </p>
        <p class="text-muted">
            {{content_excerpt($announcement->content)}}
        </p>
    </div>
</div>
