@extends('emails.base')

@section('content')

    <table border="0" width="100%" cellpadding="0" cellspacing="0" bgcolor="ffffff" class="skin-bg">
        <tr>
            <td align="center">
                <table border="0" style="margin-bottom: 40px;" align="center" width="590" bgcolor="#ffffff" cellpadding="0" cellspacing="0" class="container590">


                    {{--Featured Image--}}
                    @if(!is_null($notification_post->featured_image))
                        <tr>
                            <td align="center" style="" class="main-header">
                                    <div style="text-align: center" class="mb-4 mt-3">
                                        <img src="{{asset($notification_post->featured_image)}}"
                                             class="rounded" alt="Featured Image" style="max-height: 350px;border:0;border-radius:10px;display:block">
                                    </div>
                            </td>
                        </tr>
                    @endif

                    {{--SPACE--}}
                    <tr>
                        <td height="10" style="font-size: 10px; line-height: 10px;">&nbsp;</td>
                    </tr>
                    {{--HEADER 1 SECTION--}}
                    <tr>
                        <td align="left">
                            <table border="0" width="90%" align="center" cellpadding="0" cellspacing="0" class="container590">
                                <tr>
                                    <td  style="font-size: 20px;font-family: Quicksand, Calibri, sans-serif;font-weight: 600;letter-spacing: 0;line-height: 30px;" class="main-header">
                                        <div style="line-height: 30px; margin-top: 30px">
                                            <span class="text-primary"> {{ $notification_post->title }} </span>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    {{--SPACE--}}
                    <tr>
                        <td height="10" style="font-size: 10px; line-height: 10px;">&nbsp;</td>
                    </tr>

                    {{-- UNDERLINE--}}
                    <tr>
                        <td align="center">
                            <table border="0" width="40" align="center" cellpadding="0" cellspacing="0" bgcolor="eeeeee">
                                <tr>
                                    <td height="2" style="font-size: 2px; line-height: 2px;">&nbsp;</td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    {{--SPACE--}}
                    <tr>
                        <td height="20" style="font-size: 20px; line-height: 20px;">&nbsp;</td>
                    </tr>

                    {{--MESSAGE SECTION--}}
                    <tr>
                        <td align="left">
                            <table border="0" width="90%" align="center" cellpadding="0" cellspacing="0" class="container590">
                                <tr>
                                    <td align="left" style="color: #676767; font-size: 15px; font-family: Assistant, 'Work Sans', Calibri, sans-serif; line-height: 25px;">
                                        <div style="line-height: 25px; font-weight: 400;">
                                            {{content_excerpt($notification_post->content)}}
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    {{--SPACE--}}
                    <tr>
                        <td height="25" style="font-size: 25px; line-height: 25px;">&nbsp;</td>
                    </tr>

                    {{--button SECTION--}}
                    <tr>
                        <td align="left">
                            <table border="0" width="90%" align="center" cellpadding="0" cellspacing="0" class="container590">
                                <tr>
                                    <td>
                                        <div style="line-height: 26px;">
                                            <a href="{{ route('customer.customerNotificationView',[cryptThis($notification_post->id)]) }}" target="_blank" style="text-decoration: none;" class="btn btn-light-primary">{{ __('View Notification') }}</a>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    {{--SPACE--}}
                    <tr>
                        <td height="40" style="font-size: 20px; line-height: 20px;">&nbsp;</td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

@endsection
