{{--@extends('errors::minimal')--}}

{{--@section('title', __('Forbidden'))--}}
{{--@section('code', '403')--}}
{{--@section('message', __($exception->getMessage() ?: 'Forbidden'))--}}


<x-error-layout>
    <div class="col-lg-6 d-flex justify-content-center align-items-center">
        <div class="card shadow-sm w-100 p-4 p-md-5" style="max-width: 32rem;">
            <!-- Form -->
            <form class="row g-3">
                <div class="col-12 text-center mb-4">
{{--                    <img src="{{asset('images/error.png')}}" style="width: 400px; margin-bottom: 15px" alt="Error Image" />--}}
                    <h1 class="display-1">401</h1>
                    <h5 class="text-uppercase">OOP! {{__('Forbidden')}}</h5>
                    <span class="text-muted">{{__('Sorry! You are forbidden to access this page.')}}</span>
                </div>
                <div class="col-12 text-center">
                    <a href="{{route('dashboard')}}" title="" class="btn btn-lg btn-block btn-dark lift text-uppercase">{{__('Back
                        to Home')}}</a>
                </div>
            </form>
            <!-- End Form -->
        </div>
    </div>
</x-error-layout>
