<x-single-form-layout>
    <div class="col-md-8 offset-2 d-flex justify-content-center align-items-center bg-white">
        <div class="row row-deck">
            <div class="col-md-6">
                <img src="{{asset('images/bg/booking.jpg')}}" alt="" style="width: 100%">
            </div>
            <div class="col-md-6">
                <div class="car w-100 p-3" style="border: none">

                    <h4>Welcome, {{auth()->user()->firstname.' '.auth()->user()->name}}</h4>
                    <p class="text-muted">
                        {{__('Connect with one of out onboarding specialists and start changing people\'s lives.')}}
                    </p>
                    <p class="text-muted">
                        {{__('We can help you get started with setting up your various Benefits, Beneficiary records, and many more.')}}
                    </p>
                    <div class="alert alert-primary mt-5 d-flex align-items-center py-3" role="alert">
                        <div class="avatar lg rounded no-thumbnail bg-light"><i class="fa fa-calendar-plus-o"></i></div>
                        <div class="flex-fill ms-3">
                            <div class="mb-0 fw-bold">Chat with an expert</div>
                            <span class="text-muted small">Choose a date and time</span>
                        </div>
                        <div class="flex-end" style="min-width: 120px;">
                            <button class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#choose-date">Book a call</button>
                        </div>
                    </div>
                    <div class="text-end mt-5">
                        <a href="{{route('on_boarding.selectedMeetingDate')}}" class="btn btn-primary btn-lg" >Continue</a>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- Modal -->
    <div class="modal fade" id="choose-date" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header border-0">
{{--                    <h5 class="modal-title" id="exampleModalLiveLabel">Modal title</h5>--}}
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="tidycal-embed" data-path="alleviate/onboarding"></div>
                </div>
{{--                <div class="modal-footer border-0">--}}
{{--                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>--}}
{{--                    <button type="button" class="btn btn-primary">Save changes</button>--}}
{{--                </div>--}}
            </div>
        </div>
    </div>
    <script src="https://assets.tidycal.com/js/embed.js" async></script>
</x-single-form-layout>
