@if($invitations->count() > 0)
    <div class="table-responsive border-top border-bottom mt-4 mb-4">
        <table class="table card-table table-sm table-nowrap mb-0">
            <tbody>
            @php $count=1;@endphp
            @foreach($invitations as $invite)
                <tr>
                    <td class="text-start" style="width: 35px">{{$count++}}</td>
                    <td>{{$invite->name}}<br>
                        <small class="text-muted"> {{$invite->email}} as <em>{{$invite->role->display_name}}</em></small></td>
                    <td class="text-end" style="width: 35px">
                        <button type="button" class="btn btn-sm btn-outline-danger" onclick="cancelInvitation({{$invite->id}})"><i class="fa fa-times"></i></button>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@else
    <div class="text-center p-4 mt-4" style="color: #dadada">
        <span class="text-mute" style="font-size: 50px;">
            <i class="bi-person-x-fill"></i>
        </span>
        <h3 class="text-mute">No invitations sent</h3>
    </div>
@endif
