<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\ComplaintController;

//Benefits Management Routes
Route::name('complaint.')->group(function () {
    Route::prefix('complaint')->group(function () {
        Route::get('list', [ComplaintController::class,'index'])->name('list');
        Route::get('get-complaint-list', [ComplaintController::class,'getComplaintsList'])->name('getComplaintsList');
        Route::get('create-complaint', [ComplaintController::class,'createComplaint'])->name('createComplaint');
        Route::get('edit-complaint/{complaint_id}', [ComplaintController::class,'editComplaint'])->name('editComplaint');
        Route::post('save-complaint', [ComplaintController::class,'saveComplaint'])->name('saveComplaint');
        Route::get('view/{complaint_id}', [ComplaintController::class,'viewComplaint'])->name('viewComplaint');
        Route::get('delete/{complaint_id}', [ComplaintController::class,'deleteComplaint'])->name('deleteComplaint');
        Route::post('assign/{complaint_id}', [ComplaintController::class,'assignStage'])->name('assignStage');
        Route::post('save-response/{complaint_id}', [ComplaintController::class,'saveResponse'])->name('saveResponse');
    });
});
