<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Surveys')); ?></li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0"><?php echo e(__('Surveys')); ?></h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            <?php if(session()->has('message')): ?>
                <div class="mb-5">
                    <?php if(session()->get('status') == 'success'): ?>
                        <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                    <?php else: ?>
                        <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="<?php echo e(route('program.list')); ?>" method="get">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">

                                    <input type="text" name="title_query" id="title_query" placeholder="Survey Title" class="form-control">

                                    <select name="type_query" id="type_query" required class="form-select form-control-l" placeholder="Select Type">
                                        <option value="">-- Choose Type--</option>
                                        <?php $__currentLoopData = getSurveyType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>" <?php echo e(($key == request()->get('type_query'))?'selected':''); ?>><?php echo e($name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>

                                    <select name="program_query" id="program_query" class="form-select">
                                        <option value=""><?php echo e(__('-- Program --')); ?></option>
                                        <?php $__currentLoopData = $programs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $program): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($program->id); ?>" <?php echo e((request()->get('program_query') == $program->id)?'selected':''); ?>><?php echo e($program->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>

                                    <select name="status_query" id="status_query" class="form-select">
                                        <option value=""><?php echo e(__('-- Status --')); ?></option>
                                        <?php $__currentLoopData = getSurveyStatus(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>" <?php echo e(($key == request()->get('status_query'))?'selected':''); ?>><?php echo e($name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i></button>
                                    <a href="<?php echo e(route('survey.list')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                    <a href="<?php echo e(route('survey_module.index')); ?>" class="btn btn-light-info" data-bs-toggle="tooltip" title="Survey Forms"> <i class="bi-check-square"></i></a>
                                    <a href="<?php echo e(route('program.list')); ?>" class="btn btn-light-success" data-bs-toggle="tooltip" title="Programs"> <i class="bi-journals"></i></a>
                                    <a href="<?php echo e(route('team.list')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Teams"> <i class="bi-people"></i></a>
                                    <a href="<?php echo e(route('survey.create')); ?>" class="btn btn-primary" data-bs-toggle="tooltip" title="Add new Survey"><i class="fa fa-plus me-2"></i> <?php echo e(__('New')); ?></a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Survey</th>
                                <th>Type</th>
                                <th style="width: 120px;">Timeline</th>
                                <th style="width: 120px;">Status</th>
                                <th style="width: 50px;">Created On</th>
                                <th class="text-right">Actions</th>
                            </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="viewTeamModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-container">
                            <h6 class="mt-3 mb-4">Team Assignments</h6>
                            <div id="team-information"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
        <script>
            <?php if($query > 0): ?>
                const APPLICATIONS_AJAX = "<?php echo e(route('survey.getSurveyList',[$title_query,$type_query,$program_query,$status_query])); ?>";
            <?php else: ?>
                const APPLICATIONS_AJAX = "<?php echo e(route('survey.getSurveyList')); ?>";
            <?php endif; ?>

            function viewTeam(key) {
                var path = "<?php echo e(route('survey.viewTeams')); ?>";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:key},
                    success: function(data){
                        $('#team-information').html(data.message);
                    },
                    complete:function(){
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function removeTeam(key) {
                if (confirm("Data maybe lost after removing this Team.\nDo you want to continue?") == true){
                    document.getElementById('delete-team'+key).submit();
                }
                else {
                    event.preventDefault();
                }
            }

            function activateTeam(id) {
                var path = "<?php echo e(route('survey.changeTeamStatus')); ?>";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:id},
                    success: function(data){
                        console.log(data.message);
                    },
                    complete:function(){
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }

        </script>

        <script src="<?php echo e(asset('assets/js/customjs/custom-surveys-datatable.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/survey/index.blade.php ENDPATH**/ ?>