<?php if(sizeof($duplicates_container) > 0): ?>
    <?php $__currentLoopData = $duplicates_container; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $firstKey => $accountArray): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="mb-4">
            
            <h6 class="card-title">Provisional Duplicate #<?php echo e($firstKey+1); ?></h6>
            
            
            <div class="table-responsive">
                <table class="table align-middle table-bordered mb-0 table-sm custom-table-2">
                    <tbody>
                    <thead>
                    <tr>
                        <th style="width: 50px">#</th>
                        <th><?php echo e(__('Ref.ID')); ?></th>
                        <th><?php echo e(__('Name')); ?></th>
                        <th><?php echo e(__('Date of Birth')); ?></th>
                        <th><?php echo e(__('Gender')); ?></th>
                        <th style="width: 50px">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $accountArray; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($key+1); ?></td>
                            <td><?php echo e($account->regID); ?></td>
                            <td><?php echo e($account->surnames.', '.$account->first_names.', '.$account->other_names); ?></td>
                            <td><?php echo e($account->dobs.' ('.getAgeByDate($account->dobs).')'); ?></td>
                            <td><?php echo e($account->genders); ?></td>
                            <td>
                                <a href="<?php echo e(route('applicant.deleteApplicantInfo',[cryptThis($account->id)])); ?>" onclick="return confirm('Are you sure you want to remove this Applicant?')"
                                   class="btn btn-sm btn-link text-danger mr-2" data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo e(__("Delete Applicant")); ?>"><i class="fa fa-times"></i></a>

                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                    </tbody>
                </table>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php else: ?>
    <div class="pt-4 pb-4">
        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
    </div>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/duplicate-detection/duplication-result.blade.php ENDPATH**/ ?>