<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('last-css'); ?>

    <?php $__env->stopPush(); ?>

     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            
            <li class="breadcrumb-item" aria-current="page"><a class="text-secondary" href="<?php echo e(route('benefit_registration.list')); ?>">Benefit Applications</a></li>
            <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('View Application')); ?></li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0"><?php echo e(__('View Application')); ?></h1>
                <small class="text-muted"><?php echo e(__('This page shows the overall details for the application.')); ?></small>
            </div>












        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            <?php if(session()->has('message')): ?>
                <div class="mb-5">
                    <?php if(session()->get('status') == 'success'): ?>
                        <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                    <?php else: ?>
                        <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
            
            <?php if($errors->has('payment_amount')): ?>
                    <div role="alert" class="alert alert-danger mb-5">
                        <?php echo e(__('The value of the benefit amount must be between').' '.easyCount($min_value) .' '.'and'.' '.easyCount($max_value).'. '.__('Please correct the figure to proceed with the approval.')); ?>

                    </div>
            <?php endif; ?>
            <div class="row g-3">
                <div class="col-12 mb-3">
                    <?php
                        $surnames = $applicant->surnames;
                        $first_names = $applicant->first_names;
                        $other_names = $applicant->other_names;
                        $dobs = $applicant->dobs;
                        $genders = $applicant->genders;
                        $place_of_births = $applicant->place_of_births;
                        $country_of_births = $applicant->country_of_births;
                        $app_nationalities = $applicant->nationalities;
                        $impairments = null;
                    ?>
                    <div class="card">
                        <div class="card-body">
                            <div class="d-flex align-items-left flex-column flex-md-row">
                                <?php
                                    $applicant_avatar = asset('assets/default.jpeg');
                                    if(!is_null($applicant->avatar)) $applicant_avatar = asset($applicant->avatar);
                                ?>
                                <img src="<?php echo e($applicant_avatar); ?>" alt="" class="rounded no-filter" style="width: auto; height: 150px; border-radius: 100%;">
                                <div class="media-body ms-md-5 m-0 mt-4 mt-md-0 text-md-start">
                                    <h5 class="fw-bol"><span class="fw-bolder"><?php echo e($surnames); ?>, </span>
                                        <?php echo e($first_names." ".$other_names); ?> [<?php echo e($applicant->regID); ?>]
                                        <small class="<?php echo e(application_style($application->status)); ?>"> - <?php echo e($application->status); ?></small>
                                    </h5>
                                    <p><strong class="me-3">Date Of Birth:</strong>
                                        <?php if(!is_null($dobs)): ?><?php echo e(date('d M Y', strtotime($dobs))." (".getAgeByDate($dobs).")"); ?><?php endif; ?>
                                    </p>
                                    <div class="d-flex flex-wrap justify-content-left align-items-left mb-3 mt-2">
                                        <div class="me-2 me-md-3">
                                            <small class="text-muted">Gender</small>
                                            <div class="mb-0 fw-bold"><?php echo e($genders); ?></div>
                                        </div>
                                        <div class="me-3">
                                            <small class="text-muted">Citizenship</small>
                                            <div class="mb-0 fw-bold"><?php echo e($app_nationalities); ?></div>
                                        </div>
                                        <div class="me-3">
                                            <small class="text-muted"><?php echo e(__('Place Of Birth')); ?></small>
                                            <div class="mb-0 fw-bold"><?php echo e($place_of_births.", ".$country_of_births); ?></div>
                                        </div>
                                        <div class="me-3">
                                            <small class="text-muted">Impairments</small>
                                            <div class="mb-0">
                                                <?php if(!is_null($impairments)): ?>
                                                    <?php $__currentLoopData = $impairments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <span class="mr-3">- <?php echo e($name); ?></span>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    -
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                    <ul class="social mb-0 list-inline mt-3">
                                        <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-whatsapp"></i></a></li>
                                        <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-instagram"></i></a></li>
                                        <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-facebook"></i></a></li>
                                        <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-linkedin"></i></a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row g-3">
                <div class="col-12 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table card-table table-sm table-nowrap mb-0">
                                    <tbody>
                                        <tr>
                                            <td style="width: 200px"><strong>Benefit Type</strong></td>
                                            <td>
                                                <?php echo e($application->benefit->titles); ?>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width: 200px"><strong>Added By</strong></td>
                                            <td>
                                                <?php echo e($application->addedBy?->fullName); ?>

                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="mt-5">
                                <div class="card bg-body my-4 p-3 d-flex flex-row">
                                    <div class="flex-fill">
                                        <div class="flex mb-2 justify-between items-center">
                                            <strong>Permanent Address</strong>
                                        </div>
                                        <div class="flex mb-2 justify-between items-center">
                                            <?php
                                                $contactDetail = getDefaultPostal($applicant->id);
                                            ?>
                                            <?php if($contactDetail): ?>
                                                <?php if(!is_null($contactDetail->postal_address)): ?><?php echo e($contactDetail->postal_address.", "); ?><br><?php endif; ?>
                                                <?php if(!is_null($contactDetail->village)): ?><?php echo e($contactDetail->village.", "); ?><?php endif; ?> <?php echo e(getCounty($contactDetail->city,'name')); ?>

                                                <br>
                                                <span><?php echo e(getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')); ?></span>
                                            <?php else: ?>
                                                <span>No Information</span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="flex-fill">
                                        <div class="flex mb-2 justify-between items-center">
                                            <strong>Current Residence</strong>
                                        </div>
                                        <div class="flex mb-2 justify-between items-center">
                                            <?php
                                                $contactDetail = getDefaultResidence($applicant->id);
                                            ?>
                                            <?php if($contactDetail): ?>
                                                <?php if(!is_null($contactDetail->address)): ?><?php echo e($contactDetail->address.", "); ?><br><?php endif; ?>
                                                <?php if(!is_null($contactDetail->village)): ?><?php echo e($contactDetail->village.", "); ?><?php endif; ?> <?php echo e(getCounty($contactDetail->city,'name')); ?>

                                                <br>
                                                <span><?php echo e(getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')); ?></span>
                                            <?php else: ?>
                                                <span><?php echo e(__('No Information')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="table-responsive mt-5">
                                <table class="table card-table table-sm table-nowrap mb-0">
                                    <thead>
                                    <tr>
                                        <th>Reporter</th>
                                        <th>Benefit</th>
                                        <th>Submitted On</th>
                                        <th>Proof of Identity</th>
                                    </tr>
                                    </thead>
                                    <?php if(true): ?>
                                        <tbody>
                                        <tr>
                                            <td style="width: 200px"><strong><?php echo e($application->reporter_surname.' '.$application->reporter_first_name); ?></strong><small> (<?php echo e($application->reporter_relationship); ?>)</small>
                                                <br><small class="text-muted"><?php echo e($application->reporter_contact); ?></small></td>
                                            <td><strong><?php echo e($application->benefit->titles); ?></strong><br>
                                                <small class="text-muted"><?php echo e($application->benefit->financial); ?></small></td>
                                            <td>
                                                <strong><?php echo e(date('d M Y', strtotime($application->created_at))); ?></strong>
                                                <br>
                                                <small class="text-muted"><?php echo e($application->addedBy?->fullName); ?></small>
                                            </td>

                                            <td><strong><?php echo e($application->reporter_id_type); ?>

                                                    <?php $__currentLoopData = $used_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if(strtolower($document->type) == strtolower($application->reporter_id_type)): ?>
                                                            <i class="bi-paperclip"></i> <a href="<?php echo e(route('download-file',['file_path'=>$document->url])); ?>" target="_blank">

                                                            </a>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </strong>
                                                <br>
                                                <small class="text-muted"><?php echo e($application->reporter_id_number ?? "Not Set"); ?></small></td>
                                        </tr>
                                        </tbody>
                                    <?php endif; ?>
                                </table>
                            </div>
                            <div class="mt-5">
                                <?php echo $channel; ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php if(false): ?>
                <div class="row g-3">
                    <div class="col-md-6 mb-3">
                        <div class="card">
                            <div class="card-body">
                                <h6 class="mb-4">Reporter Information</h6>
                                <div class="table-responsive">
                                    <table class="table card-table table-sm table-nowrap mb-0">
                                        <tbody>
                                        <tr>
                                            <td style="width:200px"><strong>Identification Type</strong></td>
                                            <td><?php echo e($application->reporter_id_type); ?></td>
                                        </tr>
                                        <tr>
                                            <td><strong>Full Name</strong></td>
                                            <td><?php echo e($application->reporter_surname.' '.$application->reporter_first_name); ?></td>
                                        </tr>
                                        <tr>
                                            <td><strong>Contact</strong></td>
                                            <td><?php echo e($application->reporter_contact); ?></td>
                                        </tr>
                                        <tr>
                                            <td><strong>Relationship</strong></td>
                                            <td><?php echo e($application->reporter_relationship); ?></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6 mb-3">
                        <div class="card">
                            <div class="card-body">
                                <h6 class="mb-4">Documentations</h6>
                                <div class="table-responsive">
                                    <table class="table card-table table-sm table-nowrap mb-0">
                                        <tbody>
                                        <?php $__currentLoopData = $used_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td>
                                                    <a href="<?php echo e(route('download-file',['file_path'=>$document->url])); ?>" target="_blank">
                                                        <i class="fa fa-file"></i> Download <?php echo e($document->type); ?></a>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>


            <div class="row g-3">
                <?php if(in_array($application->status,['Submitted','Resubmitted']) && canDo('administrator','approve-application|process-application')): ?>
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <h6 class="mb-4"><?php echo e(__('Application Review')); ?></h6>
                                <form action="<?php echo e(route('benefit_registration.applicationProcessing',[cryptThis($application->id)])); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="responder" value="1">
                                    <div class="row">
                                        <div class="col-md-4">
                                                <input class="form-check-input" type="radio" value="pass" name="application_state" <?php if(old('application_state')=='pass'): echo 'checked'; endif; ?> id="pass">
                                                <label class="form-check-label" for="pass"><?php echo e(__('Passed internal review')); ?></label>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" <?php if(old('application_state')=='fail'): echo 'checked'; endif; ?> value="fail" name="application_state" id="fail">
                                                <label class="form-check-label" for="fail"><?php echo e(__('Failed internal review')); ?></label>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <?php if($errors->has('application_state')): ?>
                                                <p class="text-right">
                                                    <span class="text-danger form-text"><?php echo e($errors->first('application_state')); ?></span>
                                                </p>
                                            <?php endif; ?>
                                        </div>
                                        <div class="col-md-12 mt-3" id="failed_reason" style="display: none">
                                            <input type="text" class="form-control-lg required form-control" disabled id="reason_failed" name="reason_failed"
                                                   placeholder="Why did the application fail?" value="<?php echo e(old('reason_failed')); ?>">
                                            <?php if($errors->has('reason_failed')): ?>
                                                <p class="text-right">
                                                    <span class="text-danger form-text"><?php echo e($errors->first('reason_failed')); ?></span>
                                                </p>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-12 mt-3">
                                            <button type="submit" class="btn btn-primary"><i class="bi-paper-plane"></i> Submit</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                <?php elseif(!in_array($application->status,['Approved','Rejected','Returned For Correction','Submitted','Resubmitted'])
                    && (auth()->user()->hasRoleById($application->benefit->approver) || canDo('administrator','approve-application'))): ?>
                    <div class="col-12">
                        <form action="<?php echo e(route('benefit_registration.applicationProcessing',[cryptThis($application->id)])); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="card">
                                <div class="card-body">
                                    <h6 class="mb-4">Processing
                                        <br>
                                        <small class="fw-light text-info"><?php echo e(__('Enter an amount representing the value of benefit for the beneficiary. Remarks are also mandatory')); ?></small>
                                    </h6>
                                    <?php if(!is_null($min_value)): ?>
                                        <div class="row">
                                            <p>Physical Goods</p>
                                            <div class="col-12 col-md-9 mb-3">
                                                <?php
                                                    $x_counter = 1;
                                                ?>
                                                <?php $__currentLoopData = $application->benefit->inventoryItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                                <div class="input-group mb-2">
                                                    <!--<select name="inventoryItem[1][item]" id="" class="form-control required-field">
                                                        <option value=""></option>
                                                        <?php $__currentLoopData = $inventory_items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($data->id); ?>"><?php echo e($data->item); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>-->
                                                    <input type="text" disabled class="form-control" value="<?php echo e($item->item); ?>">
                                                    <input type="hidden" value="<?php echo e($item->id); ?>" name="inventoryItem[<?php echo e($x_counter); ?>][item]" class="form-control " placeholder="">
                                                    <input type="number" value="" name="inventoryItem[<?php echo e($x_counter); ?>][quantity]" class="form-control required-field" placeholder="Enter Quantity" required>
                                                    
                                                </div>
                                                
                                                <?php
                                                    $x_counter++;
                                                ?>
                                                    
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php if(session()->has('error')): ?>
                                                <small class="text-danger"><?php echo e(session()->get('message')); ?></small>
                                                <?php endif; ?>
                                                
                                            </div>


                                            <div id="items-seat">
                                                

                                            </div>
                                            <!--<div>
                                                <button class="btn btn-primary mb-2" type="button" id="add-new-item-btn">Add New Item</button>
                                            </div>-->
                                            
                                            <div class="col-md-9 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <textarea name="comment" style="height: 150px" required id="comment" class="form-control"><?php echo e(old('comment')); ?></textarea>
                                                    <label class="text-muted required">Enter Comment/Remarks <span class="required">*</span></label>
                                                </div>
                                                <?php if($errors->has('comment')): ?>
                                                    <div class="small text-warning"><?php echo e($errors->first('comment')); ?></div>
                                                <?php endif; ?>
                                            </div>
                                            <div class="col-md-3 col-sm-12 mb-3">
                                                <div class="mb-3">
                                                    
                                                    <div class="input-group">
                                                        <span class="input-group-text" style="font-size: 13px;"><?php echo e(getCurrency()); ?></span>
                                                        <input type="number" class="form-control" value="<?php echo e(old('payment_amount',0)); ?>" required placeholder="<?php echo e(easyCount($min_value)); ?> - <?php echo e(easyCount($max_value)); ?>" name="payment_amount" min="0" max="<?php echo e($max_value); ?>" id="min_value" aria-label="Min Value">
                                                    </div>
                                                    <?php if($errors->has('payment_amount')): ?>
                                                        <span class="form-text text-danger"><?php echo e($errors->first('payment_amount')); ?></span>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="text-center">
                                                    <button class="btn btn-l btn-success mb-3 btn-default-size" type="submit" name="submit" value="Approved"><i class="bi-check-circle-fill me-2"></i> Approve</button>
                                                    <button class="btn btn-l btn-danger mb-3 btn-default-size" type="submit" name="submit" value="Declined"><i class="bi-exclamation-octagon me-2"></i> Reject</button>
                                                    <button class="btn btn-l btn-primary mb-3 btn-default-size" type="submit" name="submit" value="On Hold"><i class="bi-stop-circle me-2"></i> Hold</button>
                                                    <a class="btn btn-l btn-warning mb-3 btn-default-size" href="<?php echo e(route('benefit_registration.list')); ?>" value="Close"><i class="bi-arrow-bar-left me-2"></i> Go Back</a>
                                                </div>

                                            </div>
                                        </div>
                                    <?php else: ?>
                                        <p class="text-danger">
                                            The Application cannot be processed. Contact the Administrator to set this Month's Minimum and Maximum
                                            Value for this Benefit.
                                        </p>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </form>
                    </div>
                <?php endif; ?>

                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <h6 class="mb-4"><?php echo e(__('Application Processing History')); ?></h6>
                            <ul class="timeline-activity list-unstyled mb-0">
                                <?php $__currentLoopData = $application->applicationProcessings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $process): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="activity px-3 py-2 mb-1" data-date="<?php echo e(easyDate($process->created_at)); ?>">
                                        <div class="fw-bold small d-flex justify-content-between align-items-center"><?php echo e($process->stage); ?>

                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.approval-status','data' => ['status' => ''.e($process->action).'']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('approval-status'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['status' => ''.e($process->action).'']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?></div>
                                        <div>
                                            <small class="text-muted"><?php echo e($process->remarks); ?></small><br>
                                            <small class="text-muted">By <?php echo e($process->applicable->fullName); ?> ( <?php echo e($process->applicable->job_title); ?> ) via <?php echo e($process->access_type); ?></small>
                                        </div>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/jquerysteps.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
        
        <script>
            itemsCounter = 1
            $('.datepicker').datepicker({
                format: "yyyy-mm",
                startView: "months",
                minViewMode: "months"
            });
            $('.select2').select2({
                placeholder: 'Choose',
                allowClear: true
            });

            $('document').ready(function () {
                $("input[name='application_state']").change(function(){
                    if(this.value === 'fail') {
                        $('#failed_reason').show();
                        $('#reason_failed').prop({'disabled':false,'required':true});
                    }
                    else {
                        $('#failed_reason').hide();
                        $('#reason_failed').prop({'disabled':true,'required':false});
                    }
                    //
                });
            })


            $('#add-new-item-btn').click(function(){
                
                add_item_fields()
            })


            function add_item_fields()
            {
                var allFilled = true;

                $('.required-field').each(function() {
                    if ($(this).val() === '') {
                        allFilled = false;
                        return false; // break out of the loop if any field is empty
                    }
                });

                if(allFilled){

                    itemsCounter++
                    $('#items-seat').last().append(

                        "<div class='col-12 col-md-9 mb-3'><div class='input-group'><select name='inventoryItem["+itemsCounter+"][item]'  class='item-selector form-control required-field'><option></option></select><input type='number' name='inventoryItem["+itemsCounter+"][quantity]' class='form-control required-field' value='1' placeholder='Quantity'></div></div>"

                    );

                    $.get('/get-inventory-items', function (res){

                        res.inventory_items.forEach(function(inventory_item) {
                            $('.item-selector').last().append("<option value='"+inventory_item.id+"'>"+inventory_item.item+"</option>")
                        });
                    })

                }else{
                    alert('Looks like some you missed some required fields.')
                }
                

                


            }

        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>


<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/benefit-registration/applications/general-view.blade.php ENDPATH**/ ?>