<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Merchant Management</li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Merchant Management</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <?php if(session()->has('message')): ?>
                <div class="mb-5">
                    <?php if(session()->get('status') == 'success'): ?>
                        <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                    <?php else: ?>
                        <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">

                            <form action="#" method="GET">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <input type="text" class="form-control" name="bank" placeholder="Enter Merchant Name"
                                    value="<?php echo e(request()->get('bank')); ?>">
                                    <select name="type" id="type" class="form-select">
                                        <option value="">-- Select Type --</option>
                                        <?php $__currentLoopData = getMerchantTypes(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($type['id']); ?>"
                                            <?php echo e((request()->get('type') == $type['id'])?'selected':''); ?>

                                            ><?php echo e(Str::headline($type['name'])); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <select name="country" id="country" class="form-select">
                                        <option value="">-- Country --</option>
                                        <?php $__currentLoopData = getCountries(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($type['id']); ?>"
                                            <?php echo e((request()->get('country') == $key)?'selected':''); ?>

                                            ><?php echo e($type['country_name']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="<?php echo e(route('merchants.list')); ?>" class="btn btn-light-primary"><i class="fa fa-refresh"></i></a>



                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="table-responsive">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 30px"><?php echo e(__('#')); ?></th>
                                <th><?php echo e(__('Name')); ?></th>
                                <th style="width: 100px"><?php echo e(__('Short Name')); ?></th>
                                <th><?php echo e(__('Memberships')); ?></th>

                            </tr>
                            </thead>
                            <tbody>
                            <?php if(sizeof($merchants) > 0): ?>
                                <?php $count = 1; ?>
                                <?php $__currentLoopData = $merchants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$merchant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $logo = asset('assets/img/image-placeholder.png');
                                    if($merchant['logo'] != null) $logo = env('CONSOLE_URL').$merchant['logo']
                                    ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td>
                                            <div class="d-flex align-items-center">
                                                <img src="<?php echo e($logo); ?>" class="rounded-circle avatar" alt="<?php echo e($merchant['shortname']); ?>">
                                                <h6 class="ms-2 mb-0 fw-bold">
                                                    <a href="<?php echo e(route('merchants.merchantDetails',[cryptThis($merchant['id'])])); ?>"
                                                       data-bs-toggle="tooltip"
                                                       data-bs-placement="top" title="View Merchant Details">
                                                    <?php echo e($merchant['name']); ?>

                                                    <br>
                                                    <small class="text-muted fw-lighter"><?php echo e(getMerchantType($merchant['type'])); ?></small>
                                                    </a></h6>
                                            </div>
                                        </td>
                                        <td><?php echo e($merchant['shortname']); ?>

                                        </td>
                                        <td><?php echo e((isset($bank_members[$merchant['id']]))?$bank_members[$merchant['id']]:0); ?></td>







                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="roleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="form-container">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="EditroleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="edit-form-container">

                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/fancybox.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
        <script>
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('document').ready(function () {
                addView();
            });

            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            

            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231129140011/resources/views/merchant/index.blade.php ENDPATH**/ ?>