<div class="d-flex justify-content-between mt-4">
    <div>
        <h5>Date Of Birth</h5>
        <h6><?php echo e(date('F d, Y', strtotime($applicant->dobs))); ?></h6>
        <small><?php echo e($applicant->genders); ?></small>
    </div>
    <div class="text-center">
        <h2 class="fw-bold text-primary text-capitalize mb-0"><span><?php echo e(getAgeByDate($applicant->dobs)); ?></span></h2>
    </div>
    <div class="text-end">
        <h5>Place Of Birth</h5>
        <h6><?php echo e($applicant->country_of_births); ?></h6>
        <small><?php echo e($applicant->place_of_births); ?></small>
    </div>
</div>
<div class="card bg-body my-4 p-3 d-flex flex-row">
    <div class="flex-fill">
        <div class="flex mb-2 justify-between items-center">
            <strong>Permanent Address</strong>
        </div>
        <div class="flex mb-2 justify-between items-center">
            <?php
                $contactDetail = getDefaultPostal($applicant->id);
            ?>
            <?php if($contactDetail): ?>
                <?php if(!is_null($contactDetail->postal_address)): ?><?php echo e($contactDetail->postal_address.", "); ?><br><?php endif; ?>
                <?php if(!is_null($contactDetail->village)): ?><?php echo e($contactDetail->village.", "); ?><?php endif; ?> <?php echo e(getCounty($contactDetail->city,'name')); ?>

                <br>
                <span><?php echo e(getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')); ?></span>
            <?php else: ?>
                <span>No Information</span>
            <?php endif; ?>
        </div>
    </div>
    <div class="flex-fill">
        <div class="flex mb-2 justify-between items-center">
            <strong>Current Residence</strong>
        </div>
        <div class="flex mb-2 justify-between items-center">
            <?php
                $contactDetail = getDefaultResidence($applicant->id);
            ?>
            <?php if($contactDetail): ?>
                <?php if(!is_null($contactDetail->address)): ?><?php echo e($contactDetail->address.", "); ?><br><?php endif; ?>
                <?php if(!is_null($contactDetail->village)): ?><?php echo e($contactDetail->village.", "); ?><?php endif; ?> <?php echo e(getCounty($contactDetail->city,'name')); ?>

                <br>
                <span><?php echo e(getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')); ?></span>
            <?php else: ?>
                <span><?php echo e(__('No Information')); ?></span>
            <?php endif; ?>
        </div>
    </div>
</div>

<?php if($benefit->financial == 'Financial'): ?>
<div class="input-group">
    <span class="input-group-text"><?php echo e(__('Channel')); ?></span>
    <select class="form-select" name="bank_account" id="bank_account" onchange="getApplicantBankInfo()" required id="bank-account">
        <option value="">-- <?php echo e(__('Choose')); ?> --</option>
        <?php $__currentLoopData = $applicant->accountDetails->where('status','Verified'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($accountDetail->id); ?>" <?php if(isset($application_bank_account_id)): ?> <?php if($application_bank_account_id == $accountDetail->id): echo 'selected'; endif; ?><?php endif; ?>>
            <?php echo e($accountDetail->bank_name); ?> - <?php echo e(hashAccountNumber($accountDetail->account_number)); ?>

        </option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </select>
</div>
<div class="card mt-2 p-3" id="bk-dt" style="height: 10rem">

</div>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/benefit-registration/applications/basic-info.blade.php ENDPATH**/ ?>