<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('benefit_registration.list')); ?>">Applications</a></li>
            <li class="breadcrumb-item active" aria-current="page">Payment Vouchers</li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Payment Vouchers</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>




            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            <?php if(session()->has('message')): ?>
                <div class="mb-5">
                <?php if(session()->get('status') == 'success'): ?>
                    <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                <?php else: ?>
                    <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                <?php endif; ?>
                </div>
            <?php endif; ?>
                <div class="row g-3">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="#" method="get">
                                    <?php echo csrf_field(); ?>
                                    <div class="input-group">
                                        <input type="number" name="year" id="year" value="<?php echo e($year); ?>" placeholder="<?php echo e(date('Y')); ?>" class="form-control">
                                        <input type="text" name="voucher_id" id="voucher_id" placeholder="Voucher #" class="form-control"
                                        value="<?php echo e(request()->get('voucher_id')); ?>">

                                        <select name="status" id="status" class="form-select">
                                            <option value="">-- <?php echo e(__('Status')); ?> --</option>
                                            <?php $__currentLoopData = getPaymentVoucherStatus(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($id); ?>" <?php if(request()->get('status') == $id): echo 'selected'; endif; ?>><?php echo e($name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="fa fa-search"></i></button>
                                        <button data-bs-toggle="modal" data-bs-target="#paymentModal" title="Add new Voucher" type="button"
                                                class="btn btn-primary"><i class="fa fa-plus me-2"></i> <?php echo e(__('New')); ?>

                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="table-responsive mt-10">
                            <table id="forms_table" class="table myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th>Period</th>
                                    <th>Voucher ID</th>
                                    <th>Voucher Date</th>
                                    <th>Payees</th>
                                    <th>Gross Pay</th>
                                    <th>Tax</th>
                                    <th>Net Payble</th>
                                    <th>Status</th>
                                    <th style="width: 100px">Action</th>
                                </tr>
                                </thead>
                                <tbody>

                                    <?php for($month=0; $month < sizeof($months); $month++): ?>
                                        <?php $full_month = $months[$month]; ?>
                                        <tr>
                                            <td><?php echo e($full_month); ?></td>
                                            <td><?php echo e((isset($available_master_list[$full_month]))?$available_master_list[$full_month]['voucher_number']:"-"); ?></td>
                                            <td><?php echo e((isset($available_master_list[$full_month]))?$available_master_list[$full_month]['voucher_date']:"-"); ?></td>
                                            <td><?php echo e((isset($available_master_list[$full_month]))?$available_master_list[$full_month]['beneficiaries']:"-"); ?></td>
                                            <td><?php echo e((isset($available_master_list[$full_month]))?$available_master_list[$full_month]['gross_pay']:"-"); ?></td>
                                            <td><?php echo e((isset($available_master_list[$full_month]))?$available_master_list[$full_month]['tax']:"-"); ?></td>
                                            <td><?php echo e((isset($available_master_list[$full_month]))?$available_master_list[$full_month]['netable_pay']:"-"); ?></td>
                                            <td><?php echo e((isset($available_master_list[$full_month]))?getLookupSelectedOptionTextByValue($available_master_list[$full_month]['status']):"-"); ?></td>
                                            <td>
                                                <?php if(isset($available_master_list[$full_month])): ?>
                                                    <?php $id = $available_master_list[$full_month]['id']; ?>

                                                    <a href="<?php echo e(route('payment.paymentBatchVoucher',[$id])); ?>"
                                                        class="btn btn-sm btn-link text-success" data-bs-toggle="tooltip" title="View Voucher">
                                                        <i class="fa fa-envelope-open-o"></i>
                                                    </a>

                                                    <a href="<?php echo e(route('payment.paymentBatch',[$id])); ?>"
                                                        class="btn btn-sm btn-link text-primary" data-bs-toggle="tooltip" title="View Benefactors">
                                                        <i class="bi-people-fill"></i>
                                                    </a>
                                                    <?php if(canDo('administrator','voucher-management')): ?>
                                                    <button type="button" class="btn btn-sm btn-link text-danger" data-bs-toggle="tooltip" title="Remove"><i class="fa fa-trash-o"></i></button>
                                                    <?php endif; ?>
                                                <?php endif; ?>

                                            </td>
                                        </tr>

                                    <?php endfor; ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- .row end -->
        </div>
    </div>
    <!-- start: page footer -->

        <div class="modal fade" id="paymentModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-header">
                        <h5 class="modal-title" >New Voucher</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body custom_scroll">
                        <div class="mb-3">
                            <div class="row">
                                <label for="period" class="col-sm-2 col-form-label">Select Period</label>
                                <div class="col-sm-4">
                                    <select name="period" id="period" class="form-select">
                                        <option> -- Choose --</option>
                                        <?php for($month=0; $month < sizeof($months); $month++): ?>
                                            <option value="<?php echo e($month+1); ?>"><?php echo e($months[$month]); ?></option>
                                        <?php endfor; ?>
                                    </select>
                                </div>
                            </div>

                        </div>
                        <div id="form-container">

                        </div>
                    </div>
                </div>
            </div>
        </div>

<?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/apexcharts.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/select2.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/helpers.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/pages/users.js')); ?>"></script>
        <!-- Jquery Page Js -->
        <script>
            $('#forms_table').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('.select2').select2();

            $('document').ready(function () {
                $('select#period').on('change',function (){
                    let selectedMonth = $(this).val();

                    var path = "<?php echo e(route('payment.loadVoucherForm')); ?>";
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-Token': $('meta[name=_token]').attr('content')
                        }
                    });
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data: {month: selectedMonth},
                        beforeSend: function () {
                        },
                        success: function (data) {
                            $('#form-container').empty().html(data.formView);
                        },
                        complete: function () {
                            $.getScript("<?php echo e(asset('assets/js/bundle/apexcharts.bundle.js')); ?>", function () {
                                console.log('Reset');
                            });
                        },
                        error: function (data) {
                            console.log(data);
                        }
                    });
                });
            });

        </script>
<?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/upg.appdemo.pro/resources/views/payments/payment-vouchers.blade.php ENDPATH**/ ?>