<?php if(!isset($details)): ?>
    <?php
        $family_list = getRelationshipType();
        $type = $surname = $first_name = $other_name = $dob = $fam_reg_id = $is_dependant = null;
    ?>
    <form action="<?php echo e(route('applicant.updateApplicantRecord')); ?>" method="POST" enctype='multipart/form-data' id="record_update_form">
        <?php echo csrf_field(); ?>
        <input type="hidden" name="form_type" value="<?php echo e($request->table); ?>">
            <?php
                $type = $familyDetail->type;
                $surname = $familyDetail->surname;
                $first_name = $familyDetail->first_name;
                $other_name = $familyDetail->other_name;
                $dob = $familyDetail->date_of_birth;
                $fam_reg_id = $familyDetail->dependent_reference_id;
                $id_type = $familyDetail->id_type;
                $is_dependant = $familyDetail->is_dependent;
            ?>
            <?php echo method_field('PUT'); ?>
            <input type="hidden" name="id" value="<?php echo e(cryptThis($familyDetail->applicant->id)); ?>">
            <input type="hidden" name="record_id" value="<?php echo e(cryptThis($request->record)); ?>">

        <div class="modal-body custom_scroll p-lg-3">

            <div class="row" id="record_update_form_fields">
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select required class="form-control" name="type" id="type">
                            <option>Choose Type</option>
                            <?php $__currentLoopData = $family_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($name); ?>" <?php echo e(($type == $name)?'selected':''); ?>><?php echo e($name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <label for="type"><?php echo e(__('Relationship')); ?> <span class="required">*</span></label>
                    </div>
                    <?php if($errors->has('type')): ?>
                        <span class="form-text text-danger" role="alert">
                                                        <strong><?php echo e($errors->first('type')); ?></strong>
                                                    </span>
                    <?php endif; ?>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" required placeholder="Surname" class="form-control"
                               style="" value="<?php echo e($surname); ?>" name="surname" id="surname">
                        <label for="surname"><?php echo e(__('Surname')); ?>

                            <span class="required">*</span></label>
                    </div>
                    <?php if($errors->has('surname')): ?>
                        <span class="invalid-feedback" role="alert">
                                                                        <strong><?php echo e($errors->first('surname')); ?></strong>
                                                                    </span>
                    <?php endif; ?>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" required placeholder="First Name" class="form-control"
                               style="" value="<?php echo e($first_name); ?>" name="first_name" id="first_name">
                        <label for="first_name"><?php echo e(__('First Name')); ?>

                            <span class="required">*</span></label>
                    </div>
                    <?php if($errors->has('first_name')): ?>
                        <span class="invalid-feedback" role="alert">
                                                                        <strong><?php echo e($errors->first('first_name')); ?></strong>
                                                                    </span>
                    <?php endif; ?>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" placeholder="Other Name" class="form-control"
                               style="" value="<?php echo e($other_name); ?>" name="other_name" id="other_name">
                        <label for="other_name"><?php echo e(__('Other Name')); ?>

                            <span class="required">*</span></label>
                    </div>
                    <?php if($errors->has('other_name')): ?>
                        <span class="invalid-feedback" role="alert">
                                                                        <strong><?php echo e($errors->first('other_name')); ?></strong>
                                                                    </span>
                    <?php endif; ?>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control datepicker" required
                               value="<?php echo e($dob); ?>" data-date-end-date="0d" style="min-width: auto;"
                               name="date_of_birth" id="date_of_birth" readonly="readonly" placeholder="Select date">
                        <label for="date_of_birth">Date Of Birth:
                            <span class="required">*</span></label>
                    </div>
                    <?php if($errors->has('date_of_birth')): ?>
                        <span class="invalid-feedback" role="alert">
                            <strong><?php echo e($errors->first('date_of_birth')); ?></strong>
                        </span>
                    <?php endif; ?>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select required class="form-control" name="id_type" id="id_type">
                            <option>Choose ID Type</option>
                            <?php $__currentLoopData = getIdentificationType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($name); ?>" <?php echo e(($id_type == $name)?'selected':''); ?>><?php echo e($name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <label for="id_type"><?php echo e(__('ID Type')); ?> <span class="required">*</span></label>
                    </div>
                    <?php if($errors->has('id_type')): ?>
                        <span class="form-text text-danger" role="alert">
                                            <strong><?php echo e($errors->first('id_type')); ?></strong>
                                        </span>
                    <?php endif; ?>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control"
                               style="" value="<?php echo e($fam_reg_id); ?>" name="dependent_reference_id" id="dependent_reference_id">
                        <label for="other_name"><?php echo e(__('Registration No.')); ?></label>
                    </div>
                    <?php if($errors->has('dependent_reference_id')): ?>
                        <span class="invalid-feedback" role="alert">
                            <strong><?php echo e($errors->first('dependent_reference_id')); ?></strong>
                        </span>
                    <?php endif; ?>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select name="is_dependant" id="is_dependant" required class="form-control">
                            <option value="Yes" <?php echo e(($is_dependant == 'Yes')?'selected':''); ?>>Yes</option>
                            <option value="No" <?php echo e(($is_dependant == 'No')?'selected':''); ?>>No</option>
                        </select>
                        <label for="is_dependant"><?php echo e(__('Is Dependant?')); ?></label>
                    </div>
                    <?php if($errors->has('is_dependant')): ?>
                        <span class="invalid-feedback" role="alert">
                                                                        <strong><?php echo e($errors->first('is_dependant')); ?></strong>
                                                                    </span>
                    <?php endif; ?>
                </div>
            </div>

        </div>
        <div class="card-footer text-end p-lg-3 text-uppercase">
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cancel','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cancel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.submit','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('submit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
        </div>
    </form>
<?php else: ?>
    <div class="modal-body custom_scroll p-lg-3">
        <div class="table-responsive">
            <table class="table card-table table-sm table-nowrap mb-0">
                <tbody>
                <tr>
                    <td style="width: 200px;font-weight: bolder"><?php echo e(__('Date Of Birth')); ?></td>
                    <td><?php if(!is_null($familyDetail->date_of_birth)): ?><?php echo e(date('d M Y', strtotime($familyDetail->date_of_birth))); ?><?php endif; ?></td>
                </tr>
                <tr>
                    <td style="width: 200px;font-weight: bolder"><?php echo e(__('ID Type')); ?></td>
                    <td> <?php echo e($familyDetail->id_type); ?></td>
                </tr>
                <tr>
                    <td style="width: 200px;font-weight: bolder"><?php echo e(__('Registration No.')); ?></td>
                    <td> <?php echo e($familyDetail->dependent_reference_id); ?></td>
                </tr>
                <tr>
                    <td style="width: 200px;font-weight: bolder"><?php echo e(__('Is Dependant?')); ?></td>
                    <td> <?php echo e($familyDetail->is_dependent); ?></td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231218095220/resources/views/applicant/applicant-form/family-fields.blade.php ENDPATH**/ ?>