<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Role Management</li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Role Management</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <?php $__env->startComponent('components.announcement'); ?><?php echo $__env->renderComponent(); ?>

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <select name="role" id="role" class="form-select">
                                        <option value="">-- Select Group --</option>
                                        <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($role->id); ?>"><?php echo e(Str::headline($role->display_name)); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="<?php echo e(route('account.roles')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"><i class="bi-arrow-repeat"></i></a>
                                    <a href="<?php echo e(route('account.role.hierarchy')); ?>" class="btn btn-light-warning" data-bs-toggle="tooltip" title="Account Roles Hierarchy"><i class="fa fa-sitemap"></i></a>
                                    <a href="<?php echo e(route('account.line_of_sight')); ?>" class="btn btn-light-secondary" data-bs-toggle="tooltip" title="Account Line Of Sight"><i class="fa fa-line-chart"></i></a>

                                    <?php if(canDo('administrator','offices')): ?>
                                        <a href="<?php echo e(route('offices.list')); ?>" class="btn btn-light-success" data-bs-toggle="tooltip" title="Offices"><i class="bi-building"></i></a>
                                    <?php endif; ?>

                                    <?php if(canDo('administrator','view-user-list')): ?>
                                        <a href="<?php echo e(route('account.users')); ?>" class="btn btn-light-info" data-bs-toggle="tooltip" title="Users"><i class="bi-people-fill"></i></a>
                                    <?php endif; ?>

                                    <?php if(canDo('administrator','roles')): ?>
                                        <button data-bs-toggle="modal" data-bs-target="#roleModal" type="button"
                                                class="btn btn-primary">New Role
                                        </button>
                                    <?php endif; ?>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>

                <div class="row g-3">
                    <div class="col-12">
                        <div class="">
                            <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div>
                                                    <a href="#" class="fw-bold" style="font-size: .875rem;"><?php echo e($role->display_name); ?></a><br>
                                                    <p class="mb-0 small">Access Type: <?php echo e(\Illuminate\Support\Str::headline($role->access_type)); ?><strong></strong></p>
                                                </div>
                                            </div>
                                            <div class="col-md-3 text-center small">
                                                <span class="text-muted">Managed by: <?php echo e(($role->lead)?$role->supervisor->display_name:'----'); ?></span>
                                                <br><?php echo e(getAssignedUsersCount($role->id)); ?> Assigned users

                                            </div>
                                            <div class="col-md-5 text-end small">

                                                <?php if(!in_array($role->id,config('settings.reserved-roles'))): ?>
                                                    <?php if($role->status == 1): ?>
                                                        <!--<a href="<?php echo e(route('account.role.activation',[cryptThis($role->id)])); ?>"data-bs-toggle="tooltip"data-bs-placement="top" title="Deactivate"class="btn btn-link btn-sm text-warning"onclick="return confirm('Are you sure you want to deactivate this role?')">
                                                        <i class="fa fa-times-circle"></i>
                                                    </a>-->
                                                        <span class="form-switch">
                                                        <a href="#" data-bs-placement="bottom" title="Deactivate" class="text-warning pe-2"  onclick="toggleRoleStatus(<?php echo e($role->id); ?>)">
                                                            <input class="form-check-input deactivate-btn" checked="" type="checkbox" style="margin-top: 0.8em;" value="" role="switch" id="status">
                                                        </a>
                                                    </span>
                                                    <?php else: ?>
                                                        <!--<a href="<?php echo e(route('account.role.activation',[cryptThis($role->id)])); ?>"data-bs-toggle="tooltip"data-bs-placement="top" title="Activate"class="btn btn-link btn-sm text-success"onclick="return confirm('Are you sure you want to activate this role?')">
                                                        <i class="fa fa-check-circle"></i>
                                                    </a>-->
                                                        <span class="form-switch">
                                                        <a href="#" data-bs-placement="bottom" title="Activate" class="text-success pe-2" onclick="toggleRoleStatus(<?php echo e($role->id); ?>)">
                                                            <input class="form-check-input activate-btn" type="checkbox" style="margin-top: 0.8em;" value="0" role="switch" id="status">
                                                        </a>
                                                    </span>
                                                    <?php endif; ?>
                                                    <button class="btn btn-link btn-sm text-primary loadRole"data-role="<?php echo e($role->name); ?>"onclick="loadRole('<?php echo e($role->name); ?>')" data-bs-toggle="modal"data-bs-target="#EditroleModal">
                                                        <i class="fa fa-edit"></i>
                                                    </button>

                                                    <a href="<?php echo e(route('account.role.remove',[cryptThis($role->id)])); ?>"
                                                       data-bs-toggle="tooltip"
                                                       data-bs-placement="top" title="Delete"
                                                       class="btn btn-link btn-sm text-danger"
                                                       onclick="return confirm('Are you sure you want to delete this role permanently?')">
                                                        <i class="fa fa-trash"></i>
                                                    </a>
                                                <?php endif; ?>






                                            </div>

                                        </div>
                                    </div>
                                </div>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="roleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="form-container">

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="EditroleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="edit-form-container">

                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
        <script>
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('document').ready(function () {
                addView();
            });

            function addView() {
                var path = "<?php echo e(route('account.roles.emptyForm')); ?>";
                $.ajax({
                    url: path,
                    type: 'GET',
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#form-container').empty();
                        $('#form-container').html(data);
                    },
                    complete: function () {
                        $.getScript("<?php echo e(asset('assets/js/customjs/custom.js')); ?>", function () {
                            console.log('Reset');
                        });
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function loadRole(key) {
                var path = "<?php echo e(route('account.roles.edit')); ?>";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {name: key},
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#edit-form-container').empty();
                        $('#edit-form-container').html(data.theView);
                    },
                    complete: function () {
                        $.getScript("<?php echo e(asset('assets/js/custom.js')); ?>", function () {
                            console.log('Reset');
                        });
                    },
                    error: function (data) {
                    }
                });
            }

            function toggleRoleStatus(id){
                var path = "<?php echo e(route('account.roles.toggleStatus')); ?>";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': "<?php echo e(csrf_token()); ?>"
                    }
                });
                $.ajax({
                    url: path,
                    type: 'POST',
                    data: {role_id:id},
                    beforeSend: function () {
                    },
                    success: function () {
                        //reload page

                        //location.reload(true)
                    },
                    complete: function () {
                        //reload page

                        location.reload(true)
                    },
                    error: function (data) {
                        console.log(data)
                    }
                });
            }

        </script>

    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42)): ?>
<?php $component = $__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42; ?>
<?php unset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/roles/index.blade.php ENDPATH**/ ?>