<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('vendor-css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/custom/datatables/datatables.bundle.css')); ?>">
    <?php $__env->stopPush(); ?>

         <?php $__env->slot('breadcrumb', null, []); ?> 
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?php if($restored): ?><?php echo e(__('Benefits Management')); ?><?php else: ?> <?php echo e(__('Archived Benefits')); ?><?php endif; ?></li>
            </ol>
         <?php $__env->endSlot(); ?>
        <!-- start: page toolbar -->
         <?php $__env->slot('page_heading', null, []); ?> 
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0"><?php if($restored): ?><?php echo e(__('Benefits Management')); ?><?php else: ?> <?php echo e(__('Archived Benefits')); ?><?php endif; ?></h1>
                    <small class="text-muted">
                        It enables administrators to seamlessly add, edit, and delete scheme benefits, offering flexibility in setting benefit amounts, eligibility criteria
                    </small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <div class="p-2 me-md-3">
                        <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                1.3%</small></div>
                        <small class="text-muted text-uppercase">Active</small>
                    </div>
                    <div class="p-2 me-md-3">
                        <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                4.1%</small></div>
                        <small class="text-muted text-uppercase">Inactive</small>
                    </div>
                </div>
            </div> <!-- .row end -->
         <?php $__env->endSlot(); ?>

        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
            <div class="container-fluid">
                <?php if(session()->has('message')): ?>
                    <div class="mb-5">
                        <?php if(session()->get('status') == 'success'): ?>
                            <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                        <?php else: ?>
                            <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>

                <!--begin::Row-->
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="#" method="get">
                                    <?php echo csrf_field(); ?>
                                    <div class="input-group">
                                        <select name="class" id="class" class="form-select">
                                            <option value="">-- <?php echo e(__('Class')); ?> --</option>
                                            <?php $__currentLoopData = getBenefitClasses(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$class): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($id); ?>" <?php echo e((request()->get('class') == $id)?'selected':''); ?>><?php echo e($class); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <select name="type" id="type" class="form-select">
                                            <option value="">-- <?php echo e(__('Type')); ?> --</option>
                                            <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($type->id); ?>" <?php echo e((request()->get('type') == $type->id)?'selected':''); ?>><?php echo e($type->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <select name="status" id="status" class="form-select">
                                            <option value="">-- <?php echo e(__('Status')); ?> --</option>
                                            <option value="0" <?php echo e((request()->get('status') == "0")?'selected':''); ?>><?php echo e(__('Enabled')); ?></option>
                                            <option value="1" <?php echo e((request()->get('status') == "1")?'selected':''); ?>><?php echo e(__('Disabled')); ?></option>
                                        </select>
                                        <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i></button>
                                        <a href="<?php echo e(route('benefit.list')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                        <?php if(systemUserCan()): ?>
                                            <a href="<?php echo e(route('benefit.benefitTypes')); ?>" class="btn btn-light-success"  data-bs-toggle="tooltip" title="Benefit Types"><i class="fa fa-folder-open"></i></a>
                                        <?php endif; ?>

                                        <?php if(canDo('administrator','add-benefit|edit-benefit')): ?>
                                            <a href="<?php echo e(route('benefit.benefitAmount')); ?>" class="btn btn-light-info"  data-bs-toggle="tooltip" title="Benefit Amounts"><i class="fa fa-money"></i></a>
                                            <a href="<?php echo e(route('benefit.create')); ?>" class="btn btn-primary"><?php echo e(__('Add New Benefit')); ?></a>
                                        <?php endif; ?>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <div class="table-responsive mt-10">
                            <table id="forms_table" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px"><?php echo e(__('#')); ?></th>
                                    <th><?php echo e(__('Title')); ?></th>
                                    <th><?php echo e(__('Type')); ?></th>
                                    <th><?php echo e(__('Support type')); ?></th>
                                    <th style="width: 120px;"><?php echo e(__('Created On')); ?></th>
                                    <th style="width: 80px;"><?php echo e(__('Action')); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $count=1; $benefits = $forms->pluck('titles','id'); ?>
                                <?php $__currentLoopData = $forms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $form): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td>
                                            <?php echo e($form->titles); ?>

                                            <br>
                                            <small class="text-muted">
                                                <?php echo e(($form->visibility)?'Private':'Public'); ?>

                                            </small>
                                        </td>

                                        <td>
                                            <?php if($form->_type): ?>
                                            <?php echo e($form->_type->name); ?>

                                            <?php else: ?> <small class="text-danger">No Type Set</small>
                                            <?php endif; ?>
                                            <br>
                                            <small class="text-muted">
                                                <?php if($form->_class): ?>
                                                    <?php echo e($form->_class->fullName); ?>

                                                <?php else: ?> <span class="text-danger">No Class Set</span>
                                                <?php endif; ?>
                                            </small>
                                        </td>
                                        <td><?php echo e($form->financial); ?>

                                            <br>
                                            <small class="text-muted">
                                                <?php if(isset($data[$form->id])): ?>
                                                    <?php echo e($data[$form->id]['value']); ?>

                                                <?php else: ?>
                                                    <a class="text-danger" href="#" data-bs-toggle="modal" onclick="setAmount(<?php echo e($form->id); ?>)" data-bs-target="#amountModal">Set Amount</a>
                                                <?php endif; ?>
                                            </small>
                                        </td>
                                        <td><?php echo e(date('d M Y', strtotime($form->created_at))); ?></td>
                                        <td>
                                            <div class="form-check form-switch">
                                            <?php if(canDo('administrator','activate-benefit')): ?>
                                                <input class="form-check-input" type="checkbox" role="switch" id="freelance" style="margin-top: 10px; margin-bottom: 5px"
                                                   onclick='enableBenefit("<?php echo e(route('benefit.archive',[cryptThis($form->id)])); ?>")'
                                                   <?php if($form->archived == 0): ?> checked="checked" <?php endif; ?> name="select" data-bs-toggle="tooltip" title="<?php echo e(__('Archive/Restore this benefit')); ?>">
                                            <?php endif; ?>
                                            <?php if(canDo('administrator','edit-benefit')): ?>
                                                <a href="<?php echo e(route('benefit.edit',[cryptThis($form->id)])); ?>"  data-bs-toggle="tooltip"
                                                   title="<?php echo e(__('Edit Benefit')); ?>" class="btn btn-link text-primary"><i class="fa fa-edit"></i></a>
                                            <?php endif; ?>
                                            <?php if(canDo('administrator','add-application')): ?>
                                                <a href="<?php echo e(route('benefit_registration.create',[cryptThis($form->id)])); ?>"  data-bs-toggle="tooltip"
                                                   title="<?php echo e(__('Apply For')); ?>" class="btn btn-link text-info"><i class="fa fa-list-ul"></i></a>
                                            <?php endif; ?>
                                            <?php if(canDo('administrator','view-beneficiaries-list')): ?>
                                                <a href="#" class="btn text-success btn-link" data-bs-toggle="tooltip" title="<?php echo e(__('View Beneficiaries')); ?>">
                                                    <i class="fa fa-users"></i>
                                                </a>
                                            <?php endif; ?>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php echo $__env->make('benefits.amount-form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!--end::Row-->
    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
            <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script>
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-form-'+key).submit();
                }
            }
            function enableBenefit(enable_url) {
                if (confirm("Do you want to continue?")){
                    window.location = enable_url;
                }
            }
            function setAmount(benefit_id) {
                $('select#benefit').val(benefit_id);
            }
            $('#forms_table').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });
        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231212151518/resources/views/benefits/index.blade.php ENDPATH**/ ?>