<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('vendor-css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/custom/datatables/datatables.bundle.css')); ?>">
    <?php $__env->stopPush(); ?>
     <?php $__env->slot('page_title', null, []); ?> 
        <?php echo e(__('Benefit Processing')); ?>

     <?php $__env->endSlot(); ?>
         <?php $__env->slot('breadcrumb', null, []); ?> 
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Applications')); ?></li>
            </ol>
         <?php $__env->endSlot(); ?>
        <!-- start: page toolbar -->
         <?php $__env->slot('page_heading', null, []); ?> 
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0"><?php echo e(__('Applications')); ?></h1>
                    <small class="text-muted">
                        <?php echo e(__('This module simplifies benefit application management, offering clear tracking, processing and efficient handling.')); ?>

                        <br> <?php echo e(__('Use the included filter to modify the content to your needs.')); ?>

                    </small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <div class="p-2 me-md-3 text-center">
                        <div>
                            <span class="h6 mb-0"><?php echo e(easyCount($new)); ?></span> <small class="text-muted text-uppercase">New</small>




                        </div>

                    </div>
                    <div class="p-2 me-md-3 text-center text-success">
                        <div>
                            <span class="h6 mb-0"><?php echo e(easyCount($approved)); ?></span> <small class="text-muted text-uppercase">Approved</small>




                        </div>

                    </div>
                </div>
            </div> <!-- .row end -->
         <?php $__env->endSlot(); ?>
        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
            <div class="container-fluid">
                <div class="mb-2" id="syncMessage"></div>
                <?php if(session()->has('message')): ?>
                    <div class="mb-5">
                        <?php if(session()->get('status') == 'success'): ?>
                            <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                        <?php else: ?>
                            <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>
                <?php if(session()->has('success')): ?>
                    <div class="mb-5">
                    <div role="alert" class="alert alert-success"><?php echo e(session()->get('success')); ?></div>
                    </div>
                <?php endif; ?>
                <?php if(session()->has('error')): ?>
                    <div class="mb-5">
                    <div role="alert" class="alert alert-danger"><?php echo e(session()->get('error')); ?></div>
                    </div>
                <?php endif; ?>


                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form method="GET" action="<?php echo e(route('benefit_registration.list')); ?>">

                                    <?php echo csrf_field(); ?>
                                    <?php
                                        $options = config('settings.application_filter_options')
                                    ?>
                                    <div class="input-group">


                                        <input type="text" name="applicant_name" id="applicant_name" class="form-control" placeholder="Membership Name/ID"
                                        value="<?php echo e(request()->get('applicant_name')); ?>">
                                        <select name="benefit_type" id="benefit_type" class="form-select">
                                            <option value="">-- <?php echo e(__('Benefit')); ?>--</option>
                                            <?php $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($key); ?>"<?php echo e((request()->get('benefit_type') == $key)?'selected':''); ?>> <?php echo e($benefit); ?> </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <select name="status" id="status" class="form-select">
                                            <option value="">-- <?php echo e(__('Status')); ?> --</option>
                                            <?php $__currentLoopData = config('settings.application_status_style'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$details): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($key); ?>" <?php echo e((request()->get('status') == $key)?'selected':''); ?>><?php echo e($key); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>

                                        <select name="year" id="year" class="form-select">
                                            <?php for($y = date('Y');$y >= date('Y',strtotime(settings()->get('app_deployment_date')));$y--): ?>
                                                <option value="<?php echo e($y); ?>" <?php if(request()->get('year') == $y): echo 'selected'; endif; ?>><?php echo e($y); ?></option>
                                            <?php endfor; ?>
                                        </select>
                                        <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                        <a href="<?php echo e(route('benefit_registration.list')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"><i class="bi-arrow-repeat"></i></a>

                                        <?php if(canDo('administrator','eligibility')): ?>
                                            <a href="<?php echo e(route('benefit.eligibility')); ?>" class="btn btn-primary" data-bs-toggle="tooltip" title="Benefit Eligibility"><i class="bi-list-stars"></i></a>
                                        <?php endif; ?>
                                        <?php if(canDo('administrator','voucher-management|view-payment-vouchers-list')): ?>
                                            <a href="<?php echo e(route('payment.paymentVouchers')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Payment Vouchers"><i class="bi-receipt-cutoff"></i></a>
                                        <?php endif; ?>
                                        <?php if(canDo('administrator','add-application')): ?>
                                            <div class="dropdown">
                                                <button class="btn btn-primary dropdown-toggle" type="button" style="border-radius: 0 4px 4px 0;"
                                                        id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                                    <?php echo e(__('Apply')); ?>

                                                </button>
                                                <ul class="dropdown-menu border-0 shadow p-1">
                                                    <?php $__empty_1 = true; $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                    <li><a class="dropdown-item py-2 rounded" href="<?php echo e(route('benefit_registration.create',[cryptThis($key)])); ?>"><?php echo e($benefit); ?></a></li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                        <li><?php echo e(__('No Benefits available')); ?></li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px;"><?php echo e(__('#')); ?></th>
                                    <th style="width: 150px;"><?php echo e(__('Name')); ?></th>
                                    
                                    <th style="width: 350px;"><?php echo e(__('Benefit')); ?></th>
                                    <th style="width: 150px;"><?php echo e(__('Submitted On')); ?></th>
                                    <th style="width: 250px;"><?php echo e(__('Status')); ?></th>
                                    <th style="width: 200px;"><?php echo e(__('Action')); ?></th>
                                </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                </div> <!-- .row end -->

            </div>
        </div>
        <?php if(canDo('administrator','view-application-comment|add-application-comment')): ?>
            <!-- Commenting Modal -->
            <div class="modal fade" id="commentBox" tabindex="-1">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="viewHeader">Comments</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div id="comment-content"></div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>

        <div class="modal fade" id="issuance-modal" tabindex="-1">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="viewHeader">Issuance Records</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <p class="mb-2">Benefit issuance records</p>

                        <table class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Name</th>
                                    <th>Beneficiary Name</th>
                                    <th>Issuance Mode</th>
                                    
                                    
                                </tr>
                            </thead>
                            <tbody id="benefit-payment-records">
                                
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="paymentDetailBox" tabindex="-1">
            <div class="modal-dialog ">
                <div class="modal-content px-3">
                    <div class="modal-header">
                        <div class="">
                            <h5 class="modal-title" id="viewHeader">Benefit Payment - <span class="text-success">Paid</span></h5>
                            <small class="mb-0">Please review and confirm the details of the benefit being issued. Ensure that all information provided is accurate for proper record-keeping.</small>
                        </div>
                        <div class="px-2"></div>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form action="">
                            <div class="form-floating mb-3">
                                <input type="text" name="" class="form-control" readonly id="details-name">
                                <label for="">Name</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" name="" class="form-control" readonly id="details-beneficiary_name">
                                <label for="">Beneficiary Name</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" name="" class="form-control" readonly id="details-payment_date">
                                <label for="">Issuance Date</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" name="" class="form-control" readonly id="details-payment_type">
                                <label for="">Issuance Mode</label>
                            </div>

                            <div class="form-floating mb-3">
                                <textarea name="" id="details-remarks" class="form-control" readonly></textarea>
                                <label for="">Issuance Type</label>
                            </div>
                            
                        </form>
                        
                    </div>
                    <div class="modal-footer" style="">
                        <button type="button" class="btn btn-primary me-2"  onclick="">Save</button>
                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- Payment Modal -->
        <div class="modal fade" id="paymentBox" tabindex="-1">
            <div class="modal-dialog ">
                <div class="modal-content px-3">
                    <div class="modal-header" style="">
                        <div class="">
                            <h5 class="modal-title" id="viewHeader">Benefit Issuance</h5>
                            <small class="mb-0">Please review and confirm the details of the benefit being issued. Ensure that all information provided is accurate for proper record-keeping.</small>
                        </div>
                        <div class="px-2"></div>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body" style="">
                        <!--<div id="payment-content"></div>-->
                        <form action="<?php echo e(route('benefit_payment.save')); ?>" method="post" id="benefit-payment-form">
                            <?php echo csrf_field(); ?>
                            <div class="form-floating mb-3">
                                <input type="text" name="name" class="form-control" id="issuer">
                                <label for="">Name of Issuer</label>
                            </div>
                            <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mb-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                            <div class="form-floating mb-3">
                                <input type="text" name="beneficiary_name" class="form-control" id="beneficiary_name">
                                <label for="">Beneficiary Name</label>
                            </div>
                            <?php $__errorArgs = ['beneficiary_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mb-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                            <div class="form-floating mb-3">
                                <input type="date" name="payment_date" class="form-control" id="payment_date">
                                <label for="">Issuance Date</label>
                            </div>
                            <?php $__errorArgs = ['payment_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mb-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                            <div class="form-floating mb-3">
                                <select name="payment_mode" id="issuance-mode" class="form-control" readonly>
                                    <option value=""></option>
                                    <?php $__empty_1 = true; $__currentLoopData = getSupportMode(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $mode): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <option value="<?php echo e($mode->id); ?>">
                                            <?php echo e($mode->fullName); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>

                                    <?php endif; ?>
                                    
                                </select>
                                <label for="">Issuance Mode</label>
                            </div>
                            <?php $__errorArgs = ['payment_mode'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mb-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                            <div class="form-floating mb-3">
                                <input type="text" name="" class="form-control" id="issuance-mode-text">
                                <label for="">Issuance Mode</label>
                            </div>

                            

                            
                            <input type="hidden" name="application_id" id="application_id_input">

                            <p class="mb-1">Physical Goods Issued</p>
                            <div class="row" id="items-seat">
                                <div class="col-md-6">
                                    <div class="form-floating mb-3">
                                        <select name="" id="" class="form-control">
                                            <option value=""></option>
                                        </select>
                                        <label for="">Item 1</label>
                                    </div>

                                </div>
                                <div class="col-md-6">
                                    <div class="form-floating mb-3">
                                        
                                        <input type="number" class="form-control" name="quantity" placeholder="Quantity" min="1">
                                        <label for="">Quantity</label>
                                    </div>

                                </div>
                            </div>
                            <div class="form-floating mb-3">
                                <textarea name="remarks" class="form-control" id=""></textarea>
                                <label for="">Remarks</label>
                            </div>
                            <?php $__errorArgs = ['remarks'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="mb-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                        </form>
                        <div class="modal-footer" style="">
                            <button type="button" class="btn btn-primary me-2"  onclick="document.getElementById('benefit-payment-form').submit();">Save</button>
                            <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <?php echo $__env->make('touring-pages.application', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->startPush('scripts'); ?>
            <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
            <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
            <script src="<?php echo e(asset('assets/js/bundle/daterangepicker.bundle.js')); ?>"></script>
            <script>
                $('.paymentbtn').click(function() {
                    var applicationId = $(this).data('application-id'); // Retrieve the data-application-id value
                    showpaymentmodal(applicationId); // Pass the applicationId to the function
                    getInventoryItems(applicationId)
                });
                function showissuancerecords(application_id){
                    var mode = ''
                    $.get('/get-application-issuance-records/'+application_id, function(res){
                        //console.log(res.issuance_records)
                        $('#benefit-payment-records').empty();
                        res.issuance_records.forEach(function(issuance_record) {

                            var mode;
                            var x =   parseInt(issuance_record.payment_type, 10)// issuace_record.payment
                            
                            switch(x){
                                case 200:
                                    mode = 'Electronic Transfers'
                                break;
                                case 201:
                                    mode = 'Vouchers or Coupons'
                                break;
                                case 202:
                                    mode = 'In-Kind Assistance'
                                break;
                                case 203:
                                    mode = 'Provider Payments'
                                break;
                                case 204:
                                    mode = 'Tax credits'
                                break;
                                case 205:
                                    mode = 'Direct Cash Payments'
                                break;
                                default:
                                    mode = 'Undefined'

                            }
                            $('#benefit-payment-records').append('<tr><td>'+issuance_record.payment_date+'</td><td>'+issuance_record.name+'</td><td>'+issuance_record.beneficiary_name+'</td><td>'+mode+'</td></tr>');

                        });

                    })
                }


                function showpaymentmodal(application_id) {
                    $.get('/get-application/' + application_id, function(res) {
                        // Log the response to check its structure
                        console.log(res);

                        // Populate the beneficiary name field with the response data
                        $('#beneficiary_name').val(res.applicant);
                        $('#issuer').val("<?php echo e(auth()->user()->firstname .' '. auth()->user()->name); ?>");

                        // Get today's date in the format 'YYYY-MM-DD'
                        var today = new Date();
                        var day = String(today.getDate()).padStart(2, '0');
                        var month = String(today.getMonth() + 1).padStart(2, '0'); // January is 0
                        var year = today.getFullYear();
                        var formattedDate = year + '-' + month + '-' + day;
                        var benefit_financial = res.benefit.financial;

                        console.log(benefit_financial)
                        
                        // Set today's date in the payment_date input and restrict future dates
                        $('#payment_date').val(formattedDate);
                        $('#payment_date').attr('max', formattedDate); // Prevent future dates
                        $('#items-seat').empty(); // Clear items container before appending new items
                        $('#issuance-mode').val(res.benefit.issuance_mode_id);
                        $('#issuance-mode').hide()
                        $('#issuance-mode-text').val($('#issuance-mode option:selected').text().trim());
                        $('#issuance-mode-text').attr('readonly', true)
                        // Check if res.items is an array and iterate only if it's valid
                        if (Array.isArray(res.items) && res.items.length > 0) {
                            res.items.forEach(function(item, index) {
                                // Append the select and quantity inputs first
                                var itemCounter = index + 1;
                                $('#items-seat').append(
                                    '<div class="col-md-6">' +
                                        '<div class=" mb-3">' +
                                            '<select readonly name="issuable_item[' + itemCounter + '][item]" id="item-select-' + itemCounter + '" class="form-control">' +
                                                '<option value="">Loading...</option>' + // Placeholder while loading options
                                            '</select>' +
                                            
                                        '</div>' +
                                    '</div>' +
                                    '<div class="col-md-6">' +
                                        '<div class=" mb-3">' +
                                            '<input type="number" class="form-control" name="issuable_item[' + itemCounter + '][quantity]" placeholder="Quantity" min="1" max="'+item.quantity_approved+'" value="'+item.quantity_approved+'">' +
                                            
                                        '</div>' +
                                    '</div>'
                                );

                                // Make the request to get the inventory items for each select
                                $.get('/get-inventory-items', function(inventoryItems) {
                                    var selectElement = $('#item-select-' + itemCounter);
                                    console.log(inventoryItems); // Check if inventory items are correctly fetched
                                    selectElement.empty(); // Clear the loading placeholder

                                    // Populate the select options
                                    inventoryItems.inventory_items.forEach(function(inventoryItem) {
                                        var isSelected = inventoryItem.id == item.item_id ? 'selected' : ''; // Check if this item should be selected
                                        selectElement.append('<option value="' + inventoryItem.id + '" ' + isSelected + '>' + inventoryItem.item + '</option>');
                                    });

                                }).fail(function() {
                                    console.log("Error fetching inventory items.");
                                });
                            });
                        } else {
                            console.log("No items available or items is not an array.");
                        }

                    }).fail(function() {
                        console.log("Error fetching application data.");
                    });

                    

                    // Set the application_id input field with the current application ID
                    $('#application_id_input').val(application_id);

                    // Show the payment modal
                    $('#paymentBox').modal('show');
                }





                /*
                function showpaymentmodal(application_id) {
                    $.get('/get-application/' + application_id, function(res) {
                        // Populate the beneficiary name field with the response data
                        $('#beneficiary_name').val(res.applicant);
                        // Get today's date in the format 'YYYY-MM-DD'
                        var today = new Date();
                        var day = String(today.getDate()).padStart(2, '0');
                        var month = String(today.getMonth() + 1).padStart(2, '0'); // January is 0
                        var year = today.getFullYear();
                        var formattedDate = year + '-' + month + '-' + day;

                        // Set today's date in the payment_date input and restrict future dates
                        $('#payment_date').val(formattedDate);
                        $('#payment_date').attr('max', formattedDate); // Prevent future dates
                        $('#items-seat').empty();

                        console.log(res)    

                        itemCounter = 1;
                        res.items.forEach(function(item) {
                            $('#items-seat').last().append('<div class="col-md-6"><div class="form-floating mb-3"><select name="issuable_item['+itemCounter+'][item]" id="" class="form-control"></select><label for="">Item '+itemCounter+'</label></div></div><div class="col-md-6"><div class="form-floating mb-3"><input type="number" class="form-control" name="quantity" placeholder="Quantity" min="1"><label for="">Quantity</label></div></div>');
                            itemCounter++
                            

                        });


                    });

                    // Set the application_id input field with the current application ID
                    $('#application_id_input').val(application_id);

                    // Show the payment modal
                    $('#paymentBox').modal('show');
                }*/

                function getInventoryItems(application_id) {
                    console.log('Inventory Items List');
                    $.get('/get-application-items/' + application_id, function(res) {
                        console.log(res);
                        res.items.forEach(function(item) {
                            // Process items here
                        });
                    }).fail(function(jqXHR, textStatus, errorThrown) {
                        console.log('Error fetching inventory items:', textStatus, errorThrown);
                    });
                }


                function showpaymentdetailmodal(application_id) {
                    //console.log('triggered');
                    $.get('/get-benefit-payment-details/' + application_id, function(res) {
                        // Populate the beneficiary name field with the response data
                        $('#details-beneficiary_name').val(res.applicant);
                        $('#details-name').val(res.payment.name);
                        $('#details-payment_date').val(res.payment.payment_date);
                        $('#details-payment_type').val(res.payment_type);
                        $('#details-remarks').text(res.payment.remarks);
                        
                    });

                    // Set the application_id input field with the current application ID
                    $('#application_id_input').val(application_id);

                    // Show the payment modal
                    $('#paymentDetailBox').modal('show');
                }

            </script>
        <?php if(canTour('application')): ?>
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                        var path = "<?php echo e(route('on_boarding.skipTour')); ?>";
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data:{'page':page},
                            beforeSend: function () {
                            },
                            success: function (data) {
                                console.log('Skipped');
                            }
                        });
                    }
            </script>
        <?php endif; ?>
        <script>
            <?php if(isset($request)): ?>
                const APPLICATIONS_AJAX = "<?php echo e(route('benefit_registration.getApplicationsList',['status'=>request()->get('status'),'year'=>request()->get('year'),'applicant_name'=>request()->get('applicant_name'),'benefit_type'=>request()->get('benefit_type')])); ?>";
            <?php else: ?>
                const APPLICATIONS_AJAX = "<?php echo e(route('benefit_registration.getApplicationsList')); ?>";
            <?php endif; ?>
            $('.datepicker').datepicker({});
            $(function() {
                $('input[name="date_range"]').daterangepicker(
                    // {
                    //     startDate: moment().subtract(30, 'day'),
                    //     endDate: moment()
                    // }
                );
            })

            $('select#filter').change(function () {
                var filter_value = $(this).val();

                if (filter_value === "app_period") {
                    $('.datepicker').prop('required','required');
                }
                else {
                    $('.datepicker').prop('required','');
                }
            })

            

            function showComment(id) {
                var path = "<?php echo e(route('benefit_registration.openComments')); ?>";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:id},
                    beforeSend: function(){
                        $('#comment-content').empty().html('<div class="p-4 text-center"><div class="spinner-border text-center" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div></div>');
                    },
                    success: function(data){
                        $('#comment-content').empty().html(data.view);
                    },
                    complete:function(){
                    },
                    error: function (data) {
                        console.log(data)
                    }
                });
            }
        </script>
        <script src="<?php echo e(asset('assets/js/customjs/custom-benefit-registration-datatable.js')); ?>"></script>

    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/upg.appdemo.pro/resources/views/benefit-registration/list.blade.php ENDPATH**/ ?>