<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
             <?php $__env->slot('breadcrumb', null, []); ?> 
                <ol class="breadcrumb bg-transparent mb-0">
                    <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
                    <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('applicant.getApplicantInfo')); ?>"><?php echo e(__('Members')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Detail')); ?></li>
                </ol>
             <?php $__env->endSlot(); ?>
            <!-- start: page toolbar -->
             <?php $__env->slot('page_heading', null, []); ?> 
                <div class="row align-items-center">
                    <div class="col-auto page-header-title">
                        <h1 class="color-900 mt-1 mb-0"><?php echo e(__('Details')); ?></h1>
                        <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
                    </div>
                    <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                        <div class="p-2 me-md-3">
                            <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                    1.3%</small></div>
                            <small class="text-muted text-uppercase">Active</small>
                        </div>
                        <div class="p-2 me-md-3">
                            <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                    4.1%</small></div>
                            <small class="text-muted text-uppercase">Inactive</small>
                        </div>
                    </div>
                </div> <!-- .row end -->
             <?php $__env->endSlot(); ?>

            <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
                <div class="container-fluid">
                    <?php if(session()->has('message')): ?>
                        <div class="mb-5">
                            <?php if(session()->get('status') == 'success'): ?>
                                <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                            <?php else: ?>
                                <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                            <?php endif; ?>
                        </div>
                    <?php endif; ?>
                    <div class="row g-3">
                        <div class="col-md-9">
                            <?php echo $__env->make('applicant.applicant-form.applicant-registration-view', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                        <div class="col-md-3">
                            <div class="card">
                            <div class="card-body p-3">
                                <?php if(sizeof($eligible_benefits) > 0): ?>
                                <div role="alert" class="alert alert-info mb-2"> <i class="fa fa-envelope-open me-2 text-success fs-6"></i>
                                    <span class="fw-bolder">You are eligible</span>
                                    <i class="fa fa-exclamation fs-6"></i></div>
                                <?php endif; ?>
                                <div class="information" <?php if($add_application): ?> style="display: none" <?php endif; ?>>





                                    <p class="mb-2 fs-6"><strong>Eligible Benefits</strong> <small class="text-muted small form-text fw-light">(Click to apply)</small></p>
                                    <ol style="padding-left: 1.5rem;">
                                        <?php $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(sizeof($eligible_benefits) > 0): ?>
                                                <?php if(in_array($benefit->id,$eligible_benefits)): ?>
                                                    <li>
                                                        <a href="<?php echo e(route('benefit_registration.create',
                                                [cryptThis($benefit->id),'get_applicant'=>$applicant->regID])); ?>">
                                                            <?php echo e($benefit->titles); ?></a>
                                                    </li>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ol>
                                    <p class="mb-2 fs-6"><strong>Non-Eligible Benefits</strong></p>
                                    <ol style="padding-left: 1.5rem;">
                                        <?php if(sizeof($eligible_benefits) > 0): ?>
                                            <?php $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if(!in_array($benefit->id,$eligible_benefits)): ?>
                                                    <li class="text-muted"><?php echo e($benefit->titles); ?></li>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </ol>
                                    <div class="separator separator-solid separator-border-2"></div>
                                    <br>

                                    <p></p>
                                </div>
                            </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        <!-- Modal-->

    <div class="modal fade" id="more-details" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                    <h6 class="mt-3 mb-4" id="detail-title">Details</h6>
                    <div id="details-body">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
        <?php $__env->startPush('vendor-scripts'); ?>
        <?php $__env->stopPush(); ?>
        <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
            <script>
                $('.myDataTable').addClass('nowrap').dataTable({
                    responsive: false,
                    searching: false,
                    paging: false,
                    ordering: false,
                    info: false,
                });
                function loadApplicationForm(id) {
                    var path = "<?php echo e(route('applicant.viewApplicantInfo')); ?>";
                    $.ajaxSetup(    {
                        headers: {
                            'X-CSRF-Token': $('meta[name=_token]').attr('content')
                        }
                    });
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data: {app_id:id},
                        beforeSend: function(){

                        },
                        success: function(data){
                            $('#info').empty();
                            $('#info').html(data.theView);
                        },
                        complete:function(){
                            // $('#info').unblock();
                            $.getScript("<?php echo e(asset('assets/js/customjs/custom.js')); ?>", function() {
                                console.log('Reset');
                            });
                            
                                
                            
                        }
                        ,
                        error: function (data) {
                        }
                    });
                }
                function getDetails(table,id,applicant_number,state) {
                    var path = "<?php echo e(route('applicant.viewApplicantRecordInfo')); ?>";
                    $.ajaxSetup(    {
                        headers: {
                            'X-CSRF-Token': $('meta[name=_token]').attr('content')
                        }
                    });
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data: {table:table,record:id,app_id:applicant_number,action:state},
                        beforeSend: function(){
                            console.log('Before');
                            $('#details-body').empty();
                            $('#details-body').html('<div class="spinner-border" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div>');
                        },
                        success: function(data){
                            $('#details-body').empty();
                            $('#detail-title').empty();
                            $('#details-body').html(data.the_view);
                            $('#detail-title').text(data.title);
                            console.log('Success');
                        },
                        complete:function(){
                            $.getScript("<?php echo e(asset('assets/js/customjs/custom.js')); ?>", function () {
                                console.log('Reset');
                            });
                            // $('#details-body').unblock();
                        },
                        error: function (data) {
                            // console.log(data)
                        }
                    });
                }
            </script>
        <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/applicant/applicant-view.blade.php ENDPATH**/ ?>