<div class="mb-3">
    <div class="mb-0"><span class="fw-bold"><?php echo e($employmentDetail->employer_name); ?></span>
        <?php if(!is_null($employmentDetail->employment_sector)): ?>
        <small class="text-muted fw-bolder"><?php echo e('- '.$employmentDetail->employment_sector.' Sector'); ?></small>
        <?php endif; ?>
        <?php if(!is_null($employmentDetail->employment_type)): ?>
        <small class="text-muted fw-bolder"><?php echo e(' - ('.$employmentDetail->employment_type.')'); ?></small>
        <?php endif; ?>
        <?php if($employmentDetail->status != 'Verified'): ?>
            <span class="mx-2 text-warning" data-bs-toggle="tooltip" title="<?php echo e(__('Contact Support for approval')); ?>">
                    <i class="bi-exclamation-triangle-fill"></i></span>
        <?php endif; ?>
    </div>
    <div>
        <?php if(!is_null($employmentDetail->employer_telephone)): ?>
            <small class="text-muted fw-bolder me-2"><i class="fa fa-phone"></i> <?php echo e($employmentDetail->employer_telephone); ?></small>
        <?php endif; ?>
        <?php if(!is_null($employmentDetail->employer_mobile)): ?>
            <small class="text-muted fw-bolder me-2"><i class="fa fa-mobile-phone"></i> <?php echo e($employmentDetail->employer_mobile); ?></small>
        <?php endif; ?>
        <?php if(!is_null($employmentDetail->employer_email)): ?>
            <small class="text-muted fw-bolder me-2"><i class="fa fa-envelope"></i> <?php echo e($employmentDetail->employer_email); ?></small>
        <?php endif; ?>
    </div>

    <div>
        <?php if(!is_null($employmentDetail->employer_bank_account_name)): ?>
            <small class="text-muted fw-bolder me-2"><span class="text-muted fw-bold me-2">Bank Account Name:</span> <?php echo e($employmentDetail->employer_bank_account_name); ?></small>
            <br>
        <?php endif; ?>
        <?php if(!is_null($employmentDetail->employer_bank_account_number)): ?>
                <small class="text-muted fw-bolder me-2"><span class="text-muted fw-bold me-2">Bank Account No.:</span> <?php echo e($employmentDetail->employer_bank_account_number); ?></small>
            <br>
        <?php endif; ?>
        <?php if(!is_null($employmentDetail->employer_postal_address)): ?>
                <small class="text-muted fw-bolder me-2"><span class="text-muted fw-bold me-2">Address:</span> <?php echo e($employmentDetail->employer_postal_address); ?></small>
            <br>
        <?php endif; ?>
        <?php if(!is_null($employmentDetail->employer_island)): ?>
            <small class="text-muted fw-bolder me-2"><span class="text-muted fw-bold me-2">Place:</span> <?php echo e($employmentDetail->employer_island); ?></small>
            <br>
        <?php endif; ?>
    </div>

    <div>
        <?php if(!is_null($employmentDetail->employee_position)): ?>
            <small class="text-muted fw-bolder me-2"><span class="text-muted fw-bold me-2">Position:</span> <?php echo e($employmentDetail->employee_position); ?></small><br>
        <?php endif; ?>
        <?php if(!is_null($employmentDetail->employee_manager)): ?>
                <small class="text-muted fw-bolder me-2"><span class="text-muted fw-bold me-2">Manager:</span> <?php echo e($employmentDetail->employee_manager); ?></small>
        <?php endif; ?>
    </div>

    <div>
        <?php if(!is_null($employmentDetail->employment_start_date)): ?>
            <small class="text-muted fw-bolder me-2"> <span class="text-muted fw-bold me-2">From:</span>  <span class="text-success"><?php echo e(date('d F Y',strtotime($employmentDetail->employment_start_date))); ?></span></small>
        <?php endif; ?>
        <?php if(!is_null($employmentDetail->employment_end_date)): ?>
            <small class="text-muted fw-bolder me-2"> <span class="text-muted fw-bold me-2">To:</span> <span class="text-danger"><?php echo e(date('d F Y',strtotime($employmentDetail->employment_end_date))); ?></span></small>
        <?php endif; ?>
    </div>

</div>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231218095220/resources/views/components/applicant/employment-card.blade.php ENDPATH**/ ?>