<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('vendor-css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/custom/datatables/datatables.bundle.css')); ?>">
    <?php $__env->stopPush(); ?>

     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('benefit_registration.list')); ?>">Applications</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Eligibility')); ?> <?php if($result): ?>
                    <?php echo e(" - ".$result->titles); ?>

                <?php endif; ?></li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0"><?php echo e(__('Eligibility')); ?> <?php if($result): ?>
                        <?php echo e(" - ".$result->titles); ?>

                    <?php endif; ?></h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            <?php $__env->startComponent('components.announcement'); ?><?php echo $__env->renderComponent(); ?>

            <!--begin::Row-->
            <div class="row g-3">
                <?php if(true): ?>
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <small class="pb-1">In the Program Eligibility module, select a benefit from the drop-down list, then click "Get Eligible Applicants" to retrieve the list of individuals who qualify for the selected social protection program. This list will be used for further processing.</small>
                                <form action="#" method="get">
                                    <?php echo csrf_field(); ?>
                                    <div class="input-group">
                                        <select name="benefit" id="benefit" class="form-select">
                                            <option value=""><?php echo e(__('-- Select Program --')); ?></option>
                                            <?php $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($benefit->id); ?>"
                                                        <?php echo e((request()->get('benefit') == $benefit->id)?'selected':''); ?>><?php echo e($benefit->titles); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i> Get
                                            Eligible Applicants
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>

                <?php if($result): ?>
                    <form action="<?php echo e(route('benefit.eligibility.group')); ?>" method="post" class="d-none" id="eligibility-group-app">
                        <?php echo csrf_field(); ?>
                        <input type="text" value="<?php echo e(request()->get('benefit')); ?>" name="benefit">
                        <?php $__currentLoopData = $applicants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <input type="text" name="applicants[]" value="<?php echo e($data->id); ?>" id="" class="form-control">
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </form>
                    
                <?php endif; ?>

                <?php if($result): ?>
                    <div class="col-12">
                        <div class="card mb-5">
                            <div class="card-body">
                                <p class="text-info fw-bolder">Displaying memberships who match the criteria below</p>
                                <?php echo $note; ?>

                            </div>
                        </div>
                        
                        
                        <div class="table-responsiv mt-10">
                            <table id="forms_table"
                                   class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px"><?php echo e(__('#')); ?></th>
                                    <th><?php echo e(__('Membership ID')); ?></th>
                                    <th style="width: 80px;"><?php echo e(__('Status')); ?></th>
                                    <th style="width: 80px;"><?php echo e(__('Action')); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $count=1; ?>
                                <?php $__currentLoopData = $applicants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $applicant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($applicant->regID); ?></td>
                                        <td>
                                            <?php if($applicant->applications->where('benefit_id','=',$result->id)->count() > 0): ?>
                                                <span class="text-danger">Enrolled</span>
                                            <?php else: ?>
                                                <span class="text-success">Eligible</span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if(canDo('administrator','view-member-info')): ?>
                                                <a href="<?php echo e(route('applicant.viewApplicantInfo',['app_id'=>cryptThis($applicant->id)])); ?>"
                                                   data-toggle="tooltip" title="<?php echo e(__('View Membership')); ?>"
                                                   class="btn btn-link text-primary">
                                                    <i class="fa fa-user"></i></a>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                        <?php echo e($applicants->links()); ?>

                        <button class="btn btn-primary" onclick="document.getElementById('eligibility-group-app').submit();">Apply</button>
                        <div class="table-responsiv mt-10">
                            <table id=""class="mt-2 table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th style=""><?php echo e(__('Date')); ?></th>
                                    <th><?php echo e(__('Application ID')); ?></th>
                                    <th style=""><?php echo e(__('Group ID')); ?></th>
                                    <th style=""><?php echo e(__('Status')); ?></th>
                                    <th style=""><?php echo e(__('Applicants')); ?></th>
                                    <th style=""><?php echo e(__('Action')); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                
                                </tbody>
                            </table>
                        </div>
                    </div>
                <?php else: ?>
                    <?php echo $__env->make('components.no-data', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>


    <!--end::Row-->
    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script>
            $('#forms_table').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });
        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42)): ?>
<?php $component = $__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42; ?>
<?php unset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/benefits/eligibility.blade.php ENDPATH**/ ?>