<?php if (isset($component)) { $__componentOriginal4a86703df89c3cbc1f2f44a1b6f62db70123e273 = $component; } ?>
<?php $component = App\View\Components\BeneficiaryLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('beneficiary-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\BeneficiaryLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

    <div class="section call-action-6 bg-dark">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="subscribe py-4">
                        <h3 class="color-fff"><?php echo e(__('Eligible Benefits')); ?></h3>
                        <span class="lead text-light">Find where you can belong and get the opportunity to improve your life!</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="section call-action-6 my-3">
        <div class="container">
            <div class="row">
                <div class="col-md-9">
                    <h5 class="text-black-50"><?php echo e(__('Latest announcements')); ?></h5>

                    <div class="col-12 mt-4 mb-4">
                        <div class="card">
                            <div class="card-body">
                                <form method="GET" action="#">
                                    <?php echo csrf_field(); ?>
                                    <div class="input-group">
                                        <select name="country" class="form-select" id="country">
                                            <option value=""><?php echo e(__('Country')); ?></option>
                                            <?php $__currentLoopData = getCountries(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($value['id']); ?>" <?php if(request()->get('country') == $value['id']): echo 'selected'; endif; ?>><?php echo e($value['country_name']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
        
                                        <select name="financial" id="financial" class="form-select">
                                            <option value="">-- <?php echo e(__('Assistance')); ?> --</option>
                                            <option value="Financial" <?php if(request()->get('financial') == 'Financial'): ?> selected <?php endif; ?>>
                                                Financial
                                            </option>
                                            <option value="Non-Financial" <?php if(request()->get('financial') == 'Non-Financial'): ?> selected <?php endif; ?>>
                                                Non-Financial
                                            </option>
                                        </select>
                                        <button class="btn btn-primary" type="submit" data-bs-toggle="tooltip" title="Search"><i
                                                    class="bi-search"></i></button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="row row-deck">
                        <?php $__empty_1 = true; $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <div class="card mb-2">
                                <div class="card-body p-3">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="fw-bold h6"><?php echo e($benefit->titles); ?></div>
                                            <span class="mb-0"><?php echo e($benefit->deployment->name); ?></span>
                                        </div>
                                        <div class="col-md-3">
                                            <?php echo e($benefit->financial); ?> Support <br>
                                            Ends: <span class="text-danger"> <?php echo e(date('d-M-Y',strtotime($benefit->end_period))); ?></span>
                                        </div>
                                        <div class="col-md-3 text-end">
                                    
                                            <span class="text-warning ms-1">
                                            <?php if(in_array($benefit->id,array_keys($returned_applications))): ?>
                                                <a href="<?php echo e(route('customer.editBenefitEnrolment',
                                                [cryptThis($returned_applications[$benefit->id])])); ?>"
                                                    class="text-danger">
                                                    <?php echo e(__('Review')); ?>

                                                </a>
                                            <?php elseif(in_array($benefit->id,array_keys($no_action_applications))): ?>
                                                <a href="<?php echo e(route('customer.viewApplication',
                                                [cryptThis($no_action_applications[$benefit->id])])); ?>"
                                                    class="text-primary">
                                                    <?php echo e(__('View')); ?>

                                                </a>
                                            <?php else: ?>
                                                <a href="<?php echo e(route('customer.benefitEnrolment',
                                                [cryptThis($benefit->id),'get_applicant'=>auth()->user()->applicant->regID])); ?>"
                                                    class="text-info">
                                                    <?php echo e(__('Apply Now')); ?>

                                                </a>
                                            <?php endif; ?>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        <?php endif; ?>

                        <?php echo e($benefits->links()); ?>

                    </div>
                    
                </div>
                <div class="col-md-3">
                    <?php echo $__env->make('customers.right-side-details', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>
        </div>
    </div>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal4a86703df89c3cbc1f2f44a1b6f62db70123e273)): ?>
<?php $component = $__componentOriginal4a86703df89c3cbc1f2f44a1b6f62db70123e273; ?>
<?php unset($__componentOriginal4a86703df89c3cbc1f2f44a1b6f62db70123e273); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/customers/eligible-benefits.blade.php ENDPATH**/ ?>