<?php if (isset($component)) { $__componentOriginal9f2c776cdbbf1b659d69f5b94c7abc41b773c14f = $component; } ?>
<?php $component = App\View\Components\SingleFormLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('single-form-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\SingleFormLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="col-md-8 offset-2 d-flex justify-content-center align-items-center bg-white">
        <div class="row row-deck">
            <div class="col-md-6">
                <img src="<?php echo e(asset('images/bg/booking.jpg')); ?>" alt="" style="width: 100%">
            </div>
            <div class="col-md-6">
                <div class="car w-100 p-3" style="border: none">

                    <h4>Welcome, <?php echo e(auth()->user()->firstname.' '.auth()->user()->name); ?></h4>
                    <p class="text-muted">
                        <?php echo e(__('Connect with one of out onboarding specialists and start changing people\'s lives.')); ?>

                    </p>
                    <p class="text-muted">
                        <?php echo e(__('We can help you get started with setting up your various Benefits, Beneficiary records, and many more.')); ?>

                    </p>
                    <div class="alert alert-primary mt-5 d-flex align-items-center py-3" role="alert">
                        <div class="avatar lg rounded no-thumbnail bg-light"><i class="fa fa-calendar-plus-o"></i></div>
                        <div class="flex-fill ms-3">
                            <div class="mb-0 fw-bold">Chat with an expert</div>
                            <span class="text-muted small">Choose a date and time</span>
                        </div>
                        <div class="flex-end" style="min-width: 120px;">
                            <button class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#choose-date">Book a call</button>
                        </div>
                    </div>
                    <div class="text-end mt-5">
                        <a href="<?php echo e(route('on_boarding.selectedMeetingDate')); ?>" class="btn btn-primary btn-lg" >Continue</a>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- Modal -->
    <div class="modal fade" id="choose-date" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header border-0">

                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="tidycal-embed" data-path="alleviate/onboarding"></div>
                </div>




            </div>
        </div>
    </div>
    <script src="https://assets.tidycal.com/js/embed.js" async></script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9f2c776cdbbf1b659d69f5b94c7abc41b773c14f)): ?>
<?php $component = $__componentOriginal9f2c776cdbbf1b659d69f5b94c7abc41b773c14f; ?>
<?php unset($__componentOriginal9f2c776cdbbf1b659d69f5b94c7abc41b773c14f); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/on-boarding/meeting-setup.blade.php ENDPATH**/ ?>