<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BlackBox extends Model
{
    use HasFactory;
    /**
     * {@inheritdoc}
     */
    protected $guarded = [];
    protected $table = 'black_box';

    /**
     * {@inheritdoc}
     */
    protected $casts = [
        'old_values'   => 'json',
        'new_values'   => 'json',
    ];

    public function user() {
        return $this->belongsTo(User::class,'user_id');
    }
}
