<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ClientsCollaborators extends Model
{
    use HasFactory;

    protected $fillable = [
        'client_id','email','accepted'
    ];

    public function user()
    {
        return $this->belongsTo(User::class,'email','email');
    }

    public function client()
    {
        return $this->belongsTo(Client::class,'client_id');
    }
}
