<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Complaint extends Model
{
    use HasFactory;
    protected $casts = [
        'user_ids'   => 'json',
        'role_ids'   => 'json',
    ];

    public function owner() {
        return $this->belongsTo(User::class,'user_id');
    }

    public function feedbacks() {
        return $this->hasMany(ComplaintsFeedbackStage::class,'complaint_id');
    }
}
