<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CustomField extends Model
{
    use HasFactory;
    protected $fillable = ['name', 'type', 'status'];

    public function options()
    {
        return $this->hasMany(CustomFieldOption::class);
    }
}
