<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PaymentSchedule extends Model
{
    use HasFactory;

    protected $guarded = [];
    protected $casts = [
        'day_of_payment'  => 'json',
    ];

    public function benefit() {
        return $this->belongsTo('App\Models\Benefit','benefit_id');
    }

    public function creator() {
        return $this->belongsTo('App\Models\User','user_id');
    }

}
