<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Questionnaire extends Model
{
    use HasFactory;

    protected $fillable = ['form_id','benefit_id','status'];

    public function form()
    {
        return $this->belongsTo('App\Models\Form','form_id');
    }

    public function benefit()
    {
        return $this->belongsTo('App\Models\Benefit','benefit_id');
    }
}
