<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class StageEmail extends Model
{
    //
    protected $fillable = ['email_template_id','request_status_id','active','roles'];

    public function email_template()
    {
        return $this->belongsTo('App\Models\EmailTemplate','email_template_id');
    }

    public function lookup()
    {
        return $this->belongsTo('App\Models\Lookup','lookup_id');
    }
}
