<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::dropIfExists('address');
        Schema::dropIfExists('beneficiaries_details');
        Schema::dropIfExists('beneficiaries_form_mapping');
        Schema::dropIfExists('benefit_form_options');
        Schema::dropIfExists('benefit_verification_process_log');
        Schema::dropIfExists('black_box');
        Schema::dropIfExists('complaints');
        Schema::dropIfExists('complaints_feedback_stages');
        Schema::dropIfExists('debt_recoveries');
        Schema::dropIfExists('debt_recovery_amount_paid_history');
        Schema::dropIfExists('email_templates');
        Schema::dropIfExists('fields');
        Schema::dropIfExists('form_field_children');
        Schema::dropIfExists('form_collectives_forms');
        Schema::dropIfExists('form_collectives');
        Schema::dropIfExists('forms');
        Schema::dropIfExists('content_config');
        Schema::dropIfExists('instances');
        Schema::dropIfExists('notifications');
        Schema::dropIfExists('payroll_history');
        Schema::dropIfExists('payroll_verification_process_logs');
        Schema::dropIfExists('payroll_view_logs');
        Schema::dropIfExists('payrolls');
        Schema::dropIfExists('questionnaires');
        Schema::dropIfExists('stage_emails');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
