/******/ (() => { // webpackBootstrap
    /******/ 	"use strict";
    var __webpack_exports__ = {};

    var KTDatatablesDataSourceAjaxServer = function() {

        var application_list = function() {
            var table = $('#complaints_list');

            // begin first table
            table.DataTable({
                pageLength: 50,
                // Order settings
                order: [[3, 'desc']],
                // "scrollY": 600,
                // "scrollX": true,
                responsive: true,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX,
                columns: [
                    {data: 'subjects',name: 'subjects'},
                    {data: 'user_id',name: 'user_id'},
                    {data: 'created_at',name: 'created_at'},
                    {data: 'stage_lookup_id',name: 'stage_lookup_id'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "200px"},
                ],
            });
        };

        return {

            //main function to initiate the module
            init: function() {
                application_list();
            },

        };

    }();

    jQuery(document).ready(function() {
        KTDatatablesDataSourceAjaxServer.init();
    });

    /******/ })()
;