<x-guest-layout>
    <div class="col-lg-6 d-flex justify-content-center align-items-center">
        <div class="card shadow-sm w-100 p-4 p-md-5" style="max-width: 32rem;">
            <!-- Form -->
        <!-- Validation Errors -->
        <x-auth-validation-errors class="mb-4" :errors="$errors" />

        <form method="POST" action="{{ route('password.update') }}">
            @csrf

            <div class="col-12 text-center mb-3">
                <div class="mb-4 text-center">
                    <img class="me-2" src="{{ systemLogo()}}" alt="Image Description" height="100px">
                </div>

                <h5>Reset Password</h5>
                <span class="text-muted">Enter your email address and password to update your security.</span>
            </div>
            <!-- Password Reset Token -->
            <input type="hidden" name="token" value="{{ $token }}">

            <!-- Email Address -->
            <div class="form-floating mb-3">
                <x-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email', $email)" required autofocus />
                <x-label for="email" :value="__('Email')" />
            </div>

            <!-- Password -->
            <div class="form-floating mb-3">
                <x-input id="password" class="block mt-1 w-full" type="password" name="password" required />
                <x-label for="password" :value="__('Password')" />
            </div>

            <!-- Confirm Password -->
            <div class="form-floating mb-3">
                <x-input id="password_confirmation" class="block mt-1 w-full"
                                    type="password"
                                    name="password_confirmation" required />
                <x-label for="password_confirmation" :value="__('Confirm Password')" />
            </div>

            <div class="col-12 text-center mt-4">
                <x-button class="btn btn-lg btn-block btn-dark lift text-uppercase">
                    {{ __('SUBMIT') }}
                </x-button>
            </div>
        </form>
        </div>
    </div>
</x-guest-layout>
