<x-guest-layout>
    <div class="col-lg-6 d-flex justify-content-center align-items-center">
        <div class="card shadow-sm w-100 p-4 p-md-5" style="max-width: 32rem;">
            <h3>{{ __('Check your mailbox and confirm your email address') }}</h3>
            <p class="fw-bolder"></p>

            @if (session('resent'))
                <div class="mb-2 text-success">
                    {{__('We have sent a confirmation email to').' '.auth()->user()->email}}
                </div>
            @endif

            <div class="mt-4 flex items-center justify-between">
                <form method="POST" action="{{ route('verification.resend') }}">
                    @csrf
                    <div>
                        <h6 class="mb-2">
                            <i class="bi-exclamation-circle-fill text-dark"></i>
                            {{__('Keep an eye on your inbox and spam folders!')}}
                        </h6>
                        <p class="text-muted">{{__('If you can\'t find the email in your inbox or spam, please click on the link below and we will send you a new one.')}}</p>
                        <button type="submit" class="btn btn-link text-primary mb-4">{{ __('Resend Verification Email') }}</button>
                    </div>
                </form>
            </div>

            <form method="POST" action="{{ route('logout') }}">
                @csrf

                <button type="submit" class="btn btn-outline-primary mt-3 mb-4">
                    <i class="fa fa-sign-out me-1"></i> {{ __('Logout') }}
                </button>
            </form>

            <div class="text-end">
                <span class="fa fa-send-o fs-1 text-muted"></span>
            </div>
        </div>
    </div>
</x-guest-layout>
