<div class="d-flex justify-content-between mt-4">
    <div>
        <h5>Date Of Birth</h5>
        <h6>{{date('F d, Y', strtotime($applicant->dobs))}}</h6>
        <small>{{$applicant->genders}}</small>
    </div>
    <div class="text-center">
        <h2 class="fw-bold text-primary text-capitalize mb-0"><span>{{getAgeByDate($applicant->dobs)}}</span></h2>
    </div>
    <div class="text-end">
        <h5>Place Of Birth</h5>
        <h6>{{$applicant->country_of_births}}</h6>
        <small>{{$applicant->place_of_births}}</small>
    </div>
</div>
<div class="card bg-body my-4 p-3 d-flex flex-row">
    <div class="flex-fill">
        <div class="flex mb-2 justify-between items-center">
            <strong>Permanent Address</strong>
        </div>
        <div class="flex mb-2 justify-between items-center">
            @php
                $contactDetail = getDefaultPostal($applicant->id);
            @endphp
            @if($contactDetail)
                @if(!is_null($contactDetail->postal_address)){{$contactDetail->postal_address.", "}}<br>@endif
                @if(!is_null($contactDetail->village)){{$contactDetail->village.", "}}@endif {{getCounty($contactDetail->city,'name')}}
                <br>
                <span>{{getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')}}</span>
            @else
                <span>No Information</span>
            @endif
        </div>
    </div>
    <div class="flex-fill">
        <div class="flex mb-2 justify-between items-center">
            <strong>Current Residence</strong>
        </div>
        <div class="flex mb-2 justify-between items-center">
            @php
                $contactDetail = getDefaultResidence($applicant->id);
            @endphp
            @if($contactDetail)
                @if(!is_null($contactDetail->address)){{$contactDetail->address.", "}}<br>@endif
                @if(!is_null($contactDetail->village)){{$contactDetail->village.", "}}@endif {{getCounty($contactDetail->city,'name')}}
                <br>
                <span>{{getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')}}</span>
            @else
                <span>{{__('No Information')}}</span>
            @endif
        </div>
    </div>
</div>
{{--                                            <h6 class="card-title">Bank Accounts</h6>--}}
@if($benefit->financial == 'Financial')
<div class="input-group">
    <span class="input-group-text">{{__('Channel')}}</span>
    <select class="form-select" name="bank_account" id="bank_account" onchange="getApplicantBankInfo()" required id="bank-account">
        <option value="">-- {{__('Choose')}} --</option>
        @foreach($applicant->accountDetails->where('status','Verified') as $accountDetail)
        <option value="{{$accountDetail->id}}" @if(isset($application_bank_account_id)) @selected($application_bank_account_id == $accountDetail->id)@endif>
            {{$accountDetail->bank_name}} - {{hashAccountNumber($accountDetail->account_number)}}
        </option>
        @endforeach
    </select>
</div>
<div class="card mt-2 p-3" id="bk-dt" style="height: 10rem">

</div>
@endif
