<form action="{{ route('clients.saveInfo') }}" class=" px-3" method="post">
    @csrf
    <input type="hidden" name="client_id" value="{{$client->id}}">
    <div class="row">
        <div class="col-md-12 mb-3">
            <label><span class="fw-bold "> {{__('Organisation Details')}}</span> <small class="text-muted fw-normal">{{__('(Name, Business & Country)')}}</small></label>
        </div>
        <div class="col-md-12">
            <div class="mt-2">
                <x-input id="business_name" class="block mt-1 w-full" :placeholder="__('Enter your business name')" type="text" name="business_name" :value="$client->name" required autofocus />
            </div>
        </div>
        <!--<div class="col-md-12">
            <div class="mt-2">
                <select name="business_type" class="form-select form-control-lg block mt-1 w-full" id="business_type">
                    <option value="">{{__('Business Type')}}</option>
                    @foreach(getBusinessTypes() as $key=>$value)
                        <option value="{{$key}}" @selected($client->field == $key)>{{$value}}</option>
                    @endforeach
                </select>
            </div>
        </div>-->
        <div class="col-md-12">
            <div class="mt-2">
                <select name="business_type" class="form-select form-control-lg block mt-1 w-full" id="business_type">
                    <option value="">{{__('Business Type')}}</option>
                    @foreach(getBusinessTypes() as $key=>$value)
                        <option value="{{$value}}" {{ $client->field == $value ? 'selected' : '' ;}}>{{$value}}</option>
                    @endforeach
                </select>
            </div>
        </div>
        <div class="col-md-12">
            <div class="mt-2">
                <select name="country" class="form-select form-control-lg block mt-1 w-full" id="country">
                    <option value="">{{__('Country')}}</option>
                    @foreach(getCountries() as $key=>$value)
                        <option value="{{$value['id']}}" {{ $client->country_id == $value['id'] ? 'selected' : ''; }}>{{$value['country_name']}}</option>
                    @endforeach
                </select>
            </div>
        </div>

        <!--<div class="col-md-12">
            <div class="mt-2">
                <select name="country" class="form-select form-control-lg block mt-1 w-full" id="country">
                    <option value="">{{__('Country')}}</option>
                    @foreach(getCountries() as $key=>$value)
                        <option value="{{$value['id']}}" @selected($client->country_id == $value['id'])>{{$value['country_name']}}</option>
                    @endforeach
                </select>
            </div>
        </div>-->

        <div class="col-12 text-center mt-2 mb-4">
            <x-button class="mt-2 rounded btn-primary btn-lg btn-block" style="width:100%">
                {{ __('Update') }}
            </x-button>
        </div>
    </div>

</form><?php
