<div class="col-12 mt-2">
    <li>
        @if($contactDetail->type == 107)
            <div class="icon text-center">
                <i class="fa fa-map-marker"></i>
            </div>
            <div class="fw-bold mb-0">{{$contactDetail->type_name}}
                @if($contactDetail->status != 'Verified')
                    <span class="mx-2 text-warning" data-bs-toggle="tooltip" title="{{__('Contact Support for approval')}}">
                    <i class="bi-exclamation-triangle-fill"></i></span>
                @endif
            </div>
            <span>
                        @if(!is_null($contactDetail->address)){{$contactDetail->address.", "}}<br>@endif
                @if(!is_null($contactDetail->village)){{$contactDetail->village.", "}}@endif {{getCounty($contactDetail->city,'name')}}
                        <br>
                        <span>{{getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')}}</span>
                        <br>
                        @if($contactDetail->upload_residency != null)
                    <a target="_blank" class="text-success small mx-2"
                       href="{{ route('download-file',['file_path'=>$contactDetail->upload_residency]) }}">
                                <i class="fa fa-file-o"></i> Download Document
                            </a>
                @endif
                    </span>
        @endif
        @if($contactDetail->type == 108)
            <div class="icon text-center">
                <i class="fa fa-map-marker"></i>
            </div>
            <div class="fw-bold mb-0">{{$contactDetail->type_name}}
                @if($contactDetail->status != 'Verified')
                    <span class="mx-2 text-warning" data-bs-toggle="tooltip" title="{{__('Contact Support for approval')}}">
                    <i class="bi-exclamation-triangle-fill"></i></span>
                @endif
            </div>
            @if(!is_null($contactDetail->postal_address)){{$contactDetail->postal_address.", "}}<br>@endif
            @if(!is_null($contactDetail->village)){{$contactDetail->village.", "}}@endif {{getCounty($contactDetail->city,'name')}}
            <br>
            <span>{{getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')}}</span>
        @endif
        @if($contactDetail->type == 137)
            <div class="icon text-center">
                <i class="bi-house-door"></i>
            </div>
            <div class="fw-bold mb-0">{{$contactDetail->type_name}}
                @if($contactDetail->status == "Verified")
                    <span class="text-success mx-1">
                                <i class="bi-patch-check-fill"></i> <small>Verified</small>
                            </span>
                @else
                    <span class="text-muted mx-1">
                                <i class="bi-patch-minus-fill"></i> <small>Not Verified</small>
                            </span>
                @endif
            </div>
            <span>
                        Reference Number: {{$contactDetail->household_number}}
                @if ($contactDetail->is_household_head == 1)
                    <span class="mx-2" title="Household Head"><i class="text-success bi-person-circle"></i></span>
                @endif
                    </span>
        @endif
        @if($contactDetail->type == 109)
            <div class="icon text-center">
                <i class="fa fa-mobile"></i>
            </div>
            <div class="fw-bold mb-0">{{$contactDetail->type_name}}</div>
            <span>{{$contactDetail->mobile}}
                @if($contactDetail->status == "Verified")
                    <span class="text-success mx-1">
                                <i class="bi-patch-check-fill"></i> <small>Verified</small>
                            </span>
                @else
                    <span class="text-muted mx-1">
                                <i class="bi-patch-minus-fill"></i> <small>Not Verified</small>
                            </span>
                @endif
                    </span>
            @if($contactDetail->status != "Verified")
                <form action="{{route('applicant.verifyContact')}}" method="post">
                    @csrf
                    <input type="hidden" name="record_id" value="{{$contactDetail->id}}">
                    <div class="input-group input-group-sm">
                        <input type="text" name="code" class="form-control text-uppercase" maxlength="4" aria-label="Code" aria-describedby="enter-code">
                        <button type="submit" class="btn btn-primary" id="enter-code">Code</button>
                    </div>
                </form>
            @endif
        @endif
        @if($contactDetail->type == 110)
            <div class="icon text-center">
                <i class="fa fa-envelope"></i>
            </div>
            <div class="fw-bold mb-0">{{$contactDetail->type_name}}</div>
            <span>{{$contactDetail->email}}
                @if($contactDetail->status == "Verified")
                    <span class="text-success mx-1">
                                <i class="bi-patch-check-fill"></i> <small>Verified</small>
                            </span>
                @else
                    <span class="text-muted mx-1">
                                <i class="bi-patch-minus-fill"></i> <small>Not Verified</small>
                            </span>
                @endif
                    </span>
            @if($contactDetail->status != "Verified")
                <form action="{{route('applicant.verifyContact')}}" method="post">
                    @csrf
                    <input type="hidden" name="record_id" value="{{$contactDetail->id}}">
                    <div class="input-group input-group-sm">
                        <input type="text" name="code" class="form-control text-uppercase" maxlength="4" aria-label="Code" aria-describedby="enter-code">
                        <button type="submit" class="btn btn-primary" id="enter-code">Code</button>
                    </div>
                </form>
            @endif
        @endif
    </li>
</div>
