<div class="mb-3">
    <div class="mb-0"><span class="fw-bold">{{$idDetail->id_type}}</span>
        <small class="text-muted fw-bolder">{{ '('.$idDetail->id_number.')' }}</small>
        @if($idDetail->status != 'Verified')
            <span class="mx-2 text-warning" data-bs-toggle="tooltip" title="{{__('Contact Support for approval')}}">
                    <i class="bi-exclamation-triangle-fill"></i></span>
        @endif
    </div>
    @if(!is_null($idDetail->expiry))
        <small class="text-muted fw-bolder me-2">
            @if(strtotime($idDetail->expiry) > strtotime(now()))
                Expires on: <span class="text-success">{{date('d F Y',strtotime($idDetail->expiry))}} - <span class="fw-bold">Active</span></span>
            @else
                Expired on: <span class="text-danger">{{date('d F Y',strtotime($idDetail->expiry))}} -  <span class="fw-bold">Invalid</span></span>
            @endif
        </small>
        <br>
    @endif
    @if(!is_null($idDetail->document))
        <small class="text-primary fw-bolder me-2">
            <a target="_blank" href="{{ route('download-file',['file_path'=>$idDetail->document]) }}">View Document</a>
        </small>
    @endif
</div>
