@extends('emails.base')

@section('content')

    <tr>
        <td align="center">
            <table border="0" align="center" width="700" bgcolor="#ffffff" cellpadding="0" cellspacing="0" class="container590">

                {{--HEADER 1 SECTION--}}
                <tr>
                    <td align="center" style="" class="main-header">
                        <div style="line-height: 50px">
                            <!--<span class="text-primary"> {{ $header_1 }} </span>-->
                            <span class="text-primary"> UPG MIS </span>
                        </div>
                    </td>
                </tr>

                {{--MESSAGE SECTION--}}
                <tr>
                    <td align="center">
                        <table border="0" width="90%" align="center" cellpadding="0" cellspacing="0" class="container590">
                            <tr>
                                <td align="center" style="color: #676767; font-size: 15px; font-family: Assistant, 'Work Sans', Calibri, sans-serif; line-height: 25px;">
                                    <div style="line-height: 30px; font-weight: 400; text-align: left">
                                        <p>
                                            Welcome to UPG MIS Kenya, ready to get started? <strong>{{$deployment->name}}</strong> has invited you to be a benefactor to their benefit schemes.
{{--                                            They also included a message of their own:--}}
                                        </p>
                                        <p>
                                            All you have to do is to verify your account, apply for benefits you believe you qualify for and then enjoy.
                                        </p>
{{--                                        <p>--}}
{{--                                            {{$deployment->new_account_message}}--}}
{{--                                        </p>--}}

                                        <p style="margin-top: 30px;font-size: 16px;font-weight: 500;">{{ __('Use your email as your default password to login.') }}</p>


                                        @if ($code != null)
                                            <p>{{ __('Use the CODE below to verify your account') }}</p>
                                            <h3 style="margin-top: 30px;font-size: 30px;font-weight: 500; letter-spacing: 20px">{{ $code }}</h3>
                                        @endif

                                        <p style="margin-top: 30px">
                                            <a href="{{route('login')}}" class="btn btn-light-primary">Verify account to join</a>
                                        </p>

                                        <p style="margin-top: 30px">{{ __('Contact the Administrator if you run into any problem.') }}</p>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>

                {{--SPACE--}}
                <tr>
                    <td height="25" style="font-size: 25px; line-height: 25px;">&nbsp;</td>
                </tr>

            </table>
        </td>
    </tr>

@endsection
