<div class="col-md-{{$form_field->column_size}}">
    <div class="form-group">
        <label for="{{$form_field->name}}">{{$form_field->label}}
            @if($form_field->required == 1)<span class="required">*</span>@endif
        </label>
        <br>
        @php
            $options = null;
            $auto_options = false;
            $checked = 'checked="checked"';
        @endphp
        @if($form_field->has_auto_options == 1 && $form_field->auto_options > 0)
            @php
                $options = getActiveOptionsFor($form_field->auto_options);
                $auto_options = true;
            @endphp
        @elseif(isset($form_field->options) || $form_field->option_forms->count() > 0)
            @php
                if ($form_field->hasChild == 1){
                    $options = json_decode($form_field->forms);
                }else{
                    $options = json_decode($form_field->options);
                }
            @endphp
        @endif
        <select
            @if(isset($form_field->options))
                {{--@php--}}
                    {{--if ($form_field->hasChild == 1){--}}
                        {{--$options = json_decode($form_field->forms);--}}
                    {{--}else{--}}
                        {{--$options = json_decode($form_field->options);--}}
                    {{--}--}}
                {{--@endphp--}}
                @if($form_field->required == 1)  required @endif
                @if($form_field->name == 'description_of_cargos')  onchange="description_of_cargos()"
                @elseif($form_field->hasChild == 1) onchange="showSubFormSelect_{{$subform_level}}('{{$form_field->name}}')" @endif
                @if($form_field->disabled == 1)  disabled @endif
                class="form-control select2 {{ $errors->has($form_field->name) ? ' is-invalid' : '' }} {{$form_field->class}}"
                {{--value="{{old($form_field->name)}}"--}}
                style="width: 100%; {{$form_field->inline_css}}"
                name="{{$form_field->name}}" @if($form_field->is_multiple == true)multiple="multiple"@endif
                id="{{$form_field->name}}">
                <option value="">--Choose--</option>
                @isset($options)
                    {{--@php--}}
                        {{--$options = json_decode($form_field->options);--}}
                    {{--dd($options)--}}
                    {{--@endphp--}}
                    @foreach($options as $key=>$option)
                        @php
                            if ($auto_options) {
                                $option_value = $key;
                                $option_name = $option;
                            }
                            else {
                                //$value = $option->opt_value;
                                $option_value = $option->opt_value;
                                $option_name = $option->opt_name;
                            }
                            if($form_field->hasChild == 1){
                                $option_value = $option->c_form;
                            }
                        @endphp
                        <option
                            {{($form_field->default_value == $option_value)? 'selected':''}}
                            value="{{$option_value}}">{{$option_name}}</option>
                    @endforeach
                @endisset
            @else
                No Options available
            @endif

        </select>
        @if ($errors->has($form_field->name))
            <span class="invalid-feedback" role="alert">
                    <strong>{{ $errors->first($form_field->name) }}</strong>
                </span>
        @endif
    </div>
</div>
@push('scripts')
    <script>
        $('.select2').select2({
            placeholder: 'Choose',
            allowClear: true
        });
    </script>
@endpush