<div class="col-md-{{$form_field->column_size}}">
    @if($displayAsDetails == 0)
    <div class="form-group">
        <label for="{{$form_field->name}}">{{setTextLabel($form_field->label)}}
            @if($form_field->required == 1)<span class="required">*</span>@endif</label>
        <br>

        <textarea
               {{--@if($form_field->required == 1)  required @endif--}}
               @if($form_field->autocomplete == 1)  autocomplete="yes" @endif
               @if($form_field->disabled == 1 || $editable == 0)  readonly disabled="disabled" @endif
               class="form-control{{ $errors->has($form_field->name) ? ' is-invalid' : '' }} {{$form_field->class}}"
               style="{{$form_field->inline_css}}"
               name="{{$form_field->name}}"
               id="{{$form_field->name}}">@if($form_data != null && empty($form_data['for_empty_request_id'])){{!empty($form_data[$form_field->name])?$form_data[$form_field->name] : "" }}@else{{old($form_field->name)}}@endif</textarea>

        @if ($errors->has($form_field->name))
            <span class="invalid-feedback" role="alert">
                    <strong>{{ $errors->first($form_field->name) }}</strong>
                </span>
        @endif
    </div>
    @else
        <p><strong>{{setTextLabel($form_field->label)}} </strong></p>
        <div class="{{$form_field->class}} mb-4">
            {!! $form_data[$form_field->name] !!}
        </div>
    @endif
</div>
@if($displayAsDetails == 0)
@push('scripts')
    <script>
        ClassicEditor.create( document.querySelector( '#{{$form_field->name}}' ) );
    </script>
@endpush
@endif