<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Alleviate') }}</title>

    <!-- project css file  -->
    <link rel="stylesheet" href="{{ asset('assets/css/luno-style.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/spis.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/select2.min.css') }}">
    <!-- Jquery Core Js -->
    <script src="{{ asset('assets/js/plugins.js') }}"></script>
</head>
<body id="layout-1" data-luno="theme-blue" style="background: #efefef !important;">
<!-- start: body area -->
<div class="wrapper">
    <div class="page-bod aut px-xl-4 px-sm-2 px-0 py-lg-2 py-1" style="background: #efefef !important; height: 100% ; background-size: cover; position: initial">
        <div class="container-fluid">
            <div class="mb-2 text-end">
                <form method="POST" action="{{ route('logout') }}">
                    @csrf

                    <button type="submit" class="btn btn-outline-primary mt-2 mb-2">
                        <i class="fa fa-sign-out me-1"></i> {{ __('Logout') }}
                    </button>
                </form>
            </div>
            <div class="row g-0">
                {{$slot}}
            </div>
        </div>
    </div>
</div>
<!-- Jquery Page Js -->
<script src="{{ asset('assets/js/theme.js') }}"></script>
<script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
<script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
<script>
    $('.date-picker').datepicker({});
    $('.select2').select2({
        placeholder: 'Choose',
        allowClear: true
    });
</script>
</body>
</html>
