<x-app-layout>
     <x-slot name="breadcrumb">
         <ol class="breadcrumb bg-transparent mb-0">
             <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
             <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('merchants.list') }}">{{ __('Merchants') }}</a></li>
             <li class="breadcrumb-item active" aria-current="page">{{ __('Merchant Details') }}</li>
         </ol>
     </x-slot>
     <!-- start: page toolbar -->
     <x-slot name="page_heading">
         <div class="row align-items-center">
             <div class="col-auto">
                 <h1 class="fs-5 color-900 mt-1 mb-0">{{ __('Merchant Details') }}</h1>
                 <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
             </div>
             <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                 <div class="p-2 me-md-3">
                     <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                             1.3%</small></div>
                     <small class="text-muted text-uppercase">Active</small>
                 </div>
                 <div class="p-2 me-md-3">
                     <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                             4.1%</small></div>
                     <small class="text-muted text-uppercase">Inactive</small>
                 </div>
             </div>
         </div> <!-- .row end -->
     </x-slot>

     <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
         @include('merchant.main-content')
     </div>

 @push('vendor-scripts')
 @endpush
 @push('scripts')
     <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
     <script>
         $('.myDataTable').addClass('nowrap').dataTable({
             responsive: false,
             searching: false,
             paging: false,
             ordering: false,
             info: false,
         });
     </script>
 @endpush
</x-app-layout>
