<?php

use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\MerchantController;
/*
|--------------------------------------------------------------------------
| Offices Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth'])->name('merchants.')->group(function () {
    Route::prefix('merchants')->group(function () {

        //Route for LOOKUP CODE
        Route::get('/', [MerchantController::class,'index'])->name('list');
//        Route::post('/create', [MerchantController::class,'create'])->name('create');
//        Route::get('/edit', [MerchantController::class,'edit'])->name('edit');
//        Route::get('/newFormView', [MerchantController::class,'emptyForm'])->name('emptyForm');
//        Route::put('/update', [MerchantController::class,'update'])->name('update');
//        Route::get('/remove/{id}', [MerchantController::class,'remove'])->name('remove');
//        Route::get('/activate/{id}', [MerchantController::class,'activation'])->name('activation');

        //Merchant Pages
        Route::get('/merchant/{id}', [MerchantController::class,'merchantDetails'])->name('merchantDetails');
        Route::get('/merchant-branch/{id}', [MerchantController::class,'merchantBranchDetails'])->name('merchantBranchDetails');

//        //Route for branched
        Route::get('/branches', [MerchantController::class,'branchIndex'])->name('branch.list');
//        Route::post('/create-branch', [MerchantController::class,'branchCreate'])->name('branch.create');
//        Route::post('/upload-branch', [MerchantController::class,'branchesUpload'])->name('branches.upload');
//        Route::get('/edit-branch', [MerchantController::class,'branchEdit'])->name('branch.edit');
//        Route::get('/newFormView-branch', [MerchantController::class,'branchEmptyForm'])->name('branch.emptyForm');
//        Route::put('/update-branch', [MerchantController::class,'branchUpdate'])->name('branch.update');
//        Route::get('/remove-branch/{id}', [MerchantController::class,'branchRemove'])->name('branch.remove');
//        Route::get('/activate-branch/{id}', [MerchantController::class,'branchActivation'])->name('branch.activation');
    });
});
