<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\QuestionnaireController;

//Benefits Management Routes
Route::name('survey.')->group(function () {
    Route::prefix('survey')->group(function () {
        Route::get('list', [QuestionnaireController::class,'index'])->name('list');
        Route::get('create/{benefit_id?}/{request_id?}', [QuestionnaireController::class,'create'])->name('create');
        Route::get('edit/{form_id}', [QuestionnaireController::class,'edit'])->name('edit');
        Route::get('responses/{form_id}', [QuestionnaireController::class,'responses'])->name('responses');
        Route::delete('delete/{questionnaire_id}', [QuestionnaireController::class,'delete'])->name('delete');
        Route::post('save/{form_id}', [QuestionnaireController::class,'save'])->name('save');
//        Route::get('archives', [BenefitsController::class,'archives'])->name('archives');
//        Route::get('archive-benefit/{benefit_id}', [BenefitsController::class,'archive'])->name('archive');
        Route::get('edit-response', [QuestionnaireController::class,'editResponse'])->name('editResponse');
        Route::post('save-response', [QuestionnaireController::class,'saveResponse'])->name('saveResponse');
        Route::post('delete-response', [QuestionnaireController::class,'deleteResponse'])->name('deleteResponse');
        Route::delete('delete-response/{form_id}', [QuestionnaireController::class,'destroyResponse'])->name('destroyResponse');
    });
});
