<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\DeploymentController;
use \Illuminate\Support\Str;

//Deployment Routes
Route::controller(\App\Http\Controllers\DeploymentController::class)->name('subscription.')->group(function (){
    Route::prefix('subscriptions')->group(function () {
        Route::get('/', 'index')->name('list');
        Route::get('set-up/{deployment_id}', 'create')->name('create');
//        Route::get('settings/{client_id}/{deployment_id?}', 'projectSettings')->name('projectSettings');
        Route::post('settings/{deployment_id?}', 'saveProjectSettings')->name('saveProjectSettings');
        Route::post('set-up/save', 'save')->name('save');
        Route::post('set-up/suspend', 'suspension')->name('suspension');
        Route::get('create/{$client_id}/{user_id?}', 'deployment')->name('deploy.new');
        Route::get('add-extension-deployment/{deployment}', 'increaseExpiration')->name('increaseExpiration');
        Route::get('switch/{deployment}', 'switchSubscription')->name('switch');
        Route::get('check-email', 'checkEmail')->name('checkEmail');
        Route::post('send-invitation', 'sendInvitation')->name('sendInvitation');
        Route::post('cancel-invitation', 'cancelInvitation')->name('cancelInvitation');
    });
});

