<?php if(canTour('benefit')): ?>
    <!-- Modal -->
    <div class="modal fade" id="take-a-tour" tabindex="-1">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body p-0">
                    <div class="row row-deck">
                        <div class="col-md-6">
                            <img src="<?php echo e(asset('images/bg/booking.jpg')); ?>" alt="" style="width: 100%">
                        </div>
                        <div class="col-md-6">
                            <div class="car w-100 p-1" style="border: none">
                                <div class="text-end mt-2 me-3">
                                    <button type="button" class="btn-close mb-2" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <h4>Benefit Schemes</h4>
                                <p class="text-muted">
                                    <?php echo e(__('Set up all the different kinds of benefits you are undertaking')); ?>

                                </p>
                                <div class="alert alert-light mt-2 d-flex align-items-center py-2 pe-3" role="alert">
                                    <div class="avatar rounded no-thumbnail bg-light"><i class="fa fa-podcast fs-4"></i></div>
                                    <div class="flex-fill ms-3">
                                        <div class="mb-0 fw-bold small">New Benefit</div>
                                        <span class="text-muted small"> You can add multiple benefits to your account</span>
                                    </div>
                                </div>
                                <div class="alert alert-light mt-2 d-flex align-items-center py-2 pe-3" role="alert">
                                    <div class="avatar rounded no-thumbnail bg-light"><i class="fa fa-search fs-4"></i></div>
                                    <div class="flex-fill ms-3">
                                        <div class="mb-0 fw-bold small">Quick search</div>
                                        <span class="text-muted small"> You can perform a search on your multiple subscriptions</span>
                                    </div>
                                </div>
                                <div class="alert alert-light mt-2 d-flex align-items-center py-2 pe-3" role="alert">
                                    
                                    <div class="avatar rounded no-thumbnail bg-light"><i class="fa fa-cogs fs-4"></i></div>
                                    <div class="flex-fill ms-3">
                                        <div class="mb-0 fw-bold small">Set benefit amount</div>
                                        <span class="text-muted small">The settings link allows you to details on the subscription</span>
                                    </div>
                                </div>
                                <div class="text-end mt-5">
                                    <button type="button" class="btn btn-link text-dark" onclick="skipTour('benefit')" data-bs-dismiss="modal" aria-label="Close">Skip this</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Jquery Page Js -->
<?php endif; ?><?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231218095220/resources/views/touring-pages/benefit.blade.php ENDPATH**/ ?>