<?php if (isset($component)) { $__componentOriginal4a86703df89c3cbc1f2f44a1b6f62db70123e273 = $component; } ?>
<?php $component = App\View\Components\BeneficiaryLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('beneficiary-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\BeneficiaryLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

    <div class="section call-action-6 bg-dark mb-5">
        <div class="container">
            <div class="row">
                <div class="col-12 px-3 px-lg-5">
                    <?php if(is_null(auth()->user()->account_verified_at)): ?>
                        <div class="subscribe py-4" style="max-width: 50%;">
                            <h3 class="color-fff"><?php echo e(auth()->user()->fullName); ?></h3>
                            <span class="lead text-light">Get started by verifying your account</span>
                            <form method="POST" action="<?php echo e(route('customer.verifyCodeLogin')); ?>"><?php echo csrf_field(); ?>
                                <div class="input-group my-3">
                                    
                                    <input name="verification_code" id="verification_code"
                                           value="<?php echo e(old('verification_code')); ?>" maxlength="4" minlength="4"
                                           class="form-control text-uppercase" placeholder="Enter your 4-digit Code"
                                           aria-describedby="bf-btn">
                                    <button class="btn btn-lg btn-success text-uppercase" type="submit" id="bf-btn">
                                        Verify
                                    </button>
                                </div>
                            </form>
                            <p class="text-white"><?php echo e(__('Didn\'t receive verification code?')); ?>

                                <a href="<?php echo e(route('customer.resendVerifyCode')); ?>"><?php echo e(__('Resend Code')); ?></a></p>
                        </div>
                    <?php elseif(!isset(auth()->user()->applicant)): ?>
                        <div class="subscribe py-5">
                            <h3 class="color-fff">Connect to your membership</h3>
                            <span class="lead text-light">Get started by providing your membership number to unlock all the possibilities</span>
                        </div>
                        <div class="row mb-4">
                            <?php if(auth()->user()->pending_application == null): ?>
                                <div class="col-md-5">
                                    <div class="text-cente">
                                        <span class="lead text-light mb-1">I already have a member account </span>
                                        <form action="<?php echo e(route('customer.connectToApplication')); ?>" method="POST"><?php echo csrf_field(); ?>
                                            <div class="input-group my-3">
                                                <input name="applicant_number" type="text" class="form-control"
                                                       value="<?php echo e(old('applicant_number')); ?>"
                                                       placeholder="Enter Membership Number"
                                                       aria-label="Enter Membership Number" aria-describedby="bf-btn">
                                                <button class="btn btn-lg btn-primary text-uppercase" type="submit"
                                                        id="bf-btn">Attach
                                                </button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                                <div class="col-md-2 pt-4">
                                    <div class="d-flex justify-content-center">
                                        <div class="avatar lg rounded-circle no-thumbnail"><i
                                                class="bi-arrow-left-right fa-2x"></i></div>
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="text-cente">
                                        
                                        <span class="lead text-light mb-3">Register as a member</span>
                                        <div>
                                            <a href="<?php echo e(route('customer.account')); ?>"
                                               class="btn btn-lg btn-primary text-uppercase fs-6 px-5 my-3 shadow-sm text-center">Enrol
                                                Now</a>
                                        </div>
                                        
                                    </div>
                                </div>

                            <?php else: ?>
                                <div class="col-md-9">
                                    <span class="lead text-light mb-1">Verify Membership Account </span>
                                    <form action="<?php echo e(route('customer.verifyApplication')); ?>" method="POST"><?php echo csrf_field(); ?>
                                        <input type="hidden" name="">
                                        <div class="input-group my-3">
                                            <input type="text" class="form-control"
                                                   value="<?php echo e(auth()->user()->pending_application); ?>" disabled readonly>
                                            <input name="code" type="text" class="form-control" minlength="4"
                                                   maxlength="4" value="<?php echo e(old('code')); ?>"
                                                   placeholder="Enter Code" aria-label="Enter Code"
                                                   aria-describedby="bf-btn">
                                            <button class="btn btn-lg btn-success text-uppercase" type="submit"
                                                    name="submit" value="1" id="bf-btn">Verify
                                            </button>
                                            <button class="btn btn-lg btn-danger text-uppercase" type="submit"
                                                    name="detach" value="2" id="bf-btn">Detach
                                            </button>
                                        </div>
                                    </form>
                                </div>
                            <?php endif; ?>

                        </div>
                    <?php else: ?>
                        <div class="subscribe py-4" style="max-width: 70%;">
                            <h3 class="color-fff"><?php echo e(__('My Alleviate')); ?></h3>
                            <span class="lead text-light"><?php echo e(__('Enjoy our service! Contact us if you need any assistance.')); ?> <br>
                            <?php echo e(__('Have a nice day!')); ?></span>
                        </div>
                    <?php endif; ?>
                </div>
            </div> <!-- .row end -->
        </div>
    </div>

    <div class="container">
        <?php $__env->startComponent('components.announcement'); ?><?php echo $__env->renderComponent(); ?>
    </div>

    <?php if(canPerform('notifications') && false): ?>
        <div class="section call-action-6 my-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <h6 class=""><?php echo e(__('Latest Announcement')); ?> <small
                                        class="text-muted">(<?php echo e(auth()->user()->unreadNotifications); ?> Unread)</small>
                                </h6>
                                <hr>
                                <?php if($notification): ?>
                                    <?php echo $__env->make('customers.single-announcement', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <?php else: ?>
                                    <p class="text-muted">No Announcement</p>
                                <?php endif; ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>


    <?php if(isset(auth()->user()->applicant)): ?>
        <div class="container">
            <div class="row g-3 row-dec mb-5">
                <div class="col-lg-3 col-md-6">
                    <?php echo $__env->make('customers.profile-details', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
                <div class="col-lg-6 col-md-6">
                    <div class="row g-3 row-dec">

                        <div class="card">
                            <div class="card-header pb-0">
                                <h6 class="card-title m-0"><?php echo e(__('Eligible Benefits')); ?></h6>
                            </div>
                            <div class="card-body">
                                <ul class="list-unstyled mb-0">
                                    <?php $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(sizeof($eligible_benefits) > 0): ?>
                                            <?php if(in_array($benefit->id,$eligible_benefits)): ?>
                                                <li class="d-flex justify-content-between mb-3">
                                                    <label>
                                                        <?php echo e($benefit->titles); ?>

                                                        <br> <small class="text-muted"><?php echo e($benefit->deployment->name); ?></small>
                                                        <?php if(in_array($benefit->id,array_keys($returned_applications))): ?>
                                                            <small class="text-danger">
                                                                - <?php echo e(__('Returned for Correction')); ?></small>
                                                        <?php endif; ?>
                                                    </label>
                                                    <?php if(in_array($benefit->id,array_keys($returned_applications))): ?>
                                                        <a href="<?php echo e(route('customer.editBenefitEnrolment',
                                                [cryptThis($returned_applications[$benefit->id])])); ?>"
                                                           class="text-danger">
                                                            <?php echo e(__('Review')); ?>

                                                        </a>
                                                    <?php elseif(in_array($benefit->id,array_keys($no_action_applications))): ?>
                                                        <a href="<?php echo e(route('customer.viewApplication',
                                                [cryptThis($no_action_applications[$benefit->id])])); ?>"
                                                           class="text-primary">
                                                            <?php echo e(__('View')); ?>

                                                        </a>
                                                    <?php else: ?>
                                                        <a href="<?php echo e(route('customer.benefitEnrolment',
                                                [cryptThis($benefit->id),'get_applicant'=>auth()->user()->applicant->regID])); ?>"
                                                           class="text-info">
                                                            <?php echo e(__('Apply Now')); ?>

                                                        </a>
                                                    <?php endif; ?>
                                                </li>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                            <div class="card-footer p-3 text-center">
                                <a href="<?php echo e(route('customer.eligibleBenefits')); ?>" class="text-primary">View all</a>
                            </div>
                        </div>

                        <div class="accordion" id="oneAccordion">
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingContacts">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#Contacts"
                                            aria-expanded="false" aria-controls="Contacts">
                                        Contacts
                                    </button>
                                </div>

                                <div id="Contacts" class="collapse" aria-labelledby="headingContacts"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <ul class="resume-box p-0 ps-0 pb-0 mb-0">
                                            <div class="row">
                                                <?php if(auth()->user()->applicant->contactDetails->count() > 0): ?>
                                                    <?php $__currentLoopData = auth()->user()->applicant->contactDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contactDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.contact-card','data' => ['contactDetail' => $contactDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.contact-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['contactDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($contactDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data-sm','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data-sm'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                <?php endif; ?>
                                            </div>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingRelationships">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#Relationships"
                                            aria-expanded="false" aria-controls="Relationships">
                                        Family
                                    </button>
                                </div>

                                <div id="Relationships" class="collapse" aria-labelledby="headingRelationships"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <ul class="resume-box p-0 ps-0 pb-0 mb-0">
                                            <div class="row">
                                                <?php if(auth()->user()->applicant->familyDetails->count() > 0): ?>
                                                    <?php $__currentLoopData = auth()->user()->applicant->familyDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $familyDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.family-card','data' => ['familyDetail' => $familyDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.family-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['familyDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($familyDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data-sm','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data-sm'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                <?php endif; ?>
                                            </div>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingContact">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#contacts"
                                            aria-expanded="false" aria-controls="contacts">
                                        Banking Details
                                    </button>
                                </div>

                                <div id="contacts" class="collapse" aria-labelledby="headingContact"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <?php if(auth()->user()->applicant->accountDetails->count() > 0): ?>
                                            <?php $__currentLoopData = auth()->user()->applicant->accountDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="d-flex justify-content-between align-items-center mt-3">
                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.account-card','data' => ['accountDetail' => $accountDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.account-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['accountDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($accountDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data-sm','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data-sm'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingMarital">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#marital"
                                            aria-expanded="false" aria-controls="marital">
                                        Marital
                                    </button>
                                </div>

                                <div id="marital" class="collapse" aria-labelledby="headingMarital"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <?php if(auth()->user()->applicant->maritalDetails->count() > 0): ?>
                                            <?php $__currentLoopData = auth()->user()->applicant->maritalDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $maritalDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="d-flex justify-content-between align-items-center">
                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.marital-card','data' => ['maritalDetail' => $maritalDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.marital-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['maritalDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($maritalDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data-sm','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data-sm'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingIdentification">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#identification"
                                            aria-expanded="false" aria-controls="identification">
                                        Identifications
                                    </button>
                                </div>

                                <div id="identification" class="collapse" aria-labelledby="headingIdentification"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <?php if(auth()->user()->applicant->idDetails->count() > 0): ?>
                                            <?php $__currentLoopData = auth()->user()->applicant->idDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $idDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="d-flex justify-content-between align-items-center">
                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.identification-card','data' => ['idDetail' => $idDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.identification-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['idDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($idDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data-sm','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data-sm'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingEmployment">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#employment"
                                            aria-expanded="false" aria-controls="employment">
                                        Employments
                                    </button>
                                </div>

                                <div id="employment" class="collapse" aria-labelledby="headingEmployment"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <?php if(auth()->user()->applicant->employmentDetails->count() > 0): ?>
                                            <?php $__currentLoopData = auth()->user()->applicant->employmentDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employmentDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="d-flex justify-content-between align-items-center">
                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.employment-card','data' => ['employmentDetail' => $employmentDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.employment-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['employmentDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($employmentDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data-sm','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data-sm'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingHealth">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#health"
                                            aria-expanded="false" aria-controls="health">
                                        Health
                                    </button>
                                </div>

                                <div id="health" class="collapse" aria-labelledby="headingHealth"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <?php if(auth()->user()->applicant->healthDetails->count() > 0): ?>
                                            <?php $__currentLoopData = auth()->user()->applicant->healthDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $healthDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="d-flex justify-content-between align-items-center">
                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.health-card','data' => ['healthDetail' => $healthDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.health-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['healthDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($healthDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data-sm','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data-sm'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-12">
                    <?php echo $__env->make('customers.right-side-details', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div> <!-- .row end -->
        </div>

        <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog"
             aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="action_title">Preview & Print</h5>
                        <button type="button" class="close btn btn-sm btn-link" data-bs-dismiss="modal"
                                aria-label="Close">
                            <i aria-hidden="true" class="fa fa-close"></i>
                        </button>
                    </div>
                    <div class="modal-body">
                        
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light-danger btn-sm btn-default font-weight-bold"
                                data-bs-dismiss="modal">Close
                        </button>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42)): ?>
<?php $component = $__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42; ?>
<?php unset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/customers/profile.blade.php ENDPATH**/ ?>