<?php if($record): ?>
    <table class="table card-table mb-0">
        <tr>
            <td class="fw-bolder" style="width:150px"><strong>Affected Data</strong></td>
            <td><?php echo e(Str::headline(Str::singular($record->field))); ?></td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>Old Record</strong></td>
            <td>
                <?php if(in_array($record->field,['upload_passport_pic','avatar'])): ?>
                    <?php if(!is_null($record->old_values)): ?>
                        <img src="<?php echo e(asset($record->old_values)); ?>" style="max-height: 200px"
                             alt="<?php echo e(Str::headline(Str::singular($record->field))); ?>">
                    <?php endif; ?>

                <?php else: ?>
                    <?php echo e($record->old_values); ?>

                <?php endif; ?>

            </td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>New Record</strong></td>
            <td>
                <?php if(in_array($record->field,['upload_passport_pic','avatar'])): ?>
                    <?php if(!is_null($record->new_values)): ?>
                        <img src="<?php echo e(asset($record->new_values)); ?>"  style="max-height: 200px"
                             alt="<?php echo e(Str::headline(Str::singular($record->field))); ?>">
                    <?php endif; ?>

                <?php else: ?>
                    <?php echo e($record->new_values); ?>

                <?php endif; ?>
            </td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>Reason(s)</strong></td>
            <td><?php echo e($record->reason); ?></td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>Evidence(s)</strong></td>
            <td>
                <?php if(!is_null($record->evidences)): ?>
                <?php $__currentLoopData = $record->evidences; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <a href="<?php echo e(route('download-file',['file_path'=>$value])); ?>" target="_blank" class="btn btn-sm btn-light-secondary me-2">
                            <i class="fa fa-download me-1 m-2"></i> Download Evidence <?php echo e($key+1); ?></a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                <em class="text-muted">No evidence added</em>
                <?php endif; ?>
            </td>
        </tr>
    </table>
    <div class="divider mt-4 py-2 border-top text-uppercase text-muted"></div>
    <h6 class="mt-3 text-muted">Record Verification</h6>
    <?php echo $__env->make('member-records.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php else: ?>
    <h5 class="text-center text-muted mt-4">No record found</h5>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231204085836/resources/views/member-records/view-record.blade.php ENDPATH**/ ?>