<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('vendor-css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/custom/datatables/datatables.bundle.css')); ?>">
    <?php $__env->stopPush(); ?>
     <?php $__env->slot('page_title', null, []); ?> 
        <?php echo e(__('Beneficiaries')); ?>

     <?php $__env->endSlot(); ?>
         <?php $__env->slot('breadcrumb', null, []); ?> 
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Beneficiaries')); ?></li>
            </ol>
         <?php $__env->endSlot(); ?>
        <!-- start: page toolbar -->
         <?php $__env->slot('page_heading', null, []); ?> 
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0"><?php echo e(__('Beneficiaries')); ?></h1>
                    <small class="text-muted">
                        <?php echo e(__('This module serves as the central hub for managing scheme members\' account profiles.')); ?>

                        <br> <?php echo e(__('It facilitates essential tasks such as adding new members, suspending accounts, updating member details, and handling password resets.')); ?>

                    </small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <div class="p-2 me-md-3 text-center">
                        <div>
                            <span class="h6 mb-0"><?php echo e($active); ?></span> <small class="text-muted text-uppercase">active</small>

                        </div>

                    </div>
                    <div class="p-2 me-md-3 text-center text-success">
                        <div>
                            <span class="h6 mb-0"><?php echo e($inactive); ?></span> <small class="text-muted text-uppercase">inactive</small>

                        </div>

                    </div>
                </div>
            </div> <!-- .row end -->
         <?php $__env->endSlot(); ?>
        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
            <div class="container-fluid">
                <div class="mb-2" id="syncMessage"></div>
                <?php if(session()->has('message')): ?>
                    <div class="mb-5">
                        <?php if(session()->get('status') == 'success'): ?>
                            <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                        <?php else: ?>
                            <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>
                <?php if(session()->has('success')): ?>
                    <div class="mb-5">
                    <div role="alert" class="alert alert-success"><?php echo e(session()->get('success')); ?></div>
                    </div>
                <?php endif; ?>

                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="">
                                    <div class="input-group">
                                        <?php if(canDo('administrator','search-beneficiary')): ?>
                                        <input type="text" name="form_type" value="basic" class="d-none">

                                        <select name="query_option" class="form-control" id="query_option" style="max-width: 200px;">
                                            <option value="name" <?php echo e(request()->get('query_option') == 'name' ? 'selected' : ''); ?>>Query by Name</option>
                                            <option value="id" <?php echo e(request()->get('query_option') == 'id' ? 'selected': ''); ?>>Query by ID Number</option>
                                        </select>
                                        
                                        <input type="text" placeholder="Search..."  id="basic_name" name="name" class="form-control" style="display: <?php echo e(request()->get('query_option') == 'id' ? 'none' : 'block'); ?>">

                                        <select name="basic_id_type" class="form-control" id="basic_id_type" style="display: <?php echo e(request()->get('query_option') == 'id' ? 'block' : 'none'); ?>">
                                            <option value="" >-- ID Type --</option>
                                            <?php $__currentLoopData = getIdentificationType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($name); ?>" <?php echo e(request()->get('basic_id_type') == $name ? 'selected' : ''); ?>><?php echo e($name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            
                                        </select>
                                        <input type="text" class="form-control" id="basic_id_number" name="basic_id_number" style="display: <?php echo e(request()->get('query_option') == 'id' ? 'block' : 'none'); ?>">

                                        <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip"
                                            data-bs-placement="top" title="Search"><i class="fa fa-search"></i>
                                        </button>
                                        
                                        <a href="#" class="btn btn-light-success" data-bs-toggle="modal" title="Filter" data-bs-target="#advanced-filter-modal"><i class="bi bi-funnel"></i></a>
                                        <a href="<?php echo e(route('applicant.getApplicantInfo')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                        <?php endif; ?>

                                        <?php if(false): ?>
                                        <?php if(canDo('administrator','member-records-update|view-member-record-comment|add-member-record-comment|process-member-record')): ?>
                                            <a href="<?php echo e(route('memberRecords.list')); ?>" class="btn btn-light-success" data-bs-toggle="tooltip" title="Member Records"> <i class="bi-person-lines-fill"></i></a>
                                        <?php endif; ?>
                                        <?php endif; ?>

                                        <?php if(canDo('administrator','add-beneficiary')): ?>
                                            <a href="<?php echo e(route('applicant.applicantRegistration')); ?>" class="btn btn-primary" data-bs-toggle="tooltip"
                                            data-bs-placement="top" title="Add new Member"><i class="fa fa-plus me-2"></i> <?php echo e(__('New')); ?></a>
                                        <?php endif; ?>
                                    </div>
                                </form>
                                

                            </div>
                        </div>
                    </div>
                    

                    <div class="col-12">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px;"><?php echo e(__('#')); ?></th>
                                    <th><?php echo e(__('Member')); ?></th>
                                    <th><?php echo e(__('Bio')); ?></th>
                                    <!--<th><?php echo e(__('Citizenship/Nationality')); ?></th>-->
                                    <th><?php echo e(__('Location')); ?></th>
                                    <th><?php echo e(__('PMT')); ?></th>
                                    <th><?php echo e(__('other')); ?></th>
                                    <th><?php echo e(__('Actions')); ?></th>
                                    
                                </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        $counter = 1;
                                    ?>
                                    <?php $__currentLoopData = $applicants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $applicant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <tr>
                                            <td><?php echo e($counter); ?></td>
                                            <td>
                                                <div class="d-flex align-items-center">
                                                    <img src="<?php echo e(asset('assets/img/avatar.png')); ?>" class="rounded-circle sm avatar" alt="">
                                                    <div class="ms-2 mb-0">
                                                        <strong><?php echo e(strtoupper($applicant->surnames)); ?></strong>, <?php echo e(ucwords($applicant->first_names)  .' '. ucwords($applicant->other_names)); ?>

                                                        <br><small class="text-muted"><?php echo e($applicant->regID); ?></small>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <?php echo e($applicant->genders); ?>

                                                <br><span style='display: none'><?php echo e(date('Y-m-d',strtotime($applicant->dobs))); ?></span>
                                                <small class='text-muted'><?php echo e(getAgeByDate($applicant->dobs)); ?></small>
                                            </td>
                                            <!--<td>
                                                <?php echo e($applicant->nationalities); ?>

                                                <br><small class="text-muted">Born in <?php echo e($applicant->place_of_births); ?> <?php echo e($applicant->country_of_births); ?></small>
                                            </td>-->
                                            <td>
                                                <?php echo e($applicant->village->name ?? '---'); ?>

                                                <br>
                                                <small class='text-muted'><?php echo e($applicant->village_id !== null && $applicant->village->constituency_id !== null ? $applicant->village->constituency->name.' constituency' : '---'); ?> </small>
                                            </td>
                                            <td>
                                                <?php echo e($applicant->pmtScore ?? 'NA'); ?>

                                            </td>
                                            <td>
                                                <?php if(count($applicant->maritalDetails) > 0): ?>
                                                    <?php echo e(($applicant->maritalDetails->sortByDesc('created_at')->first())->marriage_status); ?>

                                                <?php else: ?>
                                                    No Martial Records
                                                <?php endif; ?>
                                                <br>
                                                <small class="text-muted">
                                                    <?php if(count($applicant->healthDetails) > 0): ?>

                                                        <?php echo e(implode(', ', $applicant->healthDetails->pluck('health_type')->toArray())); ?>

                                                    <?php else: ?>

                                                    No Health Records
                                                        
                                                    <?php endif; ?>
                                                </small>
                                            </td>
                                            <td>
                                                <!--View-->
                                                <a href="<?php echo e(route('applicant.viewApplicantInfo',['app_id'=>cryptThis($applicant->id)])); ?>" title="<?php echo e(__('View Applicant')); ?>" class="btn btn-sm btn-link text-info mr-2" href="javascript:;" data-bs-toggle="tooltip" data-bs-placement="top">
                                                    <i class=" fa fa-user"></i>
                                                </a>

                                                <!--Edit-->
                                                <a href="<?php echo e(route('applicant.applicantRegistration',[cryptThis($applicant->id)])); ?>" data-bs-toggle="tooltip" data-bs-placement="top" class="btn btn-sm btn-link text-primary mr-2" href="javascript:;" title="<?php echo e(__('Edit Applicant')); ?>">
                                                <i class="fa fa-edit"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <?php
                                            $counter++
                                        ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    
                                    
                                </tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                    <?php if($applicants->count() < 1): ?>

                    <div class="col-12">
                        <div class="card p-0">
                            <div class="card-body p-2">
                                <p class="mb-0 cstm-fs-12">No data available</p>
                            </div>
                        </div>
                    </div>
                        
                    <?php endif; ?>

                    <?php echo e($applicants); ?>

                    
                </div> <!-- .row end -->

            </div>
        </div>

        <!--begin::Row-->
        <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog"
            aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel"><?php echo e(settings()->get('applicant_title').__(' Information')); ?></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="ki ki-close"></i>
                        </button>
                    </div>
                    <div class="modal-body" id="info">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="advanced-filter-modal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-header">

                        <div class="">
                        <h5 class="modal-title" id="exampleModalLabel">Advanced Filtering</h5>
                        <p class="mb-0 fs-14 cstm-fs-14">Sort the list of beneficiaries based on various criteria (data points).</p>
                        </div>
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"data-bs-dismiss="modal" aria-label="Close"></button>
                        
                    </div>
                    <div class="modal-body custom_scroll p-lg-4 pt-lg-4">
                        
                        <form action="" method="get" id="advanced-filter-form">
                        <input type="text" name="form_type" value="advanced" class="d-none">

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Location</p>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-floating">
                                    <select name="constituency" id="consti-dropdown" class="form-control">
                                        <option value=""></option>
                                        <?php $__currentLoopData = $constituencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $const): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($const->id); ?>" <?php echo e(request()->get('constituency') == $const->id ? 'selected' : ''); ?>><?php echo e($const->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                    </select>
                                    <label for="">Constituency</label>
                                </div>
                            </div>

                            <div class="col-md-3 mb-2">
                                <div class="form-floating">
                                    <select name="district" id="district-dropdown" class="form-control">
                                        <option value=""></option>
                                       
                                        
                                    </select>
                                    <label for="">District</label>
                                </div>
                            </div>

                            <div class="col-md-3 mb-2">
                                <div class="form-floating">
                                    <select name="village" id="village-dropdown" class="form-control">
                                        <option value=""></option>
                                       
                                        
                                    </select>
                                    <label for="">Village</label>
                                </div>
                            </div>
                            
                            
                        </div>

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Age</p>
                            </div>
                            <div class="col-md-4 mb-2">
                                <div class="form-floating">
                                    <input type="number"  name="min_age" class="form-control" value="<?php echo e(request()->get('min_age')); ?>" id="" placeholder="Minimum Age">
                                    <label for="">Minimum Age</label>
                                </div>
                            </div>
                            <div class="col-md-4 mb-2">
                                <div class="form-floating">
                                    <input type="number"  name="max_age" class="form-control" value="<?php echo e(request()->get('max_age')); ?>" id="" placeholder="Maximum Age">
                                    <label for="">Maximum Age</label>
                                </div>
                            </div>
                            
                        </div>

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">PMT Score</p>
                            </div>
                            <div class="col-md-8">
                                <div class="form-floating mb-2">
                                    <select name="pmt" id="" class="form-select" data-toggle="tooltip"  title="Proxy Means Testing (PMT) Score">
                                        <option value="">-- Choose --</option>
                                        <?php $__currentLoopData = $pmts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option style="font-size:.75rem;" value="<?php echo e($data->detail); ?>"<?php echo e(request()->get('pmt') == $data->detail ? 'selected': ''); ?>><?php echo e($data->mini); ?> - <?php echo e($data->maxi); ?> : <?php echo e($data->detail); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    
                                    <label for="">PMT Score</label>
                                </div>
                            </div>
                        </div>

                        <div class="row border-bottom my-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Orphan Status</p>
                            </div>
                            <div class="col-md-8">
                                <div class="form-floating mb-2">
                                    <select name="orphan_status" id="" class="form-select" data-toggle="tooltip"  title="">
                                        <option value="">-- Choose --</option>
                                        <option value="maternal">Maternal Orphan</option>
                                        <option value="paternal">Paternal Orphan</option>
                                        <option value="double">Double Orphan</option>
                                    </select>
                                    
                                    <label for="">Orphan Status</label>
                                </div>
                            </div>
                        </div>

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Education Level</p>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <?php $__currentLoopData = config('settings.education_level'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="<?php echo e($data); ?>" name="education_<?php echo e(str_replace(' ', '_', strtolower($data))); ?>" id="education_<?php echo e(str_replace(' ', '_', strtolower($data))); ?>" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for=""><?php echo e($data); ?></label>
                                            </div>
                                        </fieldset>
                                    </div>
                                        
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    
                                    
                                    
                                </div>
                            </div>
                        </div>

                        




                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Gender</p>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input <?php echo e(request()->get('gender_male') == 'Male' ? 'checked' : '' ); ?> type="checkbox" value="Male" name="gender_male" id="advncd_gender_male" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Male</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input <?php echo e(request()->get('gender_female') == 'Female' ? 'checked' : '' ); ?> type="checkbox" value="Female" name="gender_female" id="advncd_gender_female" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Female</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input <?php echo e(request()->get('gender_other') == 'Other' ? 'checked' : '' ); ?> type="checkbox" value="Other" name="gender_other" id="advncd_gender_other" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Other</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>


                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Marital Status</p>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" <?php echo e(request()->get('marital_single') == 'Single' ? 'checked' : '' ); ?>  value="Single" name="marital_single" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Single</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" <?php echo e(request()->get('marital_married') == 'Married' ? 'checked' : '' ); ?> value="Married" name="marital_married" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Married</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" <?php echo e(request()->get('marital_mono') == 'Married Monogamous' ? 'checked' : '' ); ?> value="Married Monogamous" name="marital_mono" id="marital_mono" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Married Monogamous</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" <?php echo e(request()->get('marital_poly') == 'Married Polygamous' ? 'checked' : '' ); ?> value="Married Polygamous" name="marital_poly" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Married Polygamous</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Separated" name="marital_separated" id="" class="form-check-input"
                                                <?php echo e(request()->get('marital_separated') == 'Separated' ? 'checked' : '' ); ?>>
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Separated</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" <?php echo e(request()->get('marital_divorced') == 'Divorced' ? 'checked' : '' ); ?> value="Divorced" name="marital_divorced" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Divorced</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Annulled" name="marital_annulled" id="" class="form-check-input"
                                                <?php echo e(request()->get('marital_annulled') == 'Annulled' ? 'checked' : '' ); ?>>
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Annulled</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Ended By Death" name="marital_death" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Ended By Death</label>
                                            </div>
                                        </fieldset>
                                    </div>

                                    
                                </div>
                            </div>
                        </div>

                        

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Health Condition</p>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Visual" name="health_visual" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Visual</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Hearing" name="health_hearing" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Hearing</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Mobility" name="health_mobility" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Mobility</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Speech" name="health_speech" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Speech</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Chronic Fatigue, Pain or Seizure" name="health_chronic" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Chronic Fatigue, Pain or Seizures</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                </div>
                            </div>
                        </div>





                                

     
                        </form> 
                    </div>
                    <div class="modal-footer">

                        <button type="button" class="btn btn-primary font-weight-bold" onclick="document.getElementById('advanced-filter-form').submit()" data-dismiss="modal">Apply
                        </button>

                    </div>
                </div>
            </div>
        </div>


        <!--end::Row-->
        <?php echo $__env->make('touring-pages.membership', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php $__env->startPush('vendor-scripts'); ?>
        <?php $__env->stopPush(); ?>
        

        

        <?php $__env->startPush('scripts'); ?>
            <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
            <script src="<?php echo e(asset('assets/js/bundle/daterangepicker.bundle.js')); ?>"></script>
            <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
            <?php if(canTour('membership')): ?>
                <script>
                    $(window).on('load', function() {
                        $('#take-a-tour').modal('show');
                    });

                    function skipTour(page) {
                            var path = "<?php echo e(route('on_boarding.skipTour')); ?>";
                            $.ajax({
                                url: path,
                                type: 'GET',
                                data:{'page':page},
                                beforeSend: function () {
                                },
                                success: function (data) {
                                    console.log('Skipped');
                                }
                            });
                        }
                </script>
            <?php endif; ?>
            <script>
                $('.datepicker').datepicker({});
                $('#query_option').change(function () {
                    if (this.value == 'name') {
                        

                        $('#basic_name').show();
                        $('#basic_name').prop({disabled: false, required: true});

                        $('#basic_id_type').hide();
                        $('#basic_id_type').prop({disabled: true, required: false});

                        $('#basic_id_number').hide();
                        $('#basic_id_number').prop({disabled: true, required: false});
                        
                        
                    }else if(this.value == 'id') {

                        $('#basic_name').hide();
                        $('#basic_name').prop({disabled: false, required: false});

                        $('#basic_id_type').show();
                        $('#basic_id_type').prop({disabled: false, required: true});

                        $('#basic_id_number').show();
                        $('#basic_id_number').prop({disabled: false, required: true});

                    }else{
                        $('#basic_name').show();
                        $('#basic_name').prop({disabled: false, required: true});

                        $('#basic_id_type').hide();
                        $('#basic_id_type').prop({disabled: true, required: false});

                        $('#basic_id_number').hide();
                        $('#basic_id_number').prop({disabled: true, required: false});
                        
                    }
                });

                $(function() {
                    var start = moment().startOf('year');
                    var end = moment();
                    // function cb(start, end) {
                    //     $('input[name="date_range"]').html();
                    // }
                    $('input[name="date_range"]').daterangepicker({
                        locale: {
                            cancelLabel: 'Clear'
                        },
                        startDate: start,
                        endDate: end,
                        ranges: {
                            'Today': [moment(), moment()],
                            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                            'This Month': [moment().startOf('month'), moment().endOf('month')],
                            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                            'This Year': [moment().startOf('year'), moment()],
                            'Last Year': [moment().subtract(12, 'month').startOf('year'), moment().subtract(12, 'month').endOf('year')]
                        }
                    });
                    // cb(start, end);

                    $('input[name="date_range"]').on('cancel.daterangepicker', function(ev, picker) {
                        $('input[name="date_range"]').val('');
                    });
                });

                $('#consti-dropdown').change(function(){
                    get_districts($(this).val());
                })
                $('#district-dropdown').change(function(){
                    get_villages($(this).val());
                })


                function get_districts(constituency_id) {
                    $.get('/get_constituency/' + constituency_id, function(res) {
                        $('#district-dropdown').empty();
                        $('#district-dropdown').append('<option></option>');
                        res.districts.forEach(function(district) {
                            // Create a new option element
                            var option = $('<option></option>').val(district.id).text(district.name);
                            // Append the option to the dropdown
                            $('#district-dropdown').append(option);
                        });
                    });
                }

                function get_villages(district_id) {
                    $.get('/get_district/' + district_id, function(res) {
                        $('#village-dropdown').empty();
                        $('#village-dropdown').append('<option></option>');
                        // Assuming res.villages is an array of objects like {id: 1, name: 'Village Name'}
                        res.villages.forEach(function(village) {
                            // Create a new option element
                            var option = $('<option></option>').val(village.id).text(village.name);
                            // Append the option to the dropdown
                            $('#village-dropdown').append(option);
                        });
                    });
                }

            </script>
                
        
                
            <script src="<?php echo e(asset('assets/js/customjs/custom-benefit-registration-datatable.js')); ?>"></script>

        <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/upg.appdemo.pro/resources/views/beneficiaries/index.blade.php ENDPATH**/ ?>