<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="<?php echo e(route('survey.list')); ?>"><?php echo e(__('Surveys')); ?></a></li>
            <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Survey Forms')); ?></li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0"><?php echo e(__('Survey Forms')); ?></h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            <?php $__env->startComponent('components.announcement'); ?><?php echo $__env->renderComponent(); ?>

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="get">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <input type="text" name="title_query" value="<?php echo e(request()->get('title_query')); ?>"
                                           id="title_query" placeholder="Survey Name" class="form-control">
                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i>
                                    </button>
                                    <a href="<?php echo e(route('survey_module.index')); ?>" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>

                                    <a href="<?php echo e(route('survey.list')); ?>" class="btn btn-light-success"
                                       data-bs-toggle="tooltip" title="Surveys"> <i class="bi-bounding-box"></i></a>
                                    <button data-bs-toggle="modal" data-bs-target="#addSurveyForm" type="button"
                                            class="btn btn-primary"><i class="fa fa-plus me-2"></i> <?php echo e(__('New')); ?>

                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Name</th>
                                <th style="width: 50px;">Linked Surveys</th>
                                <th style="width: 50px;">Created On</th>
                                <th style="width: 50px;" class="text-right">Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php ($count = 1); ?>
                            <?php $__empty_1 = true; $__currentLoopData = $survey_forms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $survey): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo e($count++); ?></td>
                                    <td><?php echo e($survey->name); ?></td>
                                    <td class="text-end"><?php echo e(easyCount($survey->surveys_count)); ?></td>
                                    <td><?php echo e(defaultDateFormat($survey->created_at)); ?></td>
                                    <td>
                                        <a href="<?php echo e(route('survey_module.surveyQuestions',[$survey])); ?>"
                                           title="Survey Details" class="btn-icon btn text-primary"> <span
                                                    class="fa fa-info-circle"></span></a>
                                        <a href="#" class="btn-icon btn text-danger"> <span class="fa fa-trash"></span></a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="5"><span class="text-muted">No Surveys added</span></td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="addSurveyForm" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <h6 class="mt-3 mb-4"><?php echo e(__('New Survey Form')); ?></h6>
                        <p id="err" class="text-danger"></p>
                        <form id="add-form" action="<?php echo e(route('survey_module.saveSurveyForm')); ?>" method="post">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-floating">
                                        <input type="text" required value="<?php echo e(old('name')); ?>" class="form-control"
                                               name="name" id="name" placeholder="E.g. Population Census">
                                        <label for="name" class="text-muted"><?php echo e(__('Survey Name')); ?><span
                                                    class="required">*</span></label>
                                    </div>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.field-error','data' => ['field' => 'name']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('field-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['field' => 'name']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>

                                <div class="col-12 mt-3">
                                    <div class="form-floating">
                                        <select name="category" id="category" required
                                                class="form-control form-control-l select2"
                                                placeholder="Select category">
                                            <option value="">-- Choose Category--</option>
                                            <?php $__currentLoopData = getSurveyCategory(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($name); ?>"><?php echo e($name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <label for="category" class="text-muted">Select Category *</label>
                                    </div>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.field-error','data' => ['field' => 'category']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('field-error'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['field' => 'category']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>

                                
                                
                                
                                
                                
                                
                                

                                
                                
                                
                                
                                
                                
                                
                            </div>
                            <button type="submit" class="btn btn-primary mt-3"><i
                                        class="fa fa-paper-plane"></i> <?php echo e(__('Save')); ?></button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
        <script>

            function removeSurvey(key) {
                if (confirm("Data maybe lost after removing this Team.\nDo you want to continue?") == true) {
                    document.getElementById('delete-team' + key).submit();
                } else {
                    event.preventDefault();
                }
            }

            function activateSurvey(id) {
                var path = "<?php echo e(route('survey.changeTeamStatus')); ?>";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: id},
                    success: function (data) {
                        console.log(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }

        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42)): ?>
<?php $component = $__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42; ?>
<?php unset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/survey-module/index.blade.php ENDPATH**/ ?>