<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="icon" href="<?php echo e(asset(getProjectFavicon())); ?>" type="image/x-icon">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

        <title><?php echo e(config('app.name', 'Alleviate')); ?></title>

        <!-- project css file  -->

        <!-- project css file  -->
        <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/luno-style.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/prismjs/prism.css')); ?>">
        <?php echo $__env->yieldPushContent('last-css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/fancybox.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/bootstrapdatepicker.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/daterangepicker.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/spis.css')); ?>">
        <!-- Jquery Core Js -->

        <style>
            body {
                font-family: 'Inter', sans-serif !important;
                font-weight: 300;
                font-size: 14px;
            }
        </style>

        <script>
            const BASE_URL = "<?php echo e(env('APP_URL')); ?>";
        </script>
    </head>
    <body class="layout-1 gradient" data-luno="theme-blue">

    <!-- start: body area -->
    <div class="wrapper">
    <!-- Navigation -->
    <?php echo $__env->make('layouts.customer-navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- Page Wrapper Start -->
    <?php echo e($slot); ?>


    <!-- Section: Footer -->
    <?php echo $__env->make('layouts.page-footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <!-- Page Wrapper End -->
    <!-- Jquery Page Js -->
    <?php echo $__env->yieldPushContent('vendor-scripts'); ?>
    <!-- Jquery Core Js -->
    <!-- Jquery Core Js -->
    <script src="<?php echo e(asset('assets/js/plugins.js')); ?>"></script>
    <!-- Prism js file please do not add in your project -->
    <script src="<?php echo e(asset('assets/vendor/prismjs/prism.js')); ?>"></script>
    <!-- Jquery Page Js -->
    
    <script src="<?php echo e(asset('assets/js/theme.js')); ?>"></script>
    <!-- Plugin Js -->
    <script src="<?php echo e(asset('assets/js/bundle/select2.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/sweetalert2.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/daterangepicker.bundle.js')); ?>"></script>
    <script>

        $(function () {
            $('[data-toggle="popover"]').popover()
        });
        $('.datepicker').datepicker({});
        $('.daterangepicker').daterangepicker({
            // startDate: moment(), endDate: moment().add(2, 'day')
        });
        $('#dobs').datepicker({});
        // $('.select2').select2({
        //     placeholder: 'Select',
        //     allowClear: true
        // });
    </script>
    <?php echo $__env->yieldPushContent('scripts'); ?>
    </body>
</html>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/layouts/beneficiary.blade.php ENDPATH**/ ?>