<div class="row">
    <div class="col-md-3">
        <div class="text-center flex items-center justify-center flex-col">
            <?php
                $merchant = getMerchant($accountDetail->bank_id);
//                dd($merchant);
                $logo = asset('assets/img/image-placeholder.png');
                if(file_exists(env('CONSOLE_URL').$merchant['logo'])) {
                    $logo = env('CONSOLE_URL').$merchant['logo'];
                }
            ?>
            <img src="<?php echo e($logo); ?>" alt="Bank Logo" style="max-width: 200px;max-height: 8rem;">
        </div>
    </div>
    <div class="col-md-9">
        <div class="table-responsive">
            <table class="table card-table table-sm table-nowrap mb-0">
                <tbody>
                <tr>
                    <td><strong><?php echo e($merchant['name']); ?></strong></td>
                    <td><strong>Branch Name</strong> - <?php echo e($accountDetail->bank_branch); ?></td>
                </tr>
                <tr>
                    <td><strong>Account Type</strong> - <?php echo e($accountDetail->type); ?></td>
                    <td><strong>Bank Swift Code</strong> - <?php echo e($merchant['swift_code']); ?></td>
                </tr>
                <tr>
                    <td><strong>Account Number</strong> - <?php echo e($accountDetail->account_number); ?></td>
                    <td><strong>Account Holder Name</strong> -	<?php echo e($accountDetail->account_holder_name); ?></td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/benefit-registration/applications/bank-account-info.blade.php ENDPATH**/ ?>