<div class="card mb-3">
    <div class="card-body">
        <div class="row">
            <div class="col-md-4">
                <div>
                    <a href="#" class="fw-bold"><?php echo e($client->name); ?></a><br>
                    <p class="mb-0 small"><?php echo e($client->field); ?> <?php echo e(__('based in')); ?> <strong><?php echo e(getCountry($client->country_id,'name')); ?></strong></p>
                </div>
            </div>
            <div class="col-md-3 text-center small">
                <span class="text-muted"><?php echo e(__('Managed by').' '.$client->owner->name); ?></span>
                <br> <?php echo e($client->owner->email); ?>

            </div>
            <div class="col-md-5 text-end small">
                <?php if(!$client->status): ?>
                    <span class="form-switch">
                        <a href="javascript:;" class="me-3" data-bs-toggle="tooltip"
                       data-bs-placement="top" title="<?php echo e(__('Approve Client?')); ?>" onclick="clientApproval(<?php echo e($client->id); ?>)" >
                            <input class="form-check-input fs-6 mt-2 me-2" type="checkbox" value="0" role="switch" id="status">
                        </a>
                    </span>
                <?php else: ?>
                    <span class="form-switch">
                        <a href="javascript:;" data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo e(__('Reverse Approval?')); ?>" class="me-3" onclick=" (<?php echo e($client->id); ?>)">
                            <input class="form-check-input fs-6 mt-2 me-2"  checked type="checkbox" value="1" role="switch" id="status">
                        </a>
                    </span>
                <?php endif; ?>

                <a href="<?php echo e(route('subscription.list',['organisation'=>$client->name])); ?>" class="me-3" data-bs-toggle="tooltip"
                   data-bs-placement="top" title="<?php echo e(__('Subscriptions')); ?>">
                    <i class="bi-cloud-arrow-up-fill fs-6"></i> <?php echo e($client->deployments?->count()); ?>

                </a>
                <a href="#" class="btn btn-link text-primary"
                       data-bs-placement="top" data-bs-toggle="modal" data-bs-target="#editClient"
                   onclick="fetchClient(<?php echo e($client->id); ?>)" title="<?php echo e(__('Edit')); ?>">
                    <i class="fa fa-pencil fs-6"></i></a>
                <a href="#" class="btn btn-link text-primary"
                       data-bs-placement="top" data-bs-toggle="modal" data-bs-target="#changeOwnership"
                   onclick="changeOwnership(<?php echo e($client->id); ?>)" title="<?php echo e(__('Change Owner')); ?>">
                    <i class="bi-person-circle fs-6"></i></a>
                <a href="#" class="btn btn-link text-primary"
                       data-bs-placement="top" data-bs-toggle="modal" data-bs-target="#collaborators"
                   onclick="collaborators(<?php echo e($client->id); ?>)" title="<?php echo e(__('Collaborators')); ?>">
                    <i class="bi-person-plus-fill fs-6"></i></a>
            </div>
        </div>

    </div>
</div>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231129140011/resources/views/components/client-card.blade.php ENDPATH**/ ?>