<?php if($permissions->count() > 0): ?>
    <h6 class="mb-3">Choose Permissions</h6>
    <div class="row">
        <div class="col-md-3"></div>
        <div class="col-md-9">
            <fieldset class="checkboxsas mb-2">
                <div class="form-check">
                    <input type="checkbox"  id="checkAllPermissions" class="form-check-input">
                    <label class="form-check-label fw-bold" for="checkAllPermissions">Select all</label>
                </div>
            </fieldset>
        </div>
    </div>

    <div class="mt-2">
        <?php $__currentLoopData = config('settings.permission_modules'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$module): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if($permissions->where('module','=',$module)->count() < 1) continue; ?>
            <div class="row border-bottom mt-3">
                <div class="col-md-3">
                    <p class="fw-bolder"><?php echo e(\Illuminate\Support\Str::headline($module)); ?></p>
                </div>
                <div class="col-md-9">
                    <div class="row">
                        <?php $__currentLoopData = $permissions->where('module','=',$module); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-6">
                                <fieldset class="checkboxsas mb-1">
                                    <div class="form-check">
                                        <input type="checkbox" value="<?php echo e($permission->id); ?>" name="permissions[]" <?php if(in_array($permission->id,$role_permissions)): echo 'checked'; endif; ?>
                                               id="permissions_<?php echo e($permission->id); ?>" class="forPermissions pem<?php echo e($module); ?> form-check-input">
                                        <label class="form-check-label" for="permissions_<?php echo e($permission->id); ?>"><?php echo e($permission->display_name); ?></label>
                                    </div>
                                </fieldset>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
<?php else: ?>
    <div class="form-group">
        <label for="message" class=" text-danger"><?php echo e(__('No Permissions Available')); ?></label>
    </div>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/upg.appdemo.pro/resources/views/roles/permissions.blade.php ENDPATH**/ ?>