<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Alleviate')); ?></title>

    <!-- project css file  -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/luno-style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/spis.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/bootstrapdatepicker.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/select2.min.css')); ?>">
    <!-- Jquery Core Js -->
    <script src="<?php echo e(asset('assets/js/plugins.js')); ?>"></script>
</head>
<body id="layout-1" data-luno="theme-blue" style="background: #efefef !important;">
<!-- start: body area -->
<div class="wrapper">
    <div class="page-bod aut px-xl-4 px-sm-2 px-0 py-lg-2 py-1" style="background: #efefef !important; height: 100% ; background-size: cover; position: initial">
        <div class="container-fluid">
            <div class="mb-2 text-end">
                <form method="POST" action="<?php echo e(route('logout')); ?>">
                    <?php echo csrf_field(); ?>

                    <button type="submit" class="btn btn-outline-primary mt-2 mb-2">
                        <i class="fa fa-sign-out me-1"></i> <?php echo e(__('Logout')); ?>

                    </button>
                </form>
            </div>
            <div class="row g-0">
                <?php echo e($slot); ?>

            </div>
        </div>
    </div>
</div>
<!-- Jquery Page Js -->
<script src="<?php echo e(asset('assets/js/theme.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/bundle/select2.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
<script>
    $('.date-picker').datepicker({});
    $('.select2').select2({
        placeholder: 'Choose',
        allowClear: true
    });
</script>
</body>
</html>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/layouts/single-form.blade.php ENDPATH**/ ?>