<?php if (isset($component)) { $__componentOriginal4a86703df89c3cbc1f2f44a1b6f62db70123e273 = $component; } ?>
<?php $component = App\View\Components\BeneficiaryLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('beneficiary-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\BeneficiaryLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('last-css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/bootstrapdatepicker.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/dropify.min.css')); ?>">
        <style>
            .avatar.xxxl {
                width: 200px;
                min-width: 200px;
                height: 200px;
            }
        </style>
    <?php $__env->stopPush(); ?>

    <div class="section call-action-6 bg-dark">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="subscribe py-4">
                        <h3 class="color-fff"><?php echo e($page_title); ?></h3>
                        <span class="lead text-light"><?php echo e(__('Enjoy our service! Contact us if you need any assistance.')); ?> <br>
                                        <?php echo e(__('Have a nice day')); ?>!</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container py-5">
        <?php $__env->startComponent('components.announcement'); ?><?php echo $__env->renderComponent(); ?>
        <?php
            $island_list = getLocations();
            $gender_list = getGender();
            $identification_list = getIdentificationType();
            $account_type_list = getAccount();
            $marriage_status_list = getMaritalStatusType();
            $marriage_type_list = getMaritalType();
            $employment_sector_list = getEmploymentSectorType();
            $employment_type_list = getEmploymentType();
            $impairment_list = getImpairmentType();
            $family_list = getRelationshipType();

            $surnames =
            $first_names =
            $other_names =
            $dobs =
            $genders =
            $country_of_births =
            $place_of_births =
            $state_of_births =
            $app_nationalities = null;
            $upload_passport_pic ='images/profile-picture-default.png';
            $impairments = array();

            $marriage_status =
            $spouse_ref_id =
            $spouse_name =
            $marriage_type =
            $marriage_start_date =
            $marriage_end_date =

            $familyDetails =
            $contactDetails =
            $idDetails =
            $maritalDetails =
            $accountDetails =
            $employmentDetails =
            $healthDetails =
            $type = null;
            $disabled = 'disabled';

                $type = $surnames = $first_name = $other_name = $dob = $fam_reg_id = $is_dependant = null;

            if($applicant) {
                $completion = applicantCompletion($applicant->regID);
                $surnames = $applicant->surnames;
                $first_names = $applicant->first_names;
                $other_names = $applicant->other_names;
                $dobs = $applicant->dobs;
                $genders = $applicant->genders;
                $place_of_births = $applicant->city_id;
                $state_of_births = $applicant->state_id;
                $country_of_births = $applicant->country_id;
                $app_nationalities = $applicant->nationalities;
                $disabled = '';

                if (!is_null($applicant->impairments)) $impairments = $applicant->impairments;

                $upload_passport_pic = $applicant->avatar;


                if(isset($applicant->contactDetails)){
                    $contactDetails = $applicant->contactDetails;
                }

                if(isset($applicant->maritalDetails)) {
                    $maritalDetails = $applicant->maritalDetails;
                }

                if(isset($applicant->familyDetails)) {
                    $familyDetails = $applicant->familyDetails->where('removed','=',false);
                }

                if(isset($applicant->idDetails)) {
                    $idDetails = $applicant->idDetails->where('removed','=',false);
                }

                if(isset($applicant->accountDetails)) {
                    $accountDetails = $applicant->accountDetails->where('removed','=',false);
                }

                if(isset($applicant->employmentDetails)) {
                    $employmentDetails = $applicant->employmentDetails->where('removed','=',false);
                }

                if(isset($applicant->healthDetails)) {
                    $healthDetails = $applicant->healthDetails->where('removed','=',false);
                }

            }
            else{
                $surnames = old('surnames');
                $first_names = old('first_names');
                $other_names = old('other_names');
                $dobs = old('dobs');
                $genders = old('genders');
                $state_of_births = old('state_of_births');
                $place_of_births = old('place_of_births');
                $country_of_births = old('country_of_births');
                $app_nationalities = old('nationalities');
                $upload_passport_pic = old('upload_passport_pic');
                $impairments[] = old('impairments');

                $marriage_status = old('marriage_status');
                $spouse_ref_id = old('spouse_ref_id');
                $spouse_name = old('spouse_name');
                $marriage_type = old('marriage_type');
                $marriage_start_date = old('marriage_start_date');
                $marriage_end_date = old('marriage_end_date');

                $family_details = old('family_details');
                $contactDetails = old('contact_details');
                $idDetails = old('identification_details');
                $accountDetails = old('bank_details');
                $employmentDetails = old('employment_details');
                $healthDetails = old('employment_details');
            }
        ?>
        <?php echo $__env->make('applicant.includes.applicant-profile', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <?php if($applicant): ?>
        <?php echo $__env->make('applicant.includes.applicant_forms', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/fancybox.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/dropify.bundle.js')); ?>"></script>
        <script>
            $('.dropify').dropify();

            <?php if(isset($applicant)): ?>
            var drEvent = $('#upload_passport_pic').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to remove \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                window.location.href = '<?php echo e(route('applicant.removeProfileImage',['regID'=>$applicant->regID])); ?>';
            });
            <?php endif; ?>

            let activeTab = localStorage.getItem('activeTab');
            if (activeTab) {
                $(function () {
                    $('html, body').animate({
                        scrollTop: $(activeTab).offset().top
                    }, 2000);
                });
            }

            <?php if(session()->has('load-new-form')): ?>
            $(document).ready(function () {
                $('<?php echo e(session()->get('load-new-form')); ?>').modal('show');
            });
            <?php endif; ?>
        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42)): ?>
<?php $component = $__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42; ?>
<?php unset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/customers/account.blade.php ENDPATH**/ ?>