<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/treejs/style.min.css')); ?>">
    <style>
        body{
            font-family: 'Inter', sans-serif;
            font-weight: 300;
        }
    </style>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="/">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('account.roles')); ?>">Roles</a></li>
            <li class="breadcrumb-item active" aria-current="page">Line of Sight</li>
        </ol>
     <?php $__env->endSlot(); ?>
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Line of Sight</h1>
                <small class="text-muted">
                    Page description here
                </small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">

            </div>
        </div>

     <?php $__env->endSlot(); ?>
    <?php $__env->startPush('stylesheets'); ?>
        
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/dataTables.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/select2.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/sweetalert2.min.css')); ?>">
    <?php $__env->stopPush(); ?>
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <div class="row g-3">
                <div class="col-12">
                    <!--Filter / Search controls section START-->
                    <form action="#" method="GET">
                        <?php echo csrf_field(); ?>
                        <div class="input-group">
                            <select name="role_a" id="role_a" class="form-select" onchange="updateRoleBOptions()">
                                <option value="">-- Role A --</option>
                                <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($role->id); ?>"<?php echo e((request()->has('role_a') && request()->input('role_a') == $role->id ) ? 'selected' : ''); ?>><?php echo e(Str::headline($role->display_name)); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <select name="role_b" id="role_b" class="form-select">
                                <option value="">-- Role B --</option>
                                <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($role->id); ?>"<?php echo e((request()->has('role_b') && request()->input('role_b') == $role->id ) ? 'selected' : ''); ?>><?php echo e(Str::headline($role->display_name)); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <!--<button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="bi-search"></i></button>-->

                            <button  type="submit"
                                     class="btn btn-primary" title=""> <?php echo e(__('Line of Sight')); ?>

                            </button>

                        </div>
                    </form>

                    <!--Filter / Search controls section END-->
                </div>

                <div class="col-12">
                        <div class="card mb-3">
                            <div class="card-body custom_scroll" style=" scroll-behavior: smooth;">
                                <?php if(!empty($rolesHierarchy)): ?>
                                    <ul class="timeline-activity list-unstyled mb-0">
                                        <?php $__currentLoopData = $rolesHierarchy; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="activity px-3 py-2  <?php echo e($loop->last ? 'pb-0' : '' ); ?> mb-1" data-date="<?php echo e($loop->first ? 'Start' : ($loop->last ? 'End' : '')); ?>">
                                                <div class="fw-bold small d-flex justify-content-between align-items-center">
                                                    <?php echo e($data->display_name); ?>

                                                </div>
                                                <div>
                                                    <small class="text-muted">User name</small>
                                                </div>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                <?php else: ?>
                                    <p class="text-center">Select "Start Role" and "End Role"</p>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>


            </div> <!-- .row end -->
        </div>
    </div>

    <?php $__env->startPush('scripts'); ?>
        <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
        <script>
            function updateRoleBOptions() {
                var selectedRoleId = document.getElementById('role_a').value;


                axios.get('/get_higher_roles/' + selectedRoleId)
                    .then(function (response) {
                        // Update the options of the role_b select element
                        var roleBSelect = document.getElementById('role_b');
                        roleBSelect.innerHTML = '';

                        response.data.forEach(function (role) {
                            var option = document.createElement('option');
                            option.value = role.id;
                            option.text = role.display_name; // Replace with the actual attribute you want to display
                            roleBSelect.add(option);
                        });
                    })
                    .catch(function (error) {
                        console.error('Error fetching parent roles:', error);
                    });
            }

        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/upg.appdemo.pro/resources/views/roles/line-of-sight.blade.php ENDPATH**/ ?>