<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('vendor-css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/custom/datatables/datatables.bundle.css')); ?>">
    <?php $__env->stopPush(); ?>
     <?php $__env->slot('page_title', null, []); ?> 
        <?php echo e(__('Benefit Processing')); ?>

     <?php $__env->endSlot(); ?>
         <?php $__env->slot('breadcrumb', null, []); ?> 
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Applications')); ?></li>
            </ol>
         <?php $__env->endSlot(); ?>
        <!-- start: page toolbar -->
         <?php $__env->slot('page_heading', null, []); ?> 
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0"><?php echo e(__('Applications')); ?></h1>
                    <small class="text-muted">
                        <?php echo e(__('This module simplifies benefit application management, offering clear tracking, processing and efficient handling.')); ?>

                        <br> <?php echo e(__('Use the included filter to modify the content to your needs.')); ?>

                    </small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <div class="p-2 me-md-3 text-center">
                        <div>
                            <span class="h6 mb-0"><?php echo e(easyCount($new)); ?></span> <small class="text-muted text-uppercase">New</small>




                        </div>

                    </div>
                    <div class="p-2 me-md-3 text-center text-success">
                        <div>
                            <span class="h6 mb-0"><?php echo e(easyCount($approved)); ?></span> <small class="text-muted text-uppercase">Approved</small>




                        </div>

                    </div>
                </div>
            </div> <!-- .row end -->
         <?php $__env->endSlot(); ?>
        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
            <div class="container-fluid">
                <div class="mb-2" id="syncMessage"></div>
                <?php if(session()->has('message')): ?>
                    <div class="mb-5">
                        <?php if(session()->get('status') == 'success'): ?>
                            <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                        <?php else: ?>
                            <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>


                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form method="GET" action="<?php echo e(route('benefit_registration.list')); ?>">

                                    <?php echo csrf_field(); ?>
                                    <?php
                                        $options = config('settings.application_filter_options')
                                    ?>
                                    <div class="input-group">


                                        <input type="text" name="applicant_name" id="applicant_name" class="form-control" placeholder="Membership Name/ID"
                                        value="<?php echo e(request()->get('applicant_name')); ?>">
                                        <select name="benefit_type" id="benefit_type" class="form-select">
                                            <option value="">-- <?php echo e(__('Benefit')); ?>--</option>
                                            <?php $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($key); ?>"<?php echo e((request()->get('benefit_type') == $key)?'selected':''); ?>> <?php echo e($benefit); ?> </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <select name="status" id="status" class="form-select">
                                            <option value="">-- <?php echo e(__('Status')); ?> --</option>
                                            <?php $__currentLoopData = config('settings.application_status_style'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$details): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($key); ?>" <?php echo e((request()->get('status') == $key)?'selected':''); ?>><?php echo e($key); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>

                                        <select name="year" id="year" class="form-select">
                                            <?php for($y = date('Y');$y >= date('Y',strtotime(settings()->get('app_deployment_date')));$y--): ?>
                                                <option value="<?php echo e($y); ?>" <?php if(request()->get('year') == $y): echo 'selected'; endif; ?>><?php echo e($y); ?></option>
                                            <?php endfor; ?>
                                        </select>
                                        <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                        <a href="<?php echo e(route('benefit_registration.list')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"><i class="bi-arrow-repeat"></i></a>

                                        <?php if(canDo('administrator','eligibility')): ?>
                                            <a href="<?php echo e(route('benefit.eligibility')); ?>" class="btn btn-primary" data-bs-toggle="tooltip" title="Benefit Eligibility"><i class="bi-list-stars"></i></a>
                                        <?php endif; ?>
                                        <?php if(canDo('administrator','voucher-management|view-payment-vouchers-list')): ?>
                                            <a href="<?php echo e(route('payment.paymentVouchers')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Payment Vouchers"><i class="bi-receipt-cutoff"></i></a>
                                        <?php endif; ?>
                                        <?php if(canDo('administrator','add-application')): ?>
                                            <div class="dropdown">
                                                <button class="btn btn-primary dropdown-toggle" type="button" style="border-radius: 0 4px 4px 0;"
                                                        id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                                    <?php echo e(__('Apply')); ?>

                                                </button>
                                                <ul class="dropdown-menu border-0 shadow p-1">
                                                    <?php $__empty_1 = true; $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                    <li><a class="dropdown-item py-2 rounded" href="<?php echo e(route('benefit_registration.create',[cryptThis($key)])); ?>"><?php echo e($benefit); ?></a></li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                        <li><?php echo e(__('No Benefits available')); ?></li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px;"><?php echo e(__('#')); ?></th>
                                    <th style="width: 150px;"><?php echo e(__('Name')); ?></th>
                                    
                                    <th style="width: 350px;"><?php echo e(__('Benefit')); ?></th>
                                    <th style="width: 150px;"><?php echo e(__('Submitted On')); ?></th>
                                    <th style="width: 250px;"><?php echo e(__('Status')); ?></th>
                                    <th style="width: 200px;"><?php echo e(__('Action')); ?></th>
                                </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                </div> <!-- .row end -->

            </div>
        </div>
        <?php if(canDo('administrator','view-application-comment|add-application-comment')): ?>
            <!-- Commenting Modal -->
            <div class="modal fade" id="commentBox" tabindex="-1">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="viewHeader">Comments</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div id="comment-content"></div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <?php echo $__env->make('touring-pages.application', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->startPush('scripts'); ?>
            <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
            <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
            <script src="<?php echo e(asset('assets/js/bundle/daterangepicker.bundle.js')); ?>"></script>
        <?php if(canTour('application')): ?>
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                        var path = "<?php echo e(route('on_boarding.skipTour')); ?>";
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data:{'page':page},
                            beforeSend: function () {
                            },
                            success: function (data) {
                                console.log('Skipped');
                            }
                        });
                    }
            </script>
        <?php endif; ?>
        <script>
            <?php if(isset($request)): ?>
                const APPLICATIONS_AJAX = "<?php echo e(route('benefit_registration.getApplicationsList',['status'=>request()->get('status'),'year'=>request()->get('year'),'applicant_name'=>request()->get('applicant_name'),'benefit_type'=>request()->get('benefit_type')])); ?>";
            <?php else: ?>
                const APPLICATIONS_AJAX = "<?php echo e(route('benefit_registration.getApplicationsList')); ?>";
            <?php endif; ?>
            $('.datepicker').datepicker({});
            $(function() {
                $('input[name="date_range"]').daterangepicker(
                    // {
                    //     startDate: moment().subtract(30, 'day'),
                    //     endDate: moment()
                    // }
                );
            })

            $('select#filter').change(function () {
                var filter_value = $(this).val();

                if (filter_value === "app_period") {
                    $('.datepicker').prop('required','required');
                }
                else {
                    $('.datepicker').prop('required','');
                }
            })

            function showComment(id) {
                var path = "<?php echo e(route('benefit_registration.openComments')); ?>";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:id},
                    beforeSend: function(){
                        $('#comment-content').empty().html('<div class="p-4 text-center"><div class="spinner-border text-center" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div></div>');
                    },
                    success: function(data){
                        $('#comment-content').empty().html(data.view);
                    },
                    complete:function(){
                    },
                    error: function (data) {
                        console.log(data)
                    }
                });
            }
        </script>
        <script src="<?php echo e(asset('assets/js/customjs/custom-benefit-registration-datatable.js')); ?>"></script>

    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231220141509/resources/views/benefit-registration/list.blade.php ENDPATH**/ ?>