<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Permissions Management</li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Permissions Management</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <?php $__env->startComponent('components.announcement'); ?><?php echo $__env->renderComponent(); ?>
            <!--begin::Row-->
            <div class="row">
                <div class="col-12 mb-4">
                    <div class="card card-custom" id="action-card">
                        <div class="card-header">
                            <h3 class="card-title">Add Permission</h3>
                        </div>
                        <div class="card-body">
                            <form id="add-form" action="<?php echo e(route('account.permissions.create')); ?>" method="post">
                                <?php echo csrf_field(); ?>
                                <div id="hidden-input"></div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group<?php echo e($errors->has('permission_name') ? ' form-control-warning' : ''); ?> mb-3">
                                            <label for="permission_name"><?php echo e(__('Permission Name')); ?><span
                                                        class="required">*</span></label>
                                            <input type="text" required min="2" name="permission_name"
                                                   class="form-control" value="<?php echo e(old('permission_name')); ?>"
                                                   id="permission_name">
                                            <?php if($errors->has('permission_name')): ?>
                                                
                                                <span class="form-text text-danger"><?php echo e($errors->first('permission_name')); ?></span>
                                                
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group<?php echo e($errors->has('display_name') ? ' form-control-warning' : ''); ?> mb-3">
                                            <label for="display_name"><?php echo e(__('Permission Display Name')); ?> <span
                                                        class="required">*</span></label>
                                            <input type="text" name="display_name" class="form-control"
                                                   value="<?php echo e(old('display_name')); ?>" id="display_name">
                                            <?php if($errors->has('display_name')): ?>
                                                <span class="form-text text-danger"><?php echo e($errors->first('display_name')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group<?php echo e($errors->has('module') ? ' form-control-warning' : ''); ?> mb-3">
                                            <label for="module"><?php echo e(__('Module')); ?> <span
                                                        class="required">*</span></label>
                                            <select name="module" id="module" class="form-select">
                                                <option value="">-- Choose --</option>
                                                <?php $__currentLoopData = config('settings.permission_modules'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$module): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($module); ?>"><?php echo e(\Illuminate\Support\Str::headline($module)); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php if($errors->has('module')): ?>
                                                <span class="form-text text-danger"><?php echo e($errors->first('module')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group<?php echo e($errors->has('type') ? ' form-control-warning' : ''); ?> mb-3">
                                            <label for="access_type"><?php echo e(__('Access Type')); ?> <span
                                                        class="required">*</span></label>
                                            <select name="access_type" id="access_type" class="form-select">
                                                <option value="">-- Choose --</option>
                                                <?php $__currentLoopData = config('settings.access_types'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($type); ?>"><?php echo e(\Illuminate\Support\Str::headline($type)); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php if($errors->has('access_type')): ?>
                                                <span class="form-text text-danger"><?php echo e($errors->first('access_type')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-8">
                                        <div class="form-group<?php echo e($errors->has('permission_desp') ? ' form-control-warning' : ''); ?> mb-3">
                                            <label for="group_desp"><?php echo e(__('Permission Description')); ?></label>
                                            <input type="text" name="permission_desp"
                                                   placeholder="Permission Description"
                                                   value="<?php echo e(old('permission_desp')); ?>" class="form-control"
                                                   id="permission_desp">
                                            <?php if($errors->has('permission_desp')): ?>
                                                <span class="form-text text-danger"><?php echo e($errors->first('permission_desp')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button class="btn btn-primary square" type="submit">
                                        <i class="fa fa-paper-plane mr-1"></i> Save
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="card card-custom">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(__('Permissions')); ?></h3>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-hover" id="permissions_table">
                                    <thead>
                                    <tr>
                                        <th width="50px">#</th>
                                        <th>Permission</th>
                                        <th>Module</th>
                                        <th width="120px">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php if($permissions->count() > 0): ?>
                                        <?php $counter=0; ?>
                                        <?php $__currentLoopData = $permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($counter+=1); ?></td>
                                                <td><?php echo e($permission->display_name); ?>

                                                    <br>
                                                    <small class="text-muted"><?php echo e($permission->name); ?></small></td>
                                                <td><?php echo e(Str::headline($permission->module)); ?>

                                                    <br>
                                                    <small class="text-muted"><?php echo e($permission->access_type); ?></small></td>
                                                <td>
                                                    <a class="btn btn-link" href="#action-card"
                                                       onclick="editPermission('<?php echo e($permission->id); ?>')">
                                                        <i class="fa fa-edit"></i>
                                                    </a>
                                                    <a class="btn btn-link text-danger">
                                                        <i class="fa fa-trash"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                        <tr>
                                            <td colspan="4" class="text-center">No Permission Set</td>
                                        </tr>
                                    <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--end::Row-->
        </div>
    </div>
    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script>
            $('#permissions_table').dataTable({
                "ordering": false
            });

            function editPermission(key) {
                var path = "<?php echo e(route('account.permissions.edit')); ?>";
                var path_update = "<?php echo e(route('account.permissions.update')); ?>";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('input#permission_name').val(data.name);
                        $('input#display_name').val(data.display_name);
                        $('input#permission_desp').val(data.description);
                        $('select#module').val(data.module);
                        $('select#access_type').val(data.access_type);
                        $("form#add-form").attr("action", path_update);
                        $('div#hidden-input').html('<input type="hidden" name="id" value="' + data.id + '"><input type="hidden" name="_method" value="PUT">');
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42)): ?>
<?php $component = $__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42; ?>
<?php unset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42); ?>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231231113858/resources/views/permissions/index.blade.php ENDPATH**/ ?>