<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startPush('last-css'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/chartist.min.css')); ?>">

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css" integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI=" crossorigin=""/>
    <script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js" integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM=" crossorigin=""></script>
    <style>
      .leaflet-container {
        height: 700px;
        width: 100%;
        max-height: 100%;
      }
      .info {
        padding: 6px 8px;
        font: 14px/16px Arial, Helvetica, sans-serif;
        background: white;
        background: rgba(255,255,255,0.8);
        box-shadow: 0 0 15px rgba(0,0,0,0.2);
        border-radius: 5px;
      }
        .info h4 {
          margin: 0 0 5px;
          color: #777;
        }
      .legend {
        text-align: left;
        line-height: 18px;
        color: #555;
      }
      .legend i {
        width: 18px;
        height: 18px;
        float: left;
        margin-right: 8px;
        opacity: 0.7;
      }
    </style>
    <?php $__env->stopPush(); ?>
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-1 py-1 mt-0 mt-lg-1">
        <div class="container-fluid">
            <div class="row g-3 row-deck">
                <div class="col-lg-3 col-md-6 col-sm-6">
                    <div class="card overflow-hidden">
                        <a href="<?php echo e(route('applicant.getApplicantInfo')); ?>" class="text-decoration-none">
                            <div class="card-body">
                                <svg class="position-absolute top-0 end-0 mt-4 me-3" xmlns="http://www.w3.org/2000/svg" width="26" fill="currentColor" viewBox="0 0 16 16">
                                    <path class="fill-muted" d="M1.5 1a.5.5 0 0 0-.5.5v3a.5.5 0 0 1-1 0v-3A1.5 1.5 0 0 1 1.5 0h3a.5.5 0 0 1 0 1h-3zM11 .5a.5.5 0 0 1 .5-.5h3A1.5 1.5 0 0 1 16 1.5v3a.5.5 0 0 1-1 0v-3a.5.5 0 0 0-.5-.5h-3a.5.5 0 0 1-.5-.5zM.5 11a.5.5 0 0 1 .5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 1 0 1h-3A1.5 1.5 0 0 1 0 14.5v-3a.5.5 0 0 1 .5-.5zm15 0a.5.5 0 0 1 .5.5v3a1.5 1.5 0 0 1-1.5 1.5h-3a.5.5 0 0 1 0-1h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 1 .5-.5z" />
                                    <path class="fill-primary" d="M3 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H3zm8-9a3 3 0 1 1-6 0 3 3 0 0 1 6 0z" />
                                </svg>
                                <div class="mb-2 text-uppercase"><?php echo e(__('Beneficiaries')); ?></div>
                                <div><span class="h4"><?php echo e(easyCount($active_claimers_total)); ?></span>
                                </div>
                                <small class="text-muted"><?php echo e(__('Assisted out of ')); ?> <span class="fw-bold"><?php echo e(easyCount($applicants)); ?></span></small>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-6">
                    <div class="card overflow-hidden">
                        <a href="<?php echo e(route('benefit_registration.list')); ?>" class="text-decoration-none">
                            <div class="card-body">
                                <svg class="position-absolute top-0 end-0 mt-4 me-3" xmlns="http://www.w3.org/2000/svg" width="26" fill="currentColor" viewBox="0 0 16 16">
                                    <path class="fill-primary" fill-rule="evenodd" d="M11 15a4 4 0 1 0 0-8 4 4 0 0 0 0 8zm5-4a5 5 0 1 1-10 0 5 5 0 0 1 10 0z" />
                                    <path class="fill-primary" d="M9.438 11.944c.047.596.518 1.06 1.363 1.116v.44h.375v-.443c.875-.061 1.386-.529 1.386-1.207 0-.618-.39-.936-1.09-1.1l-.296-.07v-1.2c.376.043.614.248.671.532h.658c-.047-.575-.54-1.024-1.329-1.073V8.5h-.375v.45c-.747.073-1.255.522-1.255 1.158 0 .562.378.92 1.007 1.066l.248.061v1.272c-.384-.058-.639-.27-.696-.563h-.668zm1.36-1.354c-.369-.085-.569-.26-.569-.522 0-.294.216-.514.572-.578v1.1h-.003zm.432.746c.449.104.655.272.655.569 0 .339-.257.571-.709.614v-1.195l.054.012z" />
                                    <path class="fill-muted" d="M1 0a1 1 0 0 0-1 1v8a1 1 0 0 0 1 1h4.083c.058-.344.145-.678.258-1H3a2 2 0 0 0-2-2V3a2 2 0 0 0 2-2h10a2 2 0 0 0 2 2v3.528c.38.34.717.728 1 1.154V1a1 1 0 0 0-1-1H1z" />
                                    <path class="fill-muted" d="M9.998 5.083 10 5a2 2 0 1 0-3.132 1.65 5.982 5.982 0 0 1 3.13-1.567z" />
                                </svg>
                                <div class="mb-2 text-uppercase"><?php echo e(__('Expenditure')); ?></div>
                                <div><span class="h4"><small class="small"><?php echo e(getCurrency()); ?></small> <?php echo e(easyCount($approved_amounts)); ?></span> </div>
                                <small class="text-muted"><?php echo e(__('Spent on')); ?> <span class="fw-bold"><?php echo e(easyCount($approved_amount_on)); ?></span> <?php echo e(__('Applications')); ?></small>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-6">
                    <div class="card overflow-hidden">
                        <a href="<?php echo e(route('benefit_registration.list')); ?>" class="text-decoration-none">
                            <div class="card-body">
                                <svg class="position-absolute top-0 end-0 mt-4 me-3" xmlns="http://www.w3.org/2000/svg" width="26" fill="currentColor" viewBox="0 0 16 16">
                                    <path class="fill-muted" d="M14 3a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V4a1 1 0 0 1 1-1h12zM2 2a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V4a2 2 0 0 0-2-2H2z" />
                                    <path class="fill-primary" d="M2 5.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1-.5-.5v-1zm0 3a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0 2a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 0 1h-1a.5.5 0 0 1-.5-.5zm3 0a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 0 1h-1a.5.5 0 0 1-.5-.5zm3 0a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 0 1h-1a.5.5 0 0 1-.5-.5zm3 0a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 0 1h-1a.5.5 0 0 1-.5-.5z" />
                                </svg>
                                <div class="mb-2 text-uppercase"><?php echo e(__('Applications')); ?></div>
                                <div><span class="h4"><?php echo e(easyCount($new_applications)); ?></span>
                                </div>
                                <small class="text-muted"><?php echo e(__('With')); ?> <span class="fw-bold"><?php echo e(easyCount($declined)); ?></span> <?php echo e(__('declined')); ?></small>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-6">
                    <div class="card overflow-hidden">
                        <a href="<?php echo e(route('case.list')); ?>" class="text-decoration-none">
                            <div class="card-body">
                                <svg class="position-absolute top-0 end-0 mt-4 me-3" xmlns="http://www.w3.org/2000/svg" width="26" fill="currentColor" viewBox="0 0 16 16">
                                    <path d="M7.99997 1C5.785 1 4.51323 1.52678 3.57555 2.46447C2.63787 3.40215 2.11108 4.67392 2.11108 6V7H3.11108C3.3763 7 3.63065 7.10536 3.81819 7.29289C4.00573 7.48043 4.11108 7.73478 4.11108 8V11C4.11108 11.2652 4.00573 11.5196 3.81819 11.7071C3.63065 11.8946 3.3763 12 3.11108 12H2.11108C1.84587 12 1.59151 11.8946 1.40398 11.7071C1.21644 11.5196 1.11108 11.2652 1.11108 11V6C1.11108 5.21207 1.26628 4.43185 1.56781 3.7039C1.86933 2.97595 2.31129 2.31451 2.86844 1.75736C3.4256 1.20021 4.08703 0.758251 4.81498 0.456723C5.54294 0.155195 6.32315 0 7.99997 0C9.67679 0 10.457 0.155195 11.185 0.456723C11.9129 0.758251 12.5744 1.20021 13.1315 1.75736C13.6887 2.31451 14.1306 2.97595 14.4321 3.7039C14.7337 4.43185 14.8889 5.21207 14.8889 6V12C14.8889 12.663 14.6255 13.2989 14.1566 13.7678C13.6878 14.2366 13.0519 14.5 12.3889 14.5H10.2549C10.1671 14.652 10.0409 14.7783 9.88885 14.866C9.73683 14.9538 9.56439 15 9.38886 15H8.38886C8.12365 15 7.86929 14.8946 7.68176 14.7071C7.49422 14.5196 7.38886 14.2652 7.38886 14C7.38886 13.7348 7.49422 13.4804 7.68176 13.2929C7.86929 13.1054 8.12365 13 8.38886 13H9.38886C9.56439 13 9.73683 13.0462 9.88885 13.134C10.0409 13.2217 10.1671 13.348 10.2549 13.5H12.3889C12.7867 13.5 13.1682 13.342 13.4495 13.0607C13.7308 12.7794 13.8889 12.3978 13.8889 12H12.8889C12.6236 12 12.3693 11.8946 12.1818 11.7071C11.9942 11.5196 11.8889 11.2652 11.8889 11V8C11.8889 7.73478 11.9942 7.48043 12.1818 7.29289C12.3693 7.10536 12.6236 7 12.8889 7H13.8889V6C13.8889 5.34339 13.7595 4.69321 13.5083 4.08658C13.257 3.47995 12.8887 2.92876 12.4244 2.46447C11.9601 2.00017 11.4089 1.63188 10.8023 1.3806C10.1957 1.12933 8.65658 1 7.99997 1Z"></path>
                                    <path class="fill-muted" d="M5.7777 11.5555C5.7777 11.5555 5.33325 11.5555 5.33325 11.1407C5.33325 10.7259 5.7777 9.48146 7.99992 9.48146C10.2221 9.48146 10.6666 10.7259 10.6666 11.1407C10.6666 11.5555 10.2221 11.5555 10.2221 11.5555H5.7777ZM7.99992 9.06665C8.35354 9.06665 8.69268 8.93554 8.94273 8.70216C9.19278 8.46878 9.33325 8.15225 9.33325 7.8222C9.33325 7.49215 9.19278 7.17563 8.94273 6.94225C8.69268 6.70887 8.35354 6.57776 7.99992 6.57776C7.6463 6.57776 7.30716 6.70887 7.05711 6.94225C6.80706 7.17563 6.66659 7.49215 6.66659 7.8222C6.66659 8.15225 6.80706 8.46878 7.05711 8.70216C7.30716 8.93554 7.6463 9.06665 7.99992 9.06665Z"></path>
                                    <path class="fill-primary" d="M6.28723 5.68738C6.24555 5.64848 6.22214 5.59573 6.22214 5.54072C6.22214 5.48571 6.24555 5.43296 6.28723 5.39406C6.3289 5.35516 6.38543 5.33331 6.44436 5.33331H9.55547C9.61441 5.33331 9.67093 5.35516 9.71261 5.39406C9.75428 5.43296 9.7777 5.48571 9.7777 5.54072C9.7777 5.59573 9.75428 5.64848 9.71261 5.68738C9.67093 5.72628 9.61441 5.74813 9.55547 5.74813H6.44436C6.38543 5.74813 6.3289 5.72628 6.28723 5.68738Z"></path>
                                </svg>
                                <div class="mb-2 text-uppercase"><?php echo e(__('Open Tickets')); ?></div>
                                <div><span class="h4"><?php echo e(easyCount($open_tickets)); ?></span></div>
                                <small class="text-muted"><?php echo e(__('Out of ')); ?> <span class="fw-bold"><?php echo e(easyCount($total_tickets)); ?></span> <?php echo e(__('reported tickets')); ?></small>
                            </div>
                        </a>
                    </div>
                </div>

              <div class="col-xxl-3 col-xl-4 col-lg-4 col-md-12">
                <div class="card text-center bg-primary-gradient">
                  <div class="card-body d-flex align-items-center justify-content-center">
                    <div>
                      <h4 class="mt-4">Hello, <?php echo e(auth()->user()->firstname); ?>.</h4>
                      <p class="card-text fs-6 mb-3"><?php echo e(__('This is your central hub, empowering you to efficiently manage
                          beneficiaries, oversee claims,
                          manage benefits, and more. Your impactful decisions here greatly enhance our social protection
                          efforts.
                          If you need any assistance, our support team is readily available.')); ?> </p>
                        <?php if(canDo('administrator','reporting')): ?>
                        <a href="<?php echo e(route('report.index')); ?>" class="btn btn-light btn-lg px-4 lift">Download Reports</a>
                        <?php endif; ?>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-xxl-6 col-xl-8 col-lg-8">
                <div class="card">
                  <div class="card-header">
                    <h6 class="card-title m-0">Applications by Status</h6>
                    <!-- widgest: Card more action icon -->
                    <div class="dropdown morphing scale-left">
                      <a href="#" class="card-fullscreen" data-bs-toggle="tooltip" title="Card Full-Screen"><i class="icon-size-fullscreen"></i></a>
                    </div>
                  </div>
                  <div class="card-body">
                      <div>
                          <canvas id="applications_by_status"></canvas>
                      </div>
                  </div>
                </div>
              </div>
              <div class="col-xxl-3 col-xl-6 col-lg-6 col-md-6">
                <div class="card">
                  <div class="card-header">
                    <h6 class="card-title mb-0"><?php echo e(date('Y')); ?> at a Glance</h6>
                    <!-- widgest: Card more action icon -->
                    <div class="dropdown morphing scale-left">
                      <a href="#" class="card-fullscreen" data-bs-toggle="tooltip" title="Card Full-Screen"><i class="icon-size-fullscreen"></i></a>
                    </div>
                  </div>
                  <div class="card-body">
                    <div id="apex-SalesbyCategory"></div>
                  </div>
                </div>
              </div>

              <div class="col-xxl-3 col-xl-6 col-lg-6 col-md-6 col-sm-6">
                  <div class="card">
                      <div class="card-header">
                          <h6 class="card-title">Benefit Distribution By Age</h6>
                      </div>
                      <div class="card-body">
                          <div class="ct-chart" id="C2_PieChart"></div>
                      </div>
                  </div>
              </div>

              <div class="col-xxl-6 col-xl-12 col-lg-12">
                <div class="card">
                  <div class="card-header">
                    <h6 class="card-title m-0">Records Updates Statistics</h6>
                    <!-- widgest: Card more action icon -->
                    <div class="dropdown morphing scale-left">
                      <a href="#" class="card-fullscreen" data-bs-toggle="tooltip" title="Card Full-Screen"><i class="icon-size-fullscreen"></i></a>
                    </div>
                  </div>
                  <div class="card-body">
                    <h3><?php echo e($total_records); ?></h3>
                    <!-- Progress -->
                    <div class="progress rounded-pill mb-2" style="height: 5px;">
                      <div class="progress-bar chart-color1" role="progressbar" style="width: <?php echo e($new_records_percent); ?>%" aria-valuenow="<?php echo e($new_records_percent); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                      <div class="progress-bar chart-color3" role="progressbar" style="width: <?php echo e($in_progress_records_percent); ?>%" aria-valuenow="<?php echo e($in_progress_records_percent); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                      <div class="progress-bar chart-color2" role="progressbar" style="width: <?php echo e($on_hold_records_percent); ?>%" aria-valuenow="<?php echo e($on_hold_records_percent); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                      <div class="progress-bar chart-color5" role="progressbar" style="width: <?php echo e($verified_records_percent); ?>%" aria-valuenow="<?php echo e($verified_records_percent); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                      <div class="progress-bar chart-color4" role="progressbar" style="width: <?php echo e($declined_records_percent); ?>%" aria-valuenow="<?php echo e($declined_records_percent); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
                    <div class="d-flex justify-content-between">
                      <span>0%</span>
                      <span>100%</span>
                    </div>
                  </div>
                  <div class="table-responsive border-top">
                    <table class="table card-table table-nowrap mb-0">
                      <tbody>
                        <tr>
                          <td><i class="fa fa-circle me-2 chart-text-color1"></i>Total New Requests</td>
                          <td><?php echo e($new_records); ?></td>
                          <td><span class="badge bg-primary"><?php echo e($new_records_percent); ?>%</span></td>
                        </tr>
                        <tr>
                          <td><i class="fa fa-circle me-2 chart-text-color3"></i>Total In Progress Requests</td>
                          <td><?php echo e($in_progress_records); ?></td>
                          <td><span class="badge bg-warning"><?php echo e($in_progress_records_percent); ?>%</span></td>
                        </tr>
                        <tr>
                          <td><i class="fa fa-circle me-2 chart-text-color2"></i>Total On Hold Requests</td>
                          <td><?php echo e($on_hold_records); ?></td>
                          <td><span class="badge bg-info"><?php echo e($on_hold_records_percent); ?>%</span></td>
                        </tr>
                        <tr>
                          <td><i class="fa fa-circle me-2 chart-text-color5"></i>Total Approved</td>
                          <td><?php echo e($verified_records); ?></td>
                          <td><span class="badge bg-success"><?php echo e($verified_records_percent); ?>%</span></td>
                        </tr>
                        <tr>
                          <td><i class="fa fa-circle me-2 chart-text-color4"></i>Total Rejected</td>
                          <td><?php echo e($declined_records); ?></td>
                          <td><span class="badge bg-danger"><?php echo e($declined_records_percent); ?>%</span></td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="col-xxl-3 col-xl-6 col-lg-6">
                  <div class="card">
                      <div class="card-header">
                          <h6 class="card-title">Beneficiaries By Gender</h6>
                      </div>
                      <div class="card-body">
                          <div class="ct-chart" id="C_PieChart"></div>
                          
                      </div>
                  </div>
              </div>
            </div> <!-- .row end -->


            <div class="col-12 mt-3">
                <div class="card">
                    <div class="card-header">
                        <h6 class="card-title">Beneficiary distribution by Area</h6>
                    </div>
                    <div class="card-body">
                        <div id="mapping"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <?php if(canTour('dashboard') && env('DISABLE_TOUR') == false): ?>
        <!-- Modal -->
        <div class="modal fade" id="take-a-tour" tabindex="-1">
            <div class="modal-dialog modal-lg modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-body p-0">
                        <div class="row row-deck">
                            <div class="col-md-6">
                                <img src="<?php echo e(asset('images/bg/booking.jpg')); ?>" alt="" style="width: 100%">
                            </div>
                            <div class="col-md-6">
                                <div class="car w-100 p-1" style="border: none">
                                    <div class="text-end mt-2 me-3">
                                        <button type="button" class="btn-close mb-2" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <h4>Take a look around or start onboarding right away!</h4>
                                    <p class="text-muted">
                                        <?php echo e(__('We\'re really excited to have you here. Let\'s start to accommodate you.')); ?>

                                    </p>
                                    <div class="alert alert-light mt-5 d-flex align-items-center py-3 pe-3" role="alert">
                                        <div class="avatar rounded no-thumbnail bg-light"><i class="fa fa-street-view fs-4"></i></div>
                                        <div class="flex-fill ms-3">
                                            <div class="mb-0 fw-bold small">Take a virtual product tour</div>
                                            <span class="text-muted small">All you need to know about <?php echo e(env('APP_NAME')); ?></span>
                                        </div>
                                        <div class="flex-end text-end" style="min-width: 80px;">
                                            <button class="btn btn-outline-primary btn-sm" data-bs-toggle="modal" data-bs-target="#choose-date">Retake</button>
                                        </div>
                                    </div>
                                    <div class="alert alert-light mt-3 d-flex align-items-center py-3 pe-3" role="alert">
                                        
                                        <div class="avatar rounded no-thumbnail bg-light"><i class="fa fa-snowflake-o fs-4"></i></div>
                                        <div class="flex-fill ms-3">
                                            <div class="mb-0 fw-bold small">Start onboarding</div>
                                            <span class="text-muted small">Quick and easy self onboarding</span>
                                        </div>
                                        
                                        <div class="flex-end text-end" style="min-width: 80px;">
                                            <a class="btn btn-outline-primary btn-sm"  href="<?php echo e(route('subscription.list')); ?>">Start</a>
                                        </div>
                                        
                                    </div>
                                    <div class="text-end mt-5">
                                        <button type="button" class="btn btn-link text-danger text-decoration-none" onclick="skipTour('end')" data-bs-dismiss="modal" aria-label="Close">End tour</button>
                                        <button type="button" class="btn btn-link text-dark" onclick="skipTour('dashboard')" data-bs-dismiss="modal" aria-label="Close">Skip this</button>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Jquery Page Js -->
    <?php endif; ?>

<?php $__env->startPush('scripts'); ?>
        <script type="text/javascript" src="<?php echo e(asset('assets/js/ghana-geojson-data.js')); ?>"></script>
        <script type="text/javascript" src="https://leafletjs.com/examples/choropleth/us-states.js"></script>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/apexcharts.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/chartist.bundle.js')); ?>"></script>
        <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

        <?php if(canTour('dashboard')): ?>
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                    var path = "<?php echo e(route('on_boarding.skipTour')); ?>";
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data:{'page':page},
                        success: function (data) {
                            console.log('Skipped');
                        }
                    });
                }
            </script>
        <?php endif; ?>
        <script>

            $(function() {
                // Animation Chart
                var chart = new Chartist.Line('#C_AnimationChart', {
                    labels: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'],
                    series: [
                        [12, 9, 7, 8, 5, 4, 6, 2, 3, 3, 4, 6],
                        [4, 5, 3, 7, 3, 5, 5, 3, 4, 4, 5, 5],
                        [5, 3, 4, 5, 6, 3, 3, 4, 5, 6, 3, 4],
                        [3, 4, 5, 6, 7, 6, 4, 5, 6, 7, 6, 3]
                    ]
                }, {
                    low: 0
                });
                // Let's put a sequence number aside so we can use it in the event callbacks
                var seq = 0,
                    delays = 80,
                    durations = 500;
                // Once the chart is fully created we reset the sequence
                chart.on('created', function() {
                    seq = 0;
                });
                // On each drawn element by Chartist we use the Chartist.Svg API to trigger SMIL animations
                chart.on('draw', function(data) {
                    seq++;
                    if (data.type === 'line') {
                        // If the drawn element is a line we do a simple opacity fade in. This could also be achieved using CSS3 animations.
                        data.element.animate({
                            opacity: {
                                // The delay when we like to start the animation
                                begin: seq * delays + 1000,
                                // Duration of the animation
                                dur: durations,
                                // The value where the animation should start
                                from: 0,
                                // The value where it should end
                                to: 1
                            }
                        });
                    } else if (data.type === 'label' && data.axis === 'x') {
                        data.element.animate({
                            y: {
                                begin: seq * delays,
                                dur: durations,
                                from: data.y + 100,
                                to: data.y,
                                // We can specify an easing function from Chartist.Svg.Easing
                                easing: 'easeOutQuart'
                            }
                        });
                    } else if (data.type === 'label' && data.axis === 'y') {
                        data.element.animate({
                            x: {
                                begin: seq * delays,
                                dur: durations,
                                from: data.x - 100,
                                to: data.x,
                                easing: 'easeOutQuart'
                            }
                        });
                    } else if (data.type === 'point') {
                        data.element.animate({
                            x1: {
                                begin: seq * delays,
                                dur: durations,
                                from: data.x - 10,
                                to: data.x,
                                easing: 'easeOutQuart'
                            },
                            x2: {
                                begin: seq * delays,
                                dur: durations,
                                from: data.x - 10,
                                to: data.x,
                                easing: 'easeOutQuart'
                            },
                            opacity: {
                                begin: seq * delays,
                                dur: durations,
                                from: 0,
                                to: 1,
                                easing: 'easeOutQuart'
                            }
                        });
                    } else if (data.type === 'grid') {
                        // Using data.axis we get x or y which we can use to construct our animation definition objects
                        var pos1Animation = {
                            begin: seq * delays,
                            dur: durations,
                            from: data[data.axis.units.pos + '1'] - 30,
                            to: data[data.axis.units.pos + '1'],
                            easing: 'easeOutQuart'
                        };
                        var pos2Animation = {
                            begin: seq * delays,
                            dur: durations,
                            from: data[data.axis.units.pos + '2'] - 100,
                            to: data[data.axis.units.pos + '2'],
                            easing: 'easeOutQuart'
                        };
                        var animations = {};
                        animations[data.axis.units.pos + '1'] = pos1Animation;
                        animations[data.axis.units.pos + '2'] = pos2Animation;
                        animations['opacity'] = {
                            begin: seq * delays,
                            dur: durations,
                            from: 0,
                            to: 1,
                            easing: 'easeOutQuart'
                        };
                        data.element.animate(animations);
                    }
                });
                // For the sake of the example we update the chart every time it's created with a delay of 10 seconds
                chart.on('created', function() {
                    if (window.__exampleAnimateTimeout) {
                        clearTimeout(window.__exampleAnimateTimeout);
                        window.__exampleAnimateTimeout = null;
                    }
                    window.__exampleAnimateTimeout = setTimeout(chart.update.bind(chart), 12000);
                });
            });

            $(document).ready(function() {
                var randomizeArray = function (arg) {
                    var array = arg.slice();
                    var currentIndex = array.length,
                        temporaryValue, randomIndex;
                    while (0 !== currentIndex) {
                        randomIndex = Math.floor(Math.random() * currentIndex);
                        currentIndex -= 1;
                        temporaryValue = array[currentIndex];
                        array[currentIndex] = array[randomIndex];
                        array[randomIndex] = temporaryValue;
                    }
                    return array;
                }
            });
            // project data table
            $('.myDataTable').addClass('nowrap').dataTable({
                responsive: true,
                searching: true,
                paging: true,
                ordering: true,
                info: false,
            });
            $('a[data-bs-toggle="tab"]').on('shown.bs.tab', function(e) {
                $($.fn.dataTable.tables(true)).DataTable().columns.adjust().responsive.recalc();
            });

            // Year at a glance
            var total_count_apps_benefit = <?php echo $total_count_apps_benefit; ?>;
            var apps_benefit_titles = <?php echo $apps_benefit_titles; ?>;
            var options = {
                chart: {
                    height: 280,
                    type: 'donut',
                },
                dataLabels: {
                    enabled: false,
                },
                legend: {
                    position: 'bottom',
                    horizontalAlign: 'center',
                    show: true,
                },
                colors: ['var(--chart-color1)', 'var(--chart-color2)', 'var(--chart-color3)'],
                series: total_count_apps_benefit,
                labels: apps_benefit_titles
            }
            var chart = new ApexCharts(document.querySelector("#apex-SalesbyCategory"), options);
            chart.render()

            // Pie Chart - Age groups
            let age_groups_values = <?php echo $age_groups_values; ?>

            let age_groups = <?php echo $age_groups; ?>

            let data2 = {
                labels: age_groups,
                series: age_groups_values
            };
            new Chartist.Pie('#C2_PieChart', data2);

            // Pie Chart - Gender distribution
            var gender_groups = <?php echo $gender_groups; ?>;
            var gender_values = <?php echo $gender_values; ?>;
            var data = {
                labels: gender_groups,
                series: gender_values
            };
            new Chartist.Pie('#C_PieChart', data);


          /** --------------------------------Country Graph-------------------------------- **/
          $(document).ready(function() {

            var beneficiaries_by_region = <?php echo $beneficiaries_by_region; ?>;
            for (var i = 0; i < ghanaGeoJson.features.length; i++) {
              Object.keys(beneficiaries_by_region).forEach(function(key) {
                if (ghanaGeoJson.features[i].properties.region == key) {
                  ghanaGeoJson.features[i].properties.beneficiaries = beneficiaries_by_region[key];
                }
              });
            }

            console.log(ghanaGeoJson);
          });

          var long = "<?php echo e(auth()->user()->hasOrganisation()?->brand?->country?->longitude ?? 38); ?>"
          var lat = "<?php echo e(auth()->user()->hasOrganisation()?->brand?->country?->latitude ?? 1); ?>"
          var country_name = "<?php echo e(auth()->user()->hasOrganisation()?->brand?->country?->country_name ?? 'Kenya'); ?>"

          console.log(long)
          console.log(lat)

          //const map = L.map('mapping').setView([7.9528, -1.0307], 7);
          const map = L.map('mapping').setView([parseFloat(lat), parseFloat(long)], 6);

          

          const tiles = L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 19,
            attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
          }).addTo(map);

          // control that shows state info on hover
          const info = L.control();

          info.onAdd = function (map) {
            this._div = L.DomUtil.create('div', 'info');
            this.update();
            return this._div;
          };

          info.update = function (props) {
            const contents = props ? `<b>${props.region}</b><br />${props.beneficiaries} beneficiaries` : 'Hover over a region';
            //this._div.innerHTML = `<h5>Ghana Regional Distribution</h5>${contents}`;
            this._div.innerHTML = `<h5>${country_name} Regional Distribution</h5>${contents}`;
          };

          info.addTo(map);


          // get color depending on beneficiaries value
          function getColor(d) {
            return d > 10000 ? '#800026' :
              d > 5000  ? '#BD0026' :
              d > 2000 ? '#E31A1C' :
              d > 1000  ? '#FC4E2A' :
              d > 500   ? '#FD8D3C' :
              d > 200   ? '#FEB24C' :
              d > 100   ? '#FED976' : '#FFEDA0';
          }

          function style(feature) {
            return {
              weight: 2,
              opacity: 1,
              color: 'white',
              dashArray: '3',
              fillOpacity: 0.7,
              fillColor: getColor(feature.properties.beneficiaries)
            };
          }

          function highlightFeature(e) {
            const layer = e.target;

            layer.setStyle({
              weight: 5,
              color: '#666',
              dashArray: '',
              fillOpacity: 0.7
            });

            layer.bringToFront();

            info.update(layer.feature.properties);
          }

          /* global statesData */
          const geojson = L.geoJson(ghanaGeoJson, {
            style,
            onEachFeature
          }).addTo(map);

          function resetHighlight(e) {
            geojson.resetStyle(e.target);
            info.update();
          }

          function zoomToFeature(e) {
            map.fitBounds(e.target.getBounds());
          }

          function onEachFeature(feature, layer) {
            layer.on({
              mouseover: highlightFeature,
              mouseout: resetHighlight,
              click: zoomToFeature
            });
          }

          map.attributionControl.addAttribution('Population data &copy; <a href="http://census.gov/">US Census Bureau</a>');

          const legend = L.control({position: 'bottomright'});

          legend.onAdd = function (map) {

            const div = L.DomUtil.create('div', 'info legend');
            const grades = [0, 100, 200, 500, 1000, 2000, 5000, 10000];
            const labels = [];
            let from, to;

            for (let i = 0; i < grades.length; i++) {
              from = grades[i];
              to = grades[i + 1];

              labels.push(`<i style="background:${getColor(from + 1)}"></i> ${from}${to ? `&ndash;${to}` : '+'}`);
            }

            div.innerHTML = labels.join('<br>');
            return div;
          };

          legend.addTo(map);
        /**--------------------------------------------------------------------------END OF MAP*/

            //User Types Bar
        let delayed;
        const applications_by_status = document.getElementById('applications_by_status');
        new Chart(applications_by_status, {
            type: 'bar',
            data: {
                labels: <?php echo $activeMonths; ?>,
                datasets: [
                    {
                        label: "New",
                        borderWidth: 1,
                        data: <?php echo $NewAppData; ?>

                    }, {
                        label: "Pending",
                        borderWidth: 1,
                        data: <?php echo $PendingAppData; ?>

                    }, {
                        label: "Approved",
                        borderWidth: 1,
                        data: <?php echo $ApprovedAppData; ?>

                    }
                ]
            },
            options: {
                // indexAxis: 'y',
                responsive: true,
                scales: {
                    x: {
                        stacked: true,
                    },
                    y: {
                        stacked: true
                    }
                },
                animation: {
                    duration: 2000,
                    // easing: 'easeInOutCirc',
                    animateScale: true,
                    onComplete: () => {
                        delayed = true;
                    },
                    delay: (context) => {
                        let delay = 0;
                        if (context.type === 'data' && context.mode === 'default' && !delayed) {
                            delay = context.dataIndex * 300 + context.datasetIndex * 100;
                        }
                        return delay;
                    },
                },
            }
        });
        </script>
<?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/upg.appdemo.pro/resources/views/dashboard.blade.php ENDPATH**/ ?>