<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('team.list')); ?>">Teams</a></li>
            <li class="breadcrumb-item active" aria-current="page">Team Members</li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Team Members</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            <?php $__env->startComponent('components.announcement'); ?><?php echo $__env->renderComponent(); ?>

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="<?php echo e(route('team.teamManagement')); ?>" method="get">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">

                                    <input type="text" name="name" id="name" placeholder="Name or Email"
                                           class="form-control" value="<?php echo e(request()->get('name')); ?>">

                                    <select name="gender" id="gender" class="form-select form-control-l"
                                            placeholder="Select Gender">
                                        <option value="">-- Choose Gender--</option>
                                        <?php $__currentLoopData = getGender(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>" <?php echo e(($key == request()->get('gender'))?'selected':''); ?>><?php echo e($name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>

                                    <select name="status" id="status" class="form-select">
                                        <option value=""><?php echo e(__('-- Status --')); ?></option>
                                        <option value="1" <?php echo e((1 == request()->get('status'))?'selected':''); ?>>Active
                                        </option>
                                        <option value="0" <?php echo e((0 == request()->get('status'))?'selected':''); ?>>Disabled
                                        </option>
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i>
                                    </button>
                                    <a href="<?php echo e(route('team.teamManagement')); ?>" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                    <a href="<?php echo e(route('team.list')); ?>" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Teams"> <i class="bi-people"></i></a>
                                    
                                    <a href="<?php echo e(route('team.addTeamManagementMember')); ?>" class="btn btn-primary"
                                       data-bs-toggle="tooltip" title="New Member"> <i class="fa fa-plus me-2"></i> <?php echo e(__('New')); ?></a>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Name</th>
                                <th style="width: 50px;">Age</th>
                                <th style="width: 50px;">Gender</th>
                                <th style="width: 50px;">Phone</th>
                                <th style="width: 50px;">Status</th>
                                <th style="width: 100px;">Created On</th>
                                <th class="text-right" style="width: 50px;">Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                                $count = 0;
                            ?>
                            <?php $__currentLoopData = $team_members; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team_member): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($count+=1); ?></td>
                                    <td><span><?php echo e($team_member->name); ?></span><br><small
                                                class="text-muted"><?php echo e($team_member->email); ?></small></td>
                                    <td><?php echo e(getAgeByDate($team_member->date_of_birth)); ?><br><small
                                                class="text-muted"><?php echo e(date('d M Y', strtotime($team_member->date_of_birth))); ?></small>
                                    </td>
                                    <td><?php echo e($team_member->_gender->fullName); ?></td>
                                    <td><?php echo e($team_member->phone); ?></td>
                                    <td><?php echo e(($team_member->status == 1)?'Active':'Disabled'); ?></td>
                                    <td><?php echo e(date('d M Y H:i:s', strtotime($team_member->created_at))); ?></td>
                                    <td>
                                        <form action="<?php echo e(route('team.deleteTeamManagementMember')); ?>"
                                              onsubmit="return removeTeamManagementMember(<?php echo e($count); ?>)"
                                              id="delete-teamMember-<?php echo e($count); ?>" method="post">
                                            <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                            <input type="hidden" name="id" value="<?php echo e(cryptThis($team_member->id)); ?>">

                                            <a href="<?php echo e(route('team.editTeamManagementMember',[cryptThis($team_member->id)])); ?>"
                                               class="btn btn-sm btn-link text-primary mr-2" data-bs-toggle="tooltip"
                                               data-bs-placement="top" title="Edit Member"><i
                                                        class="fa fa-edit"></i></a>

                                            <button type="button" data-bs-toggle="modal"
                                                    data-bs-target="#viewMemberModal"
                                                    onclick="viewMember('<?php echo e($team_member->id); ?>')"
                                                    class="btn btn-sm btn-link text-info mr-2" href="javascript:;"
                                                    data-bs-placement="top"
                                                    title="View Member">
                                                <i class="bi-person-check"></i></button>

                                            <button type="submit" class="btn text-danger btn-link" data-bs-toggle="tooltip"
                                                    title="<?php echo e(__('Delete Member')); ?>">
                                                <i class="fa fa-trash"></i></button>
                                        </form>

                                    </td>
                                </tr>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="viewMemberModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-container">
                            <h6 class="mt-3 mb-4">Team Member Information</h6>
                            <div id="team-information"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
        <script>
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            function viewMember(key) {
                var path = "<?php echo e(route('team.viewTeamManagementMember')); ?>";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    success: function (data) {
                        $('#team-information').html(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function removeTeamManagementMember(key) {
                if (confirm("Data maybe lost after deleting this Member.\nDo you want to continue?") == true) {
                    document.getElementById('delete-teamMember' + key).submit();
                } else {
                    event.preventDefault();
                }
            }
        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42)): ?>
<?php $component = $__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42; ?>
<?php unset($__componentOriginal420c6b2d30caa3a86a92aba978cc358f5cf3ca42); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/team-management/index.blade.php ENDPATH**/ ?>