<?php if (isset($component)) { $__componentOriginalc3251b308c33b100480ddc8862d4f9c79f6df015 = $component; } ?>
<?php $component = App\View\Components\GuestLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('guest-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\GuestLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="col-lg-6 d-flex justify-content-center align-items-center">
        <div class="card shadow-sm w-100 p-4 p-md-5" style="max-width: 32rem;">
            <h3><?php echo e(__('Check your mailbox and confirm your email address')); ?></h3>
            <p class="fw-bolder"></p>

            <?php if(session('resent')): ?>
                <div class="mb-2 text-success">
                    <?php echo e(__('We have sent a confirmation email to').' '.auth()->user()->email); ?>

                </div>
            <?php endif; ?>

            <div class="mt-4 flex items-center justify-between">
                <form method="POST" action="<?php echo e(route('verification.resend')); ?>">
                    <?php echo csrf_field(); ?>
                    <div>
                        <h6 class="mb-2">
                            <i class="bi-exclamation-circle-fill text-dark"></i>
                            <?php echo e(__('Keep an eye on your inbox and spam folders!')); ?>

                        </h6>
                        <p class="text-muted"><?php echo e(__('If you can\'t find the email in your inbox or spam, please click on the link below and we will send you a new one.')); ?></p>
                        <button type="submit" class="btn btn-link text-primary mb-4"><?php echo e(__('Resend Verification Email')); ?></button>
                    </div>
                </form>
            </div>

            <form method="POST" action="<?php echo e(route('logout')); ?>">
                <?php echo csrf_field(); ?>

                <button type="submit" class="btn btn-outline-primary mt-3 mb-4">
                    <i class="fa fa-sign-out me-1"></i> <?php echo e(__('Logout')); ?>

                </button>
            </form>

            <div class="text-end">
                <span class="fa fa-send-o fs-1 text-muted"></span>
            </div>
        </div>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc3251b308c33b100480ddc8862d4f9c79f6df015)): ?>
<?php $component = $__componentOriginalc3251b308c33b100480ddc8862d4f9c79f6df015; ?>
<?php unset($__componentOriginalc3251b308c33b100480ddc8862d4f9c79f6df015); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/auth/verify-email.blade.php ENDPATH**/ ?>